=== release 0.10.22 ===

2009-01-19  Jan Schmidt <jan.schmidt@sun.com>

	* configure.ac:
	  releasing 0.10.22, "hidey hidey hidey ho"

2009-01-16  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* gst-libs/gst/fft/_kiss_fft_guts_f32.h:
	* gst-libs/gst/fft/_kiss_fft_guts_f64.h:
	* gst-libs/gst/fft/_kiss_fft_guts_s16.h:
	* gst-libs/gst/fft/_kiss_fft_guts_s32.h:
	* gst-libs/gst/fft/kiss_fftr_f32.c: (kiss_fftr_f32_alloc):
	* gst-libs/gst/fft/kiss_fftr_f64.c: (kiss_fftr_f64_alloc):
	* gst-libs/gst/fft/kiss_fftr_s16.c: (kiss_fftr_s16_alloc):
	* gst-libs/gst/fft/kiss_fftr_s32.c: (kiss_fftr_s32_alloc):
	Use correct struct alignment everywhere to prevent unaligned
	memory accesses, resulting in SIGBUS on sparc and probably others.
	Fixes bug #500833.

2009-01-16  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* gst-libs/gst/tag/gsttagdemux.c: (gst_tag_demux_srcpad_event):
	Forward unknown events upstream to allow latency configuration.
	Fixes bug #567960.

2009-01-13  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstplaybin2.c: (groups_set_locked_state):
	Provide the right arguments to a debug line.

2009-01-13  Stefan Kost  <ensonic@users.sf.net>

	* sys/xvimage/xvimagesink.c:
	  Don't reset the colorkey when element is reused. Fixes #567511.

2009-01-09  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:
	0.10.21.3 pre-release

2009-01-09  Jan Schmidt  <jan.schmidt@sun.com>

	* gst-libs/gst/app/gstappsink.c:
	Store the returned signal id in the right slot when
	registering the pull-buffer signal.
	Fixes #567168
	Spotted by: Thomas Vander Stichele  <thomas at apestaart dot org>

2009-01-09  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* gst-libs/gst/interfaces/mixer.c:
	  Small docs addition to clarify that one really mustn't free
	  the constant GList returned (#566812).
	  
2009-01-08  Wim Taymans  <wim.taymans@collabora.co.uk>

	* docs/libs/gst-plugins-base-libs-sections.txt:
	* gst-libs/gst/rtsp/gstrtspurl.c: (register_rtsp_url_type),
	(gst_rtsp_url_get_type), (gst_rtsp_url_copy):
	* gst-libs/gst/rtsp/gstrtspurl.h:
	* win32/common/libgstrtsp.def:
	Add GType for GstRTSPUrl and expose a copy function because we can.
	API: gst_rtsp_url_copy()
	Fixes #567027.

2009-01-07  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* configure.ac:
	* ext/gio/gstgio.c: (plugin_init):
	Add plugin dependency for the GIO and GVfs modules.
	Fixes bug #566876.

2009-01-07  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* configure.ac:
	* ext/gnomevfs/gstgnomevfs.c: (plugin_init):
	Add plugin dependency for the gnomevfs modules.
	Fixes bug #566875.

2009-01-07  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* win32/common/libgstcdda.def:
	Add new symbol to the list of exported symbols.

2009-01-07  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstplaybin2.c: (gst_play_bin_class_init),
	(gst_play_bin_set_uri), (gst_play_bin_set_suburi),
	(no_more_pads_cb), (drained_cb), (group_set_locked_state_unlocked),
	(activate_group), (deactivate_group), (groups_set_locked_state),
	(gst_play_bin_change_state):
	Fix some comments and docs.
	Post an error message when we fail to link the selector to the sink.
	Remove pushing of EOS, this seems unneeded. 
	Lock the state of deactivated groups so that they don't accidentally
	reactivate when the playbin2 state changes.
	Reuse uridecodebins.
	Unlock and relock state of groups when playbin goes to NULL.
	Fixes #566654.
	Fixes #566341.

	* gst/playback/gsturidecodebin.c: (pad_removed_cb), (type_found):
	Only do something in the pad removed callback when we are dealing with
	our sourcepads because the sinkpads don't have a ghostpad.

2009-01-07  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* gst-libs/gst/cdda/gstcddabasesrc.c:
	* gst-libs/gst/cdda/gstcddabasesrc.h:
	Make the GType of GstCDDABaseSrcMode public for bindings.
	Fixes bug #566837.

2009-01-06  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* configure.ac:
	* ext/libvisual/visual.c: (plugin_init):
	  Use new core API to make registry re-scan the plugin
	  whenever visualisations are added or removed (see #350477).

2009-01-06  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: José Alburquerque <jaalburqu svn gnome org>

	* gst-libs/gst/audio/gstaudioclock.c: (gst_audio_clock_new):
	* gst-libs/gst/audio/gstaudioclock.h:
	Make gst_audio_clock_new use const gchar* to ease the wrapping of
	C++ bindings. Fixes #566723.

2009-01-06  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* configure.ac:
	* pkgconfig/Makefile.am:
	* pkgconfig/gstreamer-app-uninstalled.pc.in:
	* pkgconfig/gstreamer-app.pc.in:
	Add pkg-config files for libgstapp. Fixes bug #566761.

2009-01-06  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* gst-libs/gst/app/gstappsink.c:
	* gst-libs/gst/app/gstappsink.h:
	* gst-libs/gst/app/gstappsrc.c:
	* gst-libs/gst/app/gstappsrc.h:
	  Make debug categories static. Use _element_class_set_details_simple().

2009-01-06  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* gst-libs/gst/app/gstappsink.c: (_GstAppSinkPrivate),
	  (gst_app_sink_class_init), (gst_app_sink_init),
	  (gst_app_sink_dispose), (gst_app_sink_finalize),
	  (gst_app_sink_unlock_start), (gst_app_sink_unlock_stop),
	  (gst_app_sink_flush_unlocked), (gst_app_sink_start),
	  (gst_app_sink_stop), (gst_app_sink_event), (gst_app_sink_preroll),
	  (gst_app_sink_render), (gst_app_sink_getcaps),
	  (gst_app_sink_set_caps), (gst_app_sink_get_caps),
	  (gst_app_sink_is_eos), (gst_app_sink_set_emit_signals),
	  (gst_app_sink_get_emit_signals), (gst_app_sink_set_max_buffers),
	  (gst_app_sink_get_max_buffers), (gst_app_sink_set_drop),
	  (gst_app_sink_get_drop), (gst_app_sink_pull_preroll),
	  (gst_app_sink_pull_buffer):
	* gst-libs/gst/app/gstappsink.h: (GstAppSinkPrivate), (_GstAppSink):
	* gst-libs/gst/app/gstappsrc.c: (_GstAppSrcPrivate),
	  (gst_app_src_class_init), (gst_app_src_init),
	  (gst_app_src_flush_queued), (gst_app_src_dispose),
	  (gst_app_src_finalize), (gst_app_src_set_property),
	  (gst_app_src_get_property), (gst_app_src_unlock),
	  (gst_app_src_unlock_stop), (gst_app_src_start), (gst_app_src_stop),
	  (gst_app_src_is_seekable), (gst_app_src_check_get_range),
	  (gst_app_src_query), (gst_app_src_do_seek), (gst_app_src_create),
	  (gst_app_src_set_caps), (gst_app_src_get_caps),
	  (gst_app_src_set_size), (gst_app_src_get_size),
	  (gst_app_src_set_stream_type), (gst_app_src_get_stream_type),
	  (gst_app_src_set_max_bytes), (gst_app_src_get_max_bytes),
	  (gst_app_src_set_latencies), (gst_app_src_set_latency),
	  (gst_app_src_get_latency), (gst_app_src_push_buffer_full),
	  (gst_app_src_push_buffer_action), (gst_app_src_end_of_stream):
	* gst-libs/gst/app/gstappsrc.h: (GstAppSrcPrivate):
	  Move private data into a private instance struct. Add padding to
	  instance and class structures exposed in public headers. Add
	  Since markers to the gtk-doc blurbs (#566750).

2009-01-06  Wim Taymans  <wim.taymans@collabora.co.uk>

	* tests/examples/app/appsrc_ex.c: (main):
	Some comments.
	When pulling a buffer we can get NULL when the element is EOS, don't try
	to unref this NULL buffer.

2009-01-06  Jan Schmidt  <jan.schmidt@sun.com>

	* gst-libs/gst/video/Makefile.am:
	* gst-libs/gst/video/video.h:
	Fix up build flags and include statement for the new generated
	enumtypes files, to fix dist.

2009-01-05  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:
	* docs/libs/Makefile.am:
	* docs/libs/gst-plugins-base-libs-docs.sgml:
	* docs/libs/gst-plugins-base-libs-sections.txt:
	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-base-plugins-docs.sgml:
	* docs/plugins/gst-plugins-base-plugins-sections.txt:
	* docs/plugins/gst-plugins-base-plugins.args:
	* docs/plugins/gst-plugins-base-plugins.hierarchy:
	* docs/plugins/gst-plugins-base-plugins.interfaces:
	* docs/plugins/gst-plugins-base-plugins.prerequisites:
	* docs/plugins/gst-plugins-base-plugins.signals:
	* docs/plugins/inspect/plugin-app.xml:
	* gst-libs/gst/Makefile.am:
	* gst-libs/gst/app/gstappsink.c:
	* gst-libs/gst/app/gstappsrc.c:
	* tests/examples/Makefile.am:
	* tests/examples/app/Makefile.am:

	Move AppSrc/AppSink from gst-plugins-bad. Fixes #564421

2009-01-05  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/audio/gstbaseaudiosink.c:
	(gst_base_audio_sink_change_state):
	Avoid holding the OBJECT_LOCK when calling ringbuffer functions that
	take the ringbuffer lock because rinbuffer lock > OBJECT_LOCK. We can do
	this because the async_play method is deprecated and usually not called 
	anymore.

2009-01-05  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstplaybin2.c: (notify_source_cb), (activate_group):
	Disconnect signal handlers before destroying a previous decodebin so
	that we don't end up causing deadlocks. Fixes #566586.

2009-01-05  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/audiotestsrc/gstaudiotestsrc.c:
	(gst_audio_test_src_class_init), (gst_audio_test_src_init),
	(gst_audio_test_src_check_get_range),
	(gst_audio_test_src_set_property),
	(gst_audio_test_src_get_property):
	* gst/audiotestsrc/gstaudiotestsrc.h:
	Add property to control pull/push based scheduling.

2009-01-02  Alessandro Decina  <alessandro.d@gmail.com>

	* configure.ac:
	* tests/examples/seek/Makefile.am:
	* tests/icles/Makefile.am:
	Make the seek and colorkey examples depend on gtk+-x11 as they use
	GDK_WINDOW_XID.
	Fixes the build with gtk+-quartz.

2008-12-31  Jan Schmidt  <jan.schmidt@sun.com>

	* win32/common/libgstaudio.def:
	* win32/common/libgsttag.def:
	* win32/common/libgstvideo.def:
	Add new exports to win32 files.

2008-12-31  Edward Hervey  <edward.hervey@collabora.co.uk>

	* gst-libs/gst/tag/gsttagdemux.c: (gst_tag_demux_result_get_type):
	* gst-libs/gst/tag/gsttagdemux.h:
	Add GType for GstTagDemuxResult enum.

2008-12-31  Edward Hervey  <edward.hervey@collabora.co.uk>

	* gst-libs/gst/video/Makefile.am:
	* gst-libs/gst/video/video.h:
	Add glib-mkenum for GstVideoFormat enum GTYPE auto-generation.
	This will help bindings to use it.

2008-12-31  Edward Hervey  <edward.hervey@collabora.co.uk>

	* gst-libs/gst/audio/Makefile.am:
	* gst-libs/gst/audio/audio.c:
	* gst-libs/gst/audio/multichannel.h:
	* gst-libs/gst/audio/testchannels.c:
	* win32/MANIFEST:
	* win32/common/audio-enumtypes.c:
	(gst_audio_channel_position_get_type),
	(gst_ring_buffer_state_get_type),
	(gst_ring_buffer_seg_state_get_type),
	(gst_buffer_format_type_get_type), (gst_buffer_format_get_type):
	* win32/common/audio-enumtypes.h:
	* win32/common/multichannel-enumtypes.c:
	* win32/common/multichannel-enumtypes.h:
	* win32/vs6/grammar.dsp:
	* win32/vs6/libgstaudio.dsp:
	* win32/vs7/libgstaudio.vcproj:
	* win32/vs8/libgstaudio.vcproj:
	Switch glib-mkenum for gst-libs/gst/audio from multichannel- to
	audio- in order to wrap all enums declarations of that library.
	This modification should not matter since that header file is not a
	public header (it will be included by public headers).
	Modify win32 crap^Wfiles accordingly.

2008-12-30  Edward Hervey  <edward.hervey@collabora.co.uk>

	* gst-libs/gst/audio/gstbaseaudiosrc.h:
	* gst-libs/gst/audio/gstbaseaudiosink.h:
	Complete Sebastien's commit from the 13th by exporting the
	_slave_method_get_type() methods.

2008-12-20  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* ext/gio/gstgiobasesink.c: (gst_gio_base_sink_query):
	* ext/gio/gstgiobasesrc.c: (gst_gio_base_src_class_init),
	(gst_gio_base_src_query):
	* ext/gnomevfs/gstgnomevfssink.c: (gst_gnome_vfs_sink_query):
	* ext/gnomevfs/gstgnomevfssrc.c: (gst_gnome_vfs_src_class_init),
	(gst_gnome_vfs_src_query):
	Implement URI query. Fixes bug #562949.

2008-12-20  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstplaybin2.c: (no_more_pads_cb):
	Add some debug info.

	* gst/playback/gstplaysink.c: (gen_video_chain), (gen_audio_chain),
	(gst_play_sink_reconfigure), (gst_play_sink_request_pad),
	(gst_play_sink_release_pad):
	Add some more debug info.
	Reconfigure the audio chain when we switch between raw and encoded audio
	in gapless playback.

2008-12-20  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/audio/gstbaseaudiosink.c:
	(gst_base_audio_sink_setcaps):
	Pause the write thread before deactivating and releasing the ringbuffer
	to avoid a deadlock when we do gapless playback with different sample
	rates in playbin2.  Fixes #564929.

2008-12-19  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* gst-libs/gst/audio/gstbaseaudiosrc.c:
	Make GstAudioSrcSlaveMethod get_type() function non-static
	as it's public now.

	* win32/common/libgstaudio.def:
	* win32/common/libgstnetbuffer.def:
	Add some missing functions to the list of exported symbols.

2008-12-18  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Andrew Feren <acferen at yahoo dot com>

	* gst-libs/gst/netbuffer/gstnetbuffer.c:
	(gst_netaddress_get_ip4_address), (gst_netaddress_get_ip6_address),
	(gst_netaddress_get_address_bytes),
	(gst_netaddress_set_address_bytes):
	* gst-libs/gst/netbuffer/gstnetbuffer.h:
	Make gst_netaddress_get_ip4_address fail for v6 addresses.
	Make gst_netaddress_get_ip6_address either fail or return the v4
	address as a transitional v6 address.
	Add two convenience functions:
	API: gst_netaddress_get_address_bytes()
	API: gst_netaddress_set_address_bytes()
	Fixes #564896.

2008-12-17  Stefan Kost  <ensonic@users.sf.net>

	* gst/adder/Makefile.am:
	* gst/adder/gstadder.c:
	  Cleanup variable names to make the adder-loop easier to understand.
	  Also try to use liboil to spee it up, but ifdef it out as it does not
	  make any change for me (Intel pentim M (sse,sse2) please try on other
	  systems).

2008-12-16  Wim Taymans  <wim.taymans@collabora.co.uk>

	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-base-plugins-docs.sgml:
	* docs/plugins/gst-plugins-base-plugins-sections.txt:
	* gst/tcp/gsttcpclientsink.c:
	* gst/tcp/gsttcpclientsrc.c:
	* gst/tcp/gsttcpserversrc.c:
	Add minimal docs to make the remaining tcp elements show up.
	Fixes #564139.

2008-12-13  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* win32/common/config.h:
	  Update to CVS version.

	* win32/common/config.h.in:
	  Hardcode path to plugin install helper exe, just like we hardcode
	  the paths in core. Removes another source of VCS conflicts for
	  people hacking gst-plugins-base on systems with autotools.

2008-12-13  Edward Hervey  <bilboed@gmail.com>

	* m4/Makefile.am:
	And a couple more .m4 that don't exist anymore with gettext 0.17

2008-12-13  Edward Hervey  <edward.hervey@collabora.co.uk>


	* m4/Makefile.am:
	inttypes.m4 hasn't been available since gettext-0.15, and since we now
	require gettext >= 0.17 ... we can remove it from the list of files to
	dist.

2008-12-13  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* gst-libs/gst/audio/gstbaseaudiosink.c:
	(gst_base_audio_sink_slave_method_get_type),
	(gst_base_audio_sink_class_init):
	* gst-libs/gst/audio/gstbaseaudiosink.h:
	* gst-libs/gst/audio/gstbaseaudiosrc.c:
	(gst_base_audio_src_slave_method_get_type),
	(gst_base_audio_src_class_init):
	* gst-libs/gst/audio/gstbaseaudiosrc.h:
	API: Add GST_TYPE_BASE_AUDIO_(SRC|SINK)_SLAVE_METHOD to the
	public API. This is needed for the C++ bindings to be able
	to use this base classes. Fixes bug #564200, #564206.

2008-12-12  Edward Hervey  <edward.hervey@collabora.co.uk>

	* gst-libs/gst/cdda/gstcddabasesrc.c:
	(gst_cdda_base_src_handle_event):
	Remove erroneous gst_buffer_ref().
	* tests/check/libs/rtp.c: (GST_START_TEST):
	Don't forget to unref the buffer once you're done with it.

2008-12-12  Stefan Kost  <ensonic@users.sf.net>

	* gst/playback/gstplaybin.c:
	* gst/playback/gstplaybin2.c:
	  XRef to GstXOverlay.

2008-12-12  Edward Hervey  <edward.hervey@collabora.co.uk>

	* gst/playback/gsturidecodebin.c: (gst_uri_decode_bin_finalize):
	Free the factory array when finalizing.
	* sys/v4l/gstv4lsrc.c: (gst_v4lsrc_base_init):
	Use a GstStaticPadTemplate since the src pad caps are fixed.

2008-12-12  Edward Hervey  <edward.hervey@collabora.co.uk>

	* ext/vorbis/vorbisenc.c: (gst_vorbis_enc_base_init),
	(gst_vorbis_enc_init):
	Make vorbisenc's pad template behave like vorbisdec's. Fixes a leak with
	pad templates.

2008-12-12  Edward Hervey  <edward.hervey@collabora.co.uk>

	* gst-libs/gst/riff/riff-media.c: (gst_riff_create_video_caps),
	(gst_riff_create_video_template_caps):
	Add mapping for VP6 in avi/riff.

2008-12-11  Edward Hervey  <edward.hervey@collabora.co.uk>

	* gst/subparse/samiparse.c: (sami_context_push_state),
	(sami_context_pop_state), (start_sami_element), (end_sami_element):
	Some versions of libxml seem to be very picky as to strict formatting
	of the input and never 'close' the final </body> tag.
	In order to fix that bad behaviour, we trigger the flushing of
	remaining data on both </body> and </sami>.
	Fixes #557365

2008-12-11  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	Patch by: Guillaume Emont <guillaume at fluendo dot com>

	* gst/typefind/gsttypefindfunctions.c: (plugin_init):
	Add typefinders for MS Word files and OS X .DS_Store files to
	prevent them to be recognized as MPEG files. Fixes bug #564098.

2008-12-11  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstplaysink.c: (gen_audio_chain),
	(gst_play_sink_reconfigure):
	Add some more debug info.
	Fix linking of just an encoded sink.
	Handle failure to create a sink chain more gracefully than crashing.

2008-12-11  Wim Taymans  <wim.taymans@collabora.co.uk>

	* tests/check/pipelines/theoraenc.c: (GST_START_TEST):
	Pushing 10 buffers is enough to run the test.

2008-12-11  Wim Taymans  <wim.taymans@collabora.co.uk>

	* tests/examples/seek/seek.c: (do_seek), (stop_cb),
	(skip_toggle_cb), (rate_spinbutton_changed_cb), (msg_segment_done),
	(main):
	Hook up the SKIP seek flag.

2008-12-10  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstplaybin2.c: (pad_added_cb):
	Error out with a missing-plugin error when the input-selector was not
	found.

	* gst/playback/gstplaysink.c: (gst_play_sink_reconfigure):
	Indentation.

2008-12-10  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstplaysink.c: (gst_play_sink_class_init),
	(gst_play_sink_dispose), (gst_play_sink_finalize), (try_element),
	(gen_video_chain), (gen_audio_chain), (gst_play_sink_reconfigure),
	(gst_play_sink_send_event), (gst_play_sink_change_state):
	Use G_DEFINE_TYPE.
	Try to set the selected sink to READY before using it. This will allow
	for detection of incompatible formats sooner.
	Don't cause a fatal error when conversion elements are missing but post
	a missing-element message and a warning instead because things might
	still link and run fine.
	Simplyfy the construction of audio and video sink chains.

2008-12-10  Wim Taymans  <wim.taymans@collabora.co.uk>

	* ext/ogg/gstoggdemux.c: (gst_ogg_pad_class_init),
	(gst_ogg_pad_dispose), (gst_ogg_pad_finalize):
	Use G_DEFINE_TYPE for the OggPad to get some threadsafe type 
	init from glib.

2008-12-10  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	Patch by: Luis Menina <liberforce at freeside dot fr>

	* gst-libs/gst/floatcast/floatcast.h:
	* gst/typefind/gsttypefindfunctions.c:
	Include glib.h instead of a specific GLib header. Including single
	GLib headers is deprecated. Fixes bug #563904.

2008-12-09  Julien Moutte  <julien@fluendo.com>

	* gst-libs/gst/riff/riff-media.c: (gst_riff_create_audio_caps): 
	Support higher max audio rates for some formats (WAV, Vorbis, LPCM).

2008-12-09  Stefan Kost  <ensonic@users.sf.net>

	* gst-libs/gst/riff/riff-read.c:
	  Fix handling of odd chunks in riff metadata.

2008-12-08  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/volume/gstvolume.c: (gst_volume_class_init),
	(volume_before_transform), (volume_transform_ip):
	Use new basetransform vmethod to reconfigure the dynamic properties and
	any pending volume/mute changes. Fixes #563508.

2008-12-08  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* configure.ac:
	First check for "theoraenc theoradec" and if that failed check
	for "theora >= 1.0alpha5". The former appeared in 1.0beta3 and
	deprecate the latter. Also linking on Windows fails with just "theora"
	and the version check would fail for the release candidates.
	Fixes bug #563718.

2008-12-08  Stefan Kost  <ensonic@users.sf.net>

	* gst/playback/gstdecodebin.c:
	* gst/playback/gstdecodebin2.c:
	  Add basic docs to decodebin and link to decodebin from decodebin2.
	  
2008-12-08  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Olivier Crete  <tester at tester ca>

	* gst-libs/gst/rtp/gstrtcpbuffer.c: (gst_rtcp_packet_remove):
	* gst-libs/gst/rtp/gstrtcpbuffer.h:
	Implement gst_rtcp_packet_remove(). Fixes #563174.

	* tests/check/libs/rtp.c: (GST_START_TEST), (rtp_suite):
	Add unit test for some RTCP functions.

2008-12-04  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* configure.ac:
	Apparently AC_CONFIG_MACRO_DIR breaks when using more
	than one macro directory, reverting last change.

2008-12-04  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* configure.ac:
	Set AC_CONFIG_MACRO_DIR to common/m4 to point autoconf to
	our M4 macros.

2008-12-03  Edward Hervey  <edward.hervey@collabora.co.uk>

	* sys/ximage/ximagesink.c: (gst_ximagesink_buffer_alloc):
	* sys/xvimage/xvimagesink.c: (gst_xvimagesink_buffer_alloc):
	Clear all flags on buffers returned from the image pool.
	Fixes #563143

2008-11-29  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	Patch by: Cygwin Ports maintainer
	          <yselkowitz at users dot sourceforge dot net>

	* autogen.sh:
	* configure.ac:
	Require gettext 0.17 because older versions don't mix with libtool
	2.2. At build time an older gettext version will still work.
	Fixes bug #556091.

2008-11-28  Christian Schaller <christian.schaller@collabora.co.uk>

	* gst/speexresample/Makefile.am: fix build by removing -lgstaudio 

2008-11-28  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* docs/plugins/gst-plugins-base-plugins.args:
	* docs/plugins/gst-plugins-base-plugins.hierarchy:
	* docs/plugins/gst-plugins-base-plugins.interfaces:
	* docs/plugins/gst-plugins-base-plugins.prerequisites:
	* docs/plugins/inspect/plugin-videorate.xml:
	* gst/speexresample/gstspeexresample.c:
	Update documentation of speexresample for the new element name.

2008-11-28  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* gst/speexresample/README:
	Update README with the latest diff between the Speex resampler
	and our copy.

2008-11-28  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* gst/speexresample/gstspeexresample.c: (plugin_init):
	Update the debug category from speex_resample to audioresample.

2008-11-27  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* gst/audioresample/Makefile.am:
	* gst/audioresample/buffer.c:
	* gst/audioresample/buffer.h:
	* gst/audioresample/debug.c:
	* gst/audioresample/debug.h:
	* gst/audioresample/functable.c:
	* gst/audioresample/functable.h:
	* gst/audioresample/gstaudioresample.c:
	* gst/audioresample/gstaudioresample.h:
	* gst/audioresample/resample.c:
	* gst/audioresample/resample.h:
	* gst/audioresample/resample_chunk.c:
	* gst/audioresample/resample_functable.c:
	* gst/audioresample/resample_ref.c:
	* tests/check/elements/audioresample.c:
	Remove audioresample files.

2008-11-27  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* docs/plugins/inspect/plugin-audioresample.xml:
	Regenerated for library filename change.

2008-11-27  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* configure.ac:
	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-base-plugins-sections.txt:
	* docs/plugins/gst-plugins-base-plugins.args:
	* docs/plugins/gst-plugins-base-plugins.hierarchy:
	* docs/plugins/gst-plugins-base-plugins.interfaces:
	* docs/plugins/gst-plugins-base-plugins.prerequisites:
	* docs/plugins/inspect/plugin-adder.xml:
	* docs/plugins/inspect/plugin-alsa.xml:
	* docs/plugins/inspect/plugin-audioconvert.xml:
	* docs/plugins/inspect/plugin-audiorate.xml:
	* docs/plugins/inspect/plugin-audioresample.xml:
	* docs/plugins/inspect/plugin-audiotestsrc.xml:
	* docs/plugins/inspect/plugin-cdparanoia.xml:
	* docs/plugins/inspect/plugin-decodebin.xml:
	* docs/plugins/inspect/plugin-ffmpegcolorspace.xml:
	* docs/plugins/inspect/plugin-gdp.xml:
	* docs/plugins/inspect/plugin-gio.xml:
	* docs/plugins/inspect/plugin-gnomevfs.xml:
	* docs/plugins/inspect/plugin-libvisual.xml:
	* docs/plugins/inspect/plugin-ogg.xml:
	* docs/plugins/inspect/plugin-pango.xml:
	* docs/plugins/inspect/plugin-playback.xml:
	* docs/plugins/inspect/plugin-queue2.xml:
	* docs/plugins/inspect/plugin-subparse.xml:
	* docs/plugins/inspect/plugin-tcp.xml:
	* docs/plugins/inspect/plugin-theora.xml:
	* docs/plugins/inspect/plugin-typefindfunctions.xml:
	* docs/plugins/inspect/plugin-uridecodebin.xml:
	* docs/plugins/inspect/plugin-video4linux.xml:
	* docs/plugins/inspect/plugin-videorate.xml:
	* docs/plugins/inspect/plugin-videoscale.xml:
	* docs/plugins/inspect/plugin-videotestsrc.xml:
	* docs/plugins/inspect/plugin-volume.xml:
	* docs/plugins/inspect/plugin-vorbis.xml:
	* docs/plugins/inspect/plugin-ximagesink.xml:
	* docs/plugins/inspect/plugin-xvimagesink.xml:
	* gst/speexresample/gstspeexresample.c: (plugin_init):
	* gst/speexresample/Makefile.am:
	* tests/check/Makefile.am:
	* tests/check/elements/speexresample.c: (setup_speexresample),
	(GST_START_TEST), (test_pipeline):
	Rename the moved speexresample to audioresample, integrate into the
	build system and remove the old audioresample from the build system.
	Fixes bug #558124, #385061, #346218, #116051.

2008-11-27  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/audio/gstbaseaudiosrc.c:
	(gst_base_audio_src_get_offset), (gst_base_audio_src_create):
	Avoid nasty int overflows after about 12 hours and 25 minutes when these
	code paths are triggered. 
	A free beer to Håvard Graff for finding this!

2008-11-27  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: 이문형 <iwings at gmail dot com>

	* gst-libs/gst/rtsp/gstrtspconnection.c:
	(gst_rtsp_connection_connect):
	A successful gst_poll_wait() doesn't always mean successful connect() on
	Windows.  We should check errors by calling gst_poll_fd_has_error().
	See #561924.

2008-11-25  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/rtp/gstrtcpbuffer.c:
	Fix typo in the docs.

2008-11-25  Wim Taymans  <wim.taymans@collabora.co.uk>

	* ext/ogg/gstoggdemux.c: (gst_ogg_demux_sink_event):
	If no stream was found before receiving EOS, post an error message.
	Fixes #561924.

2008-11-25  Wim Taymans  <wim.taymans@collabora.co.uk>

	* ext/theora/gsttheoraenc.h:
	* ext/theora/theoraenc.c: (gst_theora_enc_init),
	(theora_buffer_from_packet), (theora_push_packet),
	(theora_enc_sink_event), (theora_enc_is_discontinuous),
	(theora_enc_chain):
	Parse segment events.
	Pass incomming buffer timestamps to outgoing buffers.
	Use the running_time to construct the granulepos.
	Fixes #562163.

2008-11-25  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstplaybin2.c: (activate_group):
	Fix buffer-duration property.

2008-11-25  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/audio/gstbaseaudiosink.c:
	(gst_base_audio_sink_drain), (gst_base_audio_sink_event),
	(gst_base_audio_sink_sync_latency), (gst_base_audio_sink_render),
	(gst_base_audio_sink_change_state):
	Really fix audiosink drain handling by keeping track of the running_time
	of the last sample.

2008-11-24  Michael Smith <msmith@songbirdnest.com>

	* gst/playback/gstplaybin2.c:
	  Add notification of current stream. Add ability to configure buffer
	  sizes.
	* gst/playback/gsturidecodebin.c:
	  Add ability to configure buffer sizes for streaming mode.
	  Bug #561734.

2008-11-24  Stefan Kost  <ensonic@users.sf.net>

	* gst-libs/gst/audio/gstbaseaudiosink.c:
	  Time is already in running_time. Remove base_time handling. Fixes
	  audiosinks not draining and thus chopping some audio in the end.

2008-11-24  David Schleef  <ds@schleef.org>

	* ext/ogg/gstoggmux.c:
	* ext/ogg/gstoggmux.h:
	  If we're muxing a dirac stream, flush the page after every picture.

2008-11-24  Stefan Kost  <ensonic@users.sf.net>

	* gst-libs/gst/audio/gstbaseaudiosink.c:
	  Add one log message to check for audio_drained. Sync one log message
	  with the condition. Send EOS after draining audio in pull mode.

2008-11-24  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* ext/gio/gstgiobasesrc.c: (gst_gio_base_src_create):
	* ext/gnomevfs/gstgnomevfssrc.c: (gst_gnome_vfs_src_create):
	Use gst_buffer_try_new_and_alloc() and fail properly if the
	allocation failed. This prevents abort() if downstream elements
	request an insane amount of memory.

2008-11-24  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/volume/gstvolume.c: (volume_choose_func),
	(volume_update_volume), (gst_volume_set_volume),
	(gst_volume_get_volume), (gst_volume_set_mute),
	(gst_volume_class_init), (gst_volume_init),
	(volume_process_double), (volume_process_float),
	(volume_process_int32), (volume_process_int32_clamp),
	(volume_process_int24), (volume_process_int24_clamp),
	(volume_process_int16), (volume_process_int16_clamp),
	(volume_process_int8), (volume_process_int8_clamp), (volume_setup),
	(volume_transform_ip), (volume_set_property),
	(volume_get_property):
	* gst/volume/gstvolume.h:
	Cleanup volume, define and use default values.
	Recalculate new volume and mute setup before processing. Fixes #561789.

	* tests/check/elements/volume.c: (GST_START_TEST), (volume_suite):
	Add controller unit test. Patch by: Jonathan Matthew
	Fix bogus test that messed with basetransform's internal state.

2008-11-22  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/videorate/gstvideorate.c:
	Add jpeg and png image media types to the caps. Fixes #561436.

2008-11-22  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstplaysink.c: (gen_audio_chain):
	Don't post an error when we can't configure the volume but post a
	warning instead. Fixes #561780.

2008-11-21  David Schleef  <ds@schleef.org>

	Patch by: Jonathan Rosser <jonathan.rosser@rd.bbc.co.uk>

	* gst/videotestsrc/gstvideotestsrc.c:
	* gst/videotestsrc/gstvideotestsrc.h:
	* gst/videotestsrc/videotestsrc.c:
	* gst/videotestsrc/videotestsrc.h:
	  Add a zone plate pattern generator based on BBC R&D Report
	  1978/23 (yeah *that* 1978).  Try 'videotestsrc pattern=zone-plate
	  kx2=20 ky2=20 kt=1'.

2008-11-20  Michael Smith <msmith@songbirdnest.com>

	* gst/playback/gstdecodebin2.c:
	  Fix random fat-fingering making this not compile.

2008-11-20  Michael Smith <msmith@songbirdnest.com>

	* gst/playback/gstdecodebin2.c:
	  If the top-level type of the stream is plain text, don't try to decode
	  it, matching behaviour of decodebin.
	* gst/playback/gstplaysink.c:
	  If we fail to generate a text chain (e.g. due to missing optional
	  plugins), don't crash.

2008-11-20  Michael Smith <msmith@songbirdnest.com>

	* gst-libs/gst/rtsp/gstrtspdefs.c:
	  Fix win32 build. Oops.

2008-11-20  Michael Smith <msmith@songbirdnest.com>

	* gst-libs/gst/rtsp/gstrtspdefs.c:
	  Use WSAGetLastError() rather than errno/h_errno on win32.

2008-11-20  Michael Smith <msmith@songbirdnest.com>

	* gst-libs/gst/riff/riff-media.c:
	  Support WMA Lossless properly.

2008-11-18  David Schleef  <ds@schleef.org>

	* gst/videotestsrc/gstvideotestsrc.c:
	* gst/videotestsrc/gstvideotestsrc.h:
	* gst/videotestsrc/videotestsrc.c:
	* gst/videotestsrc/videotestsrc.h:
	  Add "colorspec" property, specifying whether to generate BT.601
	  or BT.709 video.  This only affects YCbCr values, not RGB, since
	  if you're generating a 709 test pattern, presumably you want
	  709 RGB primaries, not 601.  Also add "smpte75" pattern, which
	  uses 75% colors instead of 100%, since this is often more useful
	  for testing (and also follows the SMPTE EG-1 guideline).

2008-11-18  Alessandro Decina  <alessandro.d@gmail.com>

	* gst/playback/gstdecodebin.c:
	Add a "sink-caps" property to decodebin like it's done for decodebin2.
	Fixes #560380.

2008-11-14  Jan Schmidt  <jan.schmidt@sun.com>

	* gst/audioresample/gstaudioresample.c:
	Guard against a NULL dereference I somehow encountered -
	with a FLUSH_STOP arriving either before basetransform _start(),
	or after _stop().

	* gst/typefind/gsttypefindfunctions.c:
	Make sure we never jump backwards when typefinding corrupt mov files.

2008-11-14  Jan Schmidt  <jan.schmidt@sun.com>

	* gst-libs/gst/interfaces/propertyprobe.c:
	Fix random type causing a docs warning.

2008-11-14  Stefan Kost  <ensonic@users.sf.net>

	* sys/v4l/gstv4l.c:
	  Give it a minimal rank for autovideosrc.

2008-11-13  Mark Nauwelaerts  <mark.nauwelaerts@collabora.co.uk>

	* gst/typefind/gsttypefindfunctions.c: (jp2_type_find),
	(plugin_init):
	Improve typefinding of ISO JPEG2000 mime types.

2008-11-13  Wim Taymans  <wim.taymans@collabora.co.uk>

	* sys/xvimage/xvimagesink.c: (gst_xvimage_buffer_finalize),
	(gst_xvimagesink_xvimage_put), (gst_xvimagesink_setcaps),
	(gst_xvimagesink_show_frame), (gst_xvimagesink_buffer_alloc):
	* sys/xvimage/xvimagesink.h:
	Avoid typechecking when we do trivial casts.
	Move error handling out of the main program flow.
	Sneak in the display-region caps property, not completely correct yet.
	Cache the width/height in buffer_alloc instead of parsing it from the
	caps all the time.

2008-11-13  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstplaybin2.c: (deactivate_group):
	don't try to unlink the selector sinkpad when we don't have it yet. This
	can happen if an error occured before the group was complete.

2008-11-13  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/rtp/gstrtpbuffer.c: (gst_rtp_buffer_validate_data),
	(gst_rtp_buffer_set_packet_len), (gst_rtp_buffer_get_packet_len),
	(gst_rtp_buffer_get_header_len), (gst_rtp_buffer_get_version),
	(gst_rtp_buffer_set_version), (gst_rtp_buffer_get_padding),
	(gst_rtp_buffer_set_padding), (gst_rtp_buffer_pad_to),
	(gst_rtp_buffer_get_extension), (gst_rtp_buffer_set_extension),
	(gst_rtp_buffer_get_extension_data),
	(gst_rtp_buffer_set_extension_data), (gst_rtp_buffer_get_ssrc),
	(gst_rtp_buffer_set_ssrc), (gst_rtp_buffer_get_csrc_count),
	(gst_rtp_buffer_get_csrc), (gst_rtp_buffer_set_csrc),
	(gst_rtp_buffer_get_marker), (gst_rtp_buffer_set_marker),
	(gst_rtp_buffer_get_payload_type),
	(gst_rtp_buffer_set_payload_type), (gst_rtp_buffer_get_seq),
	(gst_rtp_buffer_set_seq), (gst_rtp_buffer_get_timestamp),
	(gst_rtp_buffer_set_timestamp),
	(gst_rtp_buffer_get_payload_subbuffer),
	(gst_rtp_buffer_get_payload_len), (gst_rtp_buffer_get_payload):
	Avoid expensive type checks we already did as part of the 
	_validate() function that should be called first.

2008-11-11  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/rtp/gstbasertpdepayload.c: (create_segment_event),
	(gst_base_rtp_depayload_push_full),
	(gst_base_rtp_depayload_set_gst_timestamp):
	Fix some cases where a newsegment event was not sent.

2008-11-11  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstplaybin2.c: (activate_group):
	Catch state change errors and stop from the uridecodebin elements
	instead of trying to continue in vain.

2008-11-10  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/audio/gstbaseaudiosink.c:
	(gst_base_audio_sink_sync_latency), (gst_base_audio_sink_render),
	(gst_base_audio_sink_callback):
	Use gst_base_sink_do_preroll() to wait for PLAYING and before waiting
	for the latency to expire, fixes #559567.

2008-11-10  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/adder/gstadder.c:
	  Change author string after seeing output of gst-inspector.

2008-11-10  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstplaysink.c: (gst_play_sink_reconfigure):
	Don't try to do crazy things when we only have a text pad without a
	video pad. Fixes #559478.

2008-11-06  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/riff/riff-media.c: (gst_riff_create_audio_caps):
	Fix case where we don't have a range for the rates or channels as is the
	case with truespeech.

2008-11-05  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/volume/gstvolume.c: (volume_update_real_volume),
	(gst_volume_set_volume), (gst_volume_get_volume),
	(gst_volume_set_mute), (gst_volume_init), (volume_setup),
	(volume_transform_ip), (volume_update_mute),
	(volume_update_volume), (volume_get_property):
	* gst/volume/gstvolume.h:
	Keep negotiated state in a separate variable.
	Protect the volume and mute properties with the object lock.
	Protect modifying the transform with the transform lock.

2008-11-05  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/ffmpegcolorspace/gstffmpegcodecmap.c:
	(gst_ffmpeg_pixfmt_to_caps):
	Only convert caps to string when debug is enabled.

2008-11-04  Wim Taymans  <wim.taymans@collabora.co.uk>

	* ext/theora/gsttheoradec.h:
	* ext/theora/theoradec.c: (gst_theora_dec_init),
	(gst_theora_dec_reset), (theora_dec_src_event),
	(theora_dec_sink_event), (theora_handle_type_packet):
	Copy seqnum.
	Keep events in a pending list, like vorbisdec, instead of trying
	to construct a segment event ourselves.

	* ext/vorbis/vorbisdec.c: (gst_vorbis_dec_reset),
	(vorbis_dec_src_event), (vorbis_dec_sink_event):
	* ext/vorbis/vorbisdec.h:
	Copy seqnum.

2008-11-04  Wim Taymans  <wim.taymans@collabora.co.uk>

	* ext/ogg/gstoggdemux.c: (gst_ogg_pad_submit_packet),
	(gst_ogg_demux_deactivate_current_chain),
	(gst_ogg_demux_perform_seek), (gst_ogg_demux_handle_page),
	(gst_ogg_demux_loop):
	* ext/ogg/gstoggdemux.h:
	Copy seqnums around to track playback segments and messages.

2008-11-03  Wim Taymans  <wim.taymans@collabora.co.uk>

	Based on patch by: Matthias Kretz <kretz at kde dot org>

	* ext/alsa/gstalsasink.c: (gst_alsasink_open),
	(gst_alsasink_prepare), (gst_alsasink_unprepare),
	(gst_alsasink_write):
	Make all access non-blocking so that we can better handle unplugging
	of usb devices. Fixes #559111

2008-11-03  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Damien Lespiau  <damien.lespiau gmail com>

	* gst-libs/gst/rtsp/gstrtspconnection.c:
	(gst_rtsp_connection_write):
	Make the next call to poll not depend on previous calls to poll with or
	without reading from the active descriptor. Fixes #544293.

2008-10-31  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Nick Haddad <nick at haddads dot net>

	* gst-libs/gst/riff/riff-ids.h:
	* gst-libs/gst/riff/riff-media.c: (gst_riff_create_video_caps):
	Add support for other fourcc codes that are commonly used for
	'uncompressed RGB', including 'RGB ', 'RAW ', and 0.
	Fixes #558553.

2008-10-30  Stefan Kost  <ensonic@users.sf.net>

	* gst/audioresample/gstaudioresample.c:
	  Return the result of parent_class->event().

2008-10-28  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* gst/audioresample/gstaudioresample.c:
	(gst_audioresample_class_init), (audioresample_fixate_caps):
	Fixate the rate to the nearest supported rate instead of
	the first one. Fixes bug #549510.

2008-10-27  Wim Taymans  <wim.taymans@collabora.co.uk>

	* win32/common/libgstaudio.def:
	Add new symbols.

2008-10-23  Wim Taymans  <wim.taymans@collabora.co.uk>

	* ext/vorbis/vorbisdec.c: (vorbis_handle_identification_packet):
	Attempt to make obfuscated code clearer.

2008-10-23  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* docs/libs/gst-plugins-base-libs-sections.txt:
	* gst-libs/gst/floatcast/floatcast.h:
	Move float endianness conversion macros to core. Second part of
	bug ##555196.

2008-10-22  Stefan Kost  <ensonic@users.sf.net>

	* sys/ximage/ximagesink.h:
	* sys/xvimage/xvimagesink.h:
	  Don't mark as gtk-doc docs as they aren't public.

2008-10-22  Stefan Kost  <ensonic@users.sf.net>

	* sys/xvimage/xvimagesink.c:
	* sys/xvimage/xvimagesink.h:
	* tests/icles/Makefile.am:
	* tests/icles/test-colorkey.c:
	  Allow setting colorkey if possible. Implement property probe interface
	  for optional X features (autopaint-colorkey, double-buffer and
	  colorkey). Fixes #554533

2008-10-22  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst-libs/gst/tag/tags.c: (gst_tag_image_data_to_image_buffer):
	Remove useless buffer size assignment. It already has this value.

2008-10-20  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/audio/gstaudiosink.c:
	(gst_audioringbuffer_class_init), (gst_audioringbuffer_acquire),
	(gst_audioringbuffer_activate), (gst_audioringbuffer_release),
	(gst_audioringbuffer_stop):
	Implement a separate activate functions to start monitoring the segments
	or, in pull mode, pulling in data.

	* gst-libs/gst/audio/gstbaseaudiosink.c:
	(gst_base_audio_sink_init), (gst_base_audio_sink_dispose),
	(gst_base_audio_sink_query_pad), (gst_base_audio_sink_query),
	(gst_base_audio_sink_setcaps), (gst_base_audio_sink_callback),
	(gst_base_audio_sink_activate_pull),
	(gst_base_audio_sink_async_play),
	(gst_base_audio_sink_change_state):
	Implement pad and element convert query function.
	Activate the ringbuffer.
	Use the segment last_stop value as the offset to pull.
	Use new basesink _do_preroll() method to preroll in the pulling thread.
	Take appropriate locking in the pulling thread.

	* gst-libs/gst/audio/gstringbuffer.h:
	Update some docs.

2008-10-20  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* gst/typefind/gsttypefindfunctions.c: (mxf_type_find):
	Improve MXF typefinding a bit by searching for a header partition
	pack instead of just a general partition pack and checking more
	bytes for valid values.

2008-10-20  Wim Taymans  <wim.taymans@collabora.co.uk>

	* tests/icles/.cvsignore:
	update ignore file.

	* tests/icles/Makefile.am:
	* tests/icles/test-box.c: (make_pipeline), (main):
	Add another interactive command line experimentation suite for
	dynamically boxing/cropping/saling an input video.

2008-10-17  Wim Taymans  <wim.taymans@collabora.co.uk>

	* docs/libs/gst-plugins-base-libs-sections.txt:
	* gst-libs/gst/audio/gstringbuffer.c: (gst_ring_buffer_convert),
	(gst_ring_buffer_activate), (gst_ring_buffer_is_active):
	* gst-libs/gst/audio/gstringbuffer.h:
	Add methods to more accuratly control the pulling thread of a
	ringbuffer.
	Add format conversion helper code to the ringbuffer.
	API: GstRingBuffer:gst_ring_buffer_activate()
	API: GstRingBuffer:gst_ring_buffer_is_active()
	API: GstRingBuffer:gst_ring_buffer_convert()

2008-10-16  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/audio/gstaudiosink.c: (audioringbuffer_thread_func),
	(gst_audioringbuffer_acquire), (gst_audioringbuffer_release),
	(gst_audioringbuffer_stop):
	Signal thread startup earlier so that we can immediatly go into pull
	mode when we have to and block on preroll.

2008-10-16  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/audio/gstringbuffer.c:
	(gst_ring_buffer_prepare_read):
	In pull mode we want the callback to prepull a buffer we can preroll on
	even when we are not yet playing.

2008-10-16  Stefan Kost  <ensonic@users.sf.net>

	* ext/alsa/Makefile.am:
	* ext/cdparanoia/Makefile.am:
	* ext/gio/Makefile.am:
	* ext/gnomevfs/Makefile.am:
	* ext/libvisual/Makefile.am:
	* ext/ogg/Makefile.am:
	* ext/pango/Makefile.am:
	* ext/theora/Makefile.am:
	* ext/vorbis/Makefile.am:
	* gst/adder/Makefile.am:
	* gst/audioconvert/Makefile.am:
	* gst/audiorate/Makefile.am:
	* gst/audioresample/Makefile.am:
	* gst/audiotestsrc/Makefile.am:
	* gst/ffmpegcolorspace/Makefile.am:
	* gst/gdp/Makefile.am:
	* gst/playback/Makefile.am:
	* gst/subparse/Makefile.am:
	* gst/tcp/Makefile.am:
	* gst/typefind/Makefile.am:
	* gst/videorate/Makefile.am:
	* gst/videoscale/Makefile.am:
	* gst/videotestsrc/Makefile.am:
	* gst/volume/Makefile.am:
	* sys/v4l/Makefile.am:
	* sys/ximage/Makefile.am:
	* sys/xvimage/Makefile.am:
	  Don't install static libs for plugins. Fixes #550851 for base.

2008-10-16  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/audiotestsrc/gstaudiotestsrc.c: (gst_audio_test_src_init):
	Set the default blocksize to -1 because we will then use the configured
	samplesperbuffer to create our output buffer.

2008-10-15  Edward Hervey  <edward.hervey@collabora.co.uk>

	* gst-libs/gst/riff/riff-media.c: (gst_riff_create_video_caps),
	(gst_riff_create_video_template_caps):
	Add mappping for the KMVC (Karl Morton's Video) Codec.

2008-10-15  Edward Hervey  <edward.hervey@collabora.co.uk>

	* gst/typefind/gsttypefindfunctions.c: (flac_type_find):
	Don't forget to advance the offset of what we're matching against, else
	we end up in a forever loop.

2008-10-15  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/subparse/gstsubparse.c: (gst_subparse_type_find):
	Improve typefinding a bit. If we don't have a Unicode charset
	try GST_SUBTITLE_ENCODING and otherwise try ISO-8859-15.

2008-10-14  Edward Hervey  <edward.hervey@collabora.co.uk>

	* ext/theora/theoradec.c: (theora_dec_decode_buffer):
	Fix build on macosx.

2008-10-13  Wim Taymans  <wim.taymans@collabora.co.uk>

	Based on patch by: Robin Stocker <robin at nibor dot org>

	* ext/theora/gsttheoradec.h:
	* ext/theora/theoradec.c: (gst_theora_dec_init),
	(theora_dec_setcaps), (theora_handle_type_packet),
	(theora_dec_decode_buffer), (theora_dec_change_state):
	Parse input caps and make the PAR override the encoded PAR when
	specified by a container. Fixes #555699.

2008-10-13  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/rtp/gstbasertpdepayload.c:
	(gst_base_rtp_depayload_setcaps), (gst_base_rtp_depayload_chain),
	(gst_base_rtp_depayload_set_gst_timestamp),
	(gst_base_rtp_depayload_change_state):
	* gst-libs/gst/rtp/gstbasertpdepayload.h:
	Add some more G_LIKELY
	Fail when the setcaps function was not called.

	* gst-libs/gst/rtp/gstbasertppayload.c:
	(gst_basertppayload_set_outcaps):
	Propagate return value of setcaps.

2008-10-13  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* gst/subparse/Makefile.am:
	* gst/subparse/gstsubparse.c: (gst_sub_parse_dispose),
	(gst_sub_parse_class_init), (gst_sub_parse_init),
	(gst_convert_to_utf8), (detect_encoding), (convert_encoding),
	(get_next_line), (gst_sub_parse_data_format_autodetect),
	(feed_textbuf), (handle_buffer), (gst_sub_parse_change_state),
	(gst_subparse_type_find):
	* gst/subparse/gstsubparse.h:
	Add support for UTF16/UTF32 subtitles as long as the first bytes of
	the first buffer contain the BOM. This also adds support for other
	encodings that allow NUL bytes via the encoding property.
	Fixes bugs #552237 and #456788.

2008-10-13  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* gst-libs/gst/tag/tags.c: (gst_tag_image_data_to_image_buffer):
	Don't drop the last byte of image tags if they're not an URI list.
	Fixes bug #556066.

2008-10-13  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* gst/typefind/gsttypefindfunctions.c: (flac_type_find):
	For looking at the 4th byte we have to get 4 bytes of course
	and not 3.

2008-10-13  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* gst/typefind/gsttypefindfunctions.c: (flac_type_find):
	Improve FLAC-without-headers typefinding by looking at most of the
	frame header and checking if invalid values are used. Should prevent
	quite some false positives compared to the old version which only
	check if the first 14 bits are set.

2008-10-11  Stefan Kost  <ensonic@users.sf.net>

	* sys/xvimage/xvimagesink.c:
	  Don't assert on caps==NULL.

2008-10-10  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* gst/subparse/gstsubparse.c:
	(gst_sub_parse_data_format_autodetect), (handle_buffer),
	(gst_sub_parse_change_state):
	* gst/subparse/gstsubparse.h:
	* tests/check/elements/subparse.c: (GST_START_TEST):
	Add support for subtitle files with UTF-8 BOM at the beginning
	by simple stripping it from the first line before passing it
	to any parsing code. Fixes bug #555257 and playback of files
	created by Gnome Subtitles.

2008-10-10  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/audiotestsrc/gstaudiotestsrc.c:
	(gst_audio_test_src_class_init), (gst_audio_test_src_init),
	(gst_audio_test_src_src_fixate), (gst_audio_test_src_setcaps),
	(gst_audio_test_src_start), (gst_audio_test_src_stop),
	(gst_audio_test_src_do_seek), (gst_audio_test_src_check_get_range),
	(gst_audio_test_src_create):
	* gst/audiotestsrc/gstaudiotestsrc.h:
	Define the default property values in the usual place.
	Implement start/stop to reset values correctly.
	Calculate the sample size only once when we negotiate.
	Rename some values to make more sense.
	Keep track of our byte range.
	Add support for pull based scheduling. Disabled for now until we have
	the whole stack working.
	Set the BUFFER_OFFSET correctly.

2008-10-10  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	Based on a patch by: xavierb at gmail dot com

	* gst/subparse/gstsubparse.c:
	(gst_sub_parse_data_format_autodetect):
	* tests/check/elements/subparse.c: (GST_START_TEST):
	Make the detection of the used subtitle a bit less strict
	for srt subtitles. Fixes bug #555607.

2008-10-10  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* ext/vorbis/vorbisenc.c:
	(gst_vorbis_enc_buffer_check_discontinuous):
	Fix discontinuity detection which was broken by last commit.

2008-10-09  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* configure.ac::
	  Require core CVS for ghostpad API additions used by decodebin2.

2008-10-08  Edward Hervey  <edward.hervey@collabora.co.uk>

	* gst-libs/gst/audio/gstbaseaudiosrc.c:
	(gst_base_audio_src_create):
	Fix debug statements (space between '%' and actual format).

2008-10-08  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstdecodebin2.c: (gst_decode_pad_activate):
	Remove bogus assert, the decodepad could have been created inside an
	already existing group.

2008-10-08  Andy Wingo  <wingo@pobox.com>

	* gst/playback/gstdecodebin2.c (expose_pad): Fix typo: unset
	target instead of setting it.
	(gst_decode_pad_activate, gst_decode_pad_unblock): This is now the
	API for a decode pad. The bugfix is that we set the group in
	activate(), not when the pad was created because it might be NULL
	then.
	(gst_decode_group_control_source_pad, gst_decode_group_expose):
	Update to use the API.

2008-10-08  Andy Wingo  <wingo@pobox.com>

	* gst/playback/gstdecodebin2.c (struct _GstDecodePad): Change to
	be a subclass of GstGhostPad.
	(analyze_new_pad): So, when emitting the signals that determine
	how we do autoplugging, already create the ghost pad and use it as
	the pad in the signal arguments. This allows applications to make
	a connection between the pad passed in e.g. autoplug-continue, and
	the pad passed in new-decoded-pad.
	(connect_pad, expose_pad): Update to receive the ghosted decode
	pad in the args, retargetting it as necessary if we have to plug
	the target pad through a multiqueue.
	(gst_decode_group_control_source_pad): Adapt to receive an
	already-ghosted pad that just needs activation, blocking, and
	drain notification.
	(sort_end_pads): Adapt for decode pads actually being pads.
	(gst_decode_group_expose): Adapt for decode pads actually being
	pads. Rewrite the decode pad names so they appear in order. Adds a
	new error case if we couldn't set the name.
	(gst_decode_group_free, gst_decode_group_hide): Adapt cleanup
	logic.
	(gst_decode_pad_set_blocked, gst_decode_pad_add_drained_check):
	New API for the decode pad, needed because we shouldn't do these
	things inside gst_decode_pad_new(), but after.
	(gst_decode_pad_new): Change to actually make the real pad, and
	delay the blocking/drainage bits.

2008-10-08  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	Patch by: Daniel Drake <dsd at laptop dot org>

	* ext/ogg/gstoggmux.c: (gst_ogg_mux_clear_collectpads):
	Unref all buffers when clearing collectpads. Fixes bug #546955.

2008-10-08  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	Based on a patch by: Klaas <klaas at rivercrew dot net>

	* ext/vorbis/vorbisenc.c: (gst_vorbis_enc_sink_event),
	(gst_vorbis_enc_buffer_check_discontinuous),
	(gst_vorbis_enc_chain), (gst_vorbis_enc_change_state):
	* ext/vorbis/vorbisenc.h:
	Keep track of the upstream segments and use the running time on that
	segment instead of the buffer timestamp everywhere. Fixes bug #525807.

2008-10-08  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* gst/audioconvert/audioconvert.c: (audio_convert_convert):
	Prevent overflows with big buffer when calculating the size of
	the intermediate buffer by using gst_util_uint64_scale() instead of
	plain arithmetics. Fixes bug #552801.

2008-10-08  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	Patch by: Pavel Zeldin <pzeldin at gmail dot com>

	* ext/pango/gstclockoverlay.c: (gst_clock_overlay_render_time),
	(gst_clock_overlay_class_init), (gst_clock_overlay_finalize),
	(gst_clock_overlay_init), (gst_clock_overlay_set_property),
	(gst_clock_overlay_get_property):
	* ext/pango/gstclockoverlay.h:
	API: Add ability to specify format for date/time display by
	adding a "time-format" property.
	Fixes bug #554879.

2008-10-08  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	Patch by: Jan Gerber <j at oil21 dot org>

	* gst-libs/gst/riff/riff-media.c: (gst_riff_create_video_caps),
	(gst_riff_create_video_template_caps):
	Add FFV1 fourcc to support playback of FFMPEG lossless video
	in AVI. Fixes bug #555319.

2008-10-08  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Håvard Graff <havard dot graff at tandberg dot com>

	* gst-libs/gst/audio/gstbaseaudiosrc.c:
	(gst_base_audio_src_create):
	Implement skew clock slaving. Fixes #552559.

2008-10-08  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/audio/multichannel.c:
	* gst-libs/gst/audio/testchannels.c:
	Fix include of config.h

2008-10-06  Wim Taymans  <wim.taymans@collabora.co.uk>

	Based on Patch by: Tero Saarni <tero dot saarni at gmail dot com>

	* gst-libs/gst/sdp/gstsdpmessage.c: (gst_sdp_parse_line),
	(print_media), (gst_sdp_message_dump):
	Fix parsing of the c= field containing multicast addresses.
	Fixes #552199.
	Add the connection info to the session or streams.
	Fix parsing of the bandwidth.
	Add debugging for the connections and bandwidths for a media.
	Add debugging for the bandwidth of the session. 

2008-10-06  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/rtp/gstbasertppayload.c:
	(gst_basertppayload_change_state):
	Configure the next seqnum and timestamp in the state change so that they
	can be queried soon after.

2008-10-06  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/rtp/gstbasertpdepayload.c:
	(gst_base_rtp_depayload_chain):
	Improve debugging of the rtptime.

2008-10-05  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:
	Back to development -> 0.10.21.1

2008-10-05  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* gst/typefind/gsttypefindfunctions.c: (flac_type_find),
	(plugin_init):
	Add typefinding for FLAC without headers in the beginning.
	This is already handled by flacdec and friends.

2008-10-05  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* gst/typefind/gsttypefindfunctions.c: (mxf_type_find),
	(plugin_init):
	Add typefinder for MXF.

2008-10-03  Jan Schmidt  <jan.schmidt@sun.com>

	* tests/icles/Makefile.am:
	Only build test-colorkey if GTK+ is available.

=== release 0.10.21 ===

2008-10-03  Jan Schmidt <jan.schmidt@sun.com>

	* configure.ac:
	  releasing 0.10.21, "We Could Be Wrong"

2008-09-28  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:
	0.10.20.4 pre-release

2008-09-25  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Vincent Penquerc'h <ogg dot k dot ogg dot k at googlemail dot com>

	* ext/theora/theoraparse.c: (theora_parse_set_streamheader):
	Set the BOS flag on the BOS packet. Fixes #553244.

2008-09-23  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/rtsp/gstrtspmessage.c:
	(gst_rtsp_message_parse_request),
	(gst_rtsp_message_parse_response):
	Fix the g_return_val_if_fail() statements.

2008-09-22  Michael Smith <msmith@songbirdnest.com>

	* gst-libs/gst/tag/gsttagdemux.c:
	  Fail to activate if there's insufficient data in the file to be usable,
	  preventing an assertion fail later. Fixes #552960

2008-09-15  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* gst-libs/gst/pbutils/descriptions.c:
	* gst/typefind/gsttypefindfunctions.c:
	  Recognise Kate subtitle streams (#550582).

2008-09-13  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* gst-libs/gst/audio/audio.h: (GST_AUDIO_FIELD_SIGNED):
	  Remove trailing comma from enum list, which causes problems
	  with -pendantic (#550729).

2008-09-10  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:
	0.10.20.2 pre-release

	* po/LINGUAS:
	* po/id.po:
	* po/pt_BR.po:

	New translations.

2008-09-05  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* gst-libs/gst/interfaces/propertyprobe.c:
	  (gst_property_probe_get_properties),
	  (gst_property_probe_get_property),
	  (gst_property_probe_probe_property),
	  (gst_property_probe_probe_property_name),
	  (gst_property_probe_needs_probe),
	  (gst_property_probe_needs_probe_name),
	  (gst_property_probe_get_values),
	  (gst_property_probe_get_values_name),
	  (gst_property_probe_probe_and_get_values),
	  (gst_property_probe_probe_and_get_values_name):
	  More sanity checks for our second-favourite interface.

2008-09-05  Stefan Kost  <ensonic@users.sf.net>

	* gst-libs/gst/interfaces/propertyprobe.c:
	  Check for NULL pointer, in the hope that this fixes #532864.

2008-09-05  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* sys/xvimage/xvimagesink.c: (gst_xvimagesink_class_init):
	  No really, the next release is 0.10.21 (fix Since: tags in docs).

2008-09-04  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/audio/gstaudiosrc.c: (gst_audioringbuffer_stop):
	Disable a code path that is now called but causes a deadlock for some
	reason and is unneeded.

2008-09-04  Stefan Kost  <ensonic@users.sf.net>

	* sys/xvimage/xvimagesink.c:
	* sys/xvimage/xvimagesink.h:
	  Add a "draw-border" property that can be set to false to disable
	  drawing borders.
	  
	* tests/icles/test-colorkey.c:
	* tests/icles/Makefile.am:
	  Add new test application for the colorkey handling.

2008-09-03  Edward Hervey  <edward.hervey@collabora.co.uk>

	* gst-libs/gst/riff/riff-media.c: (gst_riff_create_audio_caps):
	Use a decent caps for TrueSpeech instead of a ffmpeg-specific one.
	This will also be fixed for upcoming gst-ffmpeg release so that once
	this release of -base is out, it will work with the latest gst-ffmpeg
	release.

2008-09-03  Edward Hervey  <edward.hervey@collabora.co.uk>

	* gst-libs/gst/riff/riff-media.c: (gst_riff_create_audio_caps),
	(gst_riff_create_audio_template_caps):
	Add Truespeech mapping for RIFF formats (AVI/WAV).
	Fixes #550656

2008-09-03  Mark Nauwelaerts  <mark.nauwelaerts@collabora.co.uk>

	* gst/typefind/gsttypefindfunctions.c: (plugin_init):
	Typefind video/mj2 and image/jp2 ISO JPEG2000 mime types.
	Fixes #550638.

2008-09-03  Stefan Kost  <ensonic@users.sf.net>

	* configure.ac:
	* gst/subparse/Makefile.am:
	* gst/subparse/gstsubparse.c:
	* gst/subparse/samiparse.c:
	* tests/check/elements/subparse.c:
	  Rework last change, so that we build subparse, but just disable the
	  sami parse functionality, if we're configured to not use xml. In the
	  tests only the sami test is disabled now.

2008-09-02  Stefan Kost  <ensonic@users.sf.net>

	* configure.ac:
	  Disable subparse when xml is disabled. It woundn't work anyway. Fixes
	  test runs.

2008-09-02  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* po/POTFILES.in:
	  Add some more files with strings for translation.

2008-09-02  Stefan Kost  <ensonic@users.sf.net>

	* gst-libs/gst/tag/gstvorbistag.c:
	* tests/check/libs/tag.c:
	  Use new geo location tags from core. Fixes #481169

2008-09-01  Edward Hervey  <edward.hervey@collabora.co.uk>

	* tests/check/elements/audioresample.c: (setup_audioresample),
	(fail_unless_perfect_stream), (test_perfect_stream_instance),
	(test_discont_stream_instance):
	Now that GstBaseTransform is 'fixed' ... remove cruft from tests.
	Add debugging for coherence.

2008-08-30  Tim-Philipp Müller  <tim.muller at collabora co uk>

	Patch by: Jonathan Matthew  <notverysmart gmail com>

	* gst/typefind/gsttypefindfunctions.c: (plugin_init):
	  Add typefinder for PDF documents (which is nice to have, since it's a
	  common format, but also helps prevent false positives). Fixes #549814.

2008-08-27  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstplaybin2.c: (selector_blocked), (pad_added_cb),
	(no_more_pads_cb):
	Fix nasty race where multiple decodebins could start pushing data before
	we manage to configure the sinks, resulting in not-linked errors in
	typical RTSP streaming cases.

2008-08-26  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/audio/gstaudiosink.c: (gst_audioringbuffer_stop):
	Since we now call stop, we trigger this code path that causes a deadlock
	is apparently not needed.

2008-08-26  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/audio/gstringbuffer.c: (gst_ring_buffer_start),
	(gst_ring_buffer_stop):
	Also allow the case where the ringbuffer was paused when we try to stop
	it so that the basesrc stop function is still called.

2008-08-23  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	Patch by: Mike Ruprecht <cmaiku at gmail dot com>

	* sys/v4l/gstv4lelement.c: (gst_v4l_class_probe_devices):
	Reprobe devices again instead of taking a cached list as new
	devices could've been plugged in. Fixes bug #549062.

2008-08-23  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	Patch by: Alessandro Dessina <alessandro nnva org>

	* ext/ogg/gstoggdemux.c: (gst_ogg_demux_deactivate_current_chain),
	(gst_ogg_demux_activate_chain):
	Don't add pads and activate them for skeleton streams. These are already
	handled inside oggdemux. Fixes bug #537599.

2008-08-22  Wim Taymans  <wim.taymans@collabora.co.uk>

	* ext/vorbis/vorbisdec.c: (vorbis_dec_change_state):
	Reset variable so that query and convert fail after going back to
	READY. Fixes #548898.

2008-08-22  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* ext/vorbis/vorbisenc.c: (gst_vorbis_enc_chain):
	If a buffer arrives with a timestamp before the timestamp+duration
	of the previous buffer clip it instead of dropping it completely.
	Slight improvement for the unfixable bug #548913.

2008-08-21  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* ext/vorbis/vorbisdec.c: (vorbis_handle_data_packet):
	Take the current timestamp instead of timestamp+duration for the offset.
	This offset will later be used for calculating the timestamp and
	otherwise vorbisdec will interpolate timestamps wrong if upstream
	only sends timestamps and no granulepos.

2008-08-21  Stefan Kost  <ensonic@users.sf.net>

	* tests/examples/seek/seek.c:
	  Don't crash when having no visualisations.

2008-08-16  David Schleef  <ds@schleef.org>

	* gst/typefind/gsttypefindfunctions.c: DV typefinding.  Remove
	  check for a bit that is 0 in IEC 61384, but not SMPTE 314M.
	  Fixes #548065.

2008-08-15  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* gst-libs/gst/pbutils/missing-plugins.c: (copy_and_clean_caps):
	When cleaning up the caps fields also remove "depth" for the same
	reason we remove "width".

2008-08-14  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* gst-libs/gst/pbutils/descriptions.c: (format_info_get_desc):
	  Add Lead H.264 here as well.

2008-08-14  Julien Moutte  <julien@fluendo.com>

	* gst-libs/gst/riff/riff-media.c: (gst_riff_create_video_caps),
	(gst_riff_create_video_template_caps): Add Lead H.264 variant.

2008-08-13  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/audio/gstbaseaudiosrc.c:
	(gst_base_audio_src_create):
	When not slaved to another clock also subtract the base_time from our
	internal clock time to get the running time.

2008-08-12  David Schleef  <ds@schleef.org>

	* ext/theora/theoraenc.c: Remove the 2000 kbit limit to bitrate,
	  since it has no basis in libtheora.

2008-08-12  Stefan Kost  <ensonic@users.sf.net>

	* gst-libs/gst/interfaces/propertyprobe.h:
	  Remove double "interface" from doc-string.

	* gst-libs/gst/interfaces/xoverlay.h:
	  Document interface.

	* gst-libs/gst/riff/riff.c:
	  Add basic doc blobs.

2008-08-11  Stefan Kost  <ensonic@users.sf.net>

	* gst-libs/gst/audio/Makefile.am:
	  Don't try to build that example anymore.

2008-08-11  Stefan Kost  <ensonic@users.sf.net>

	* gst-libs/gst/audio/.cvsignore:
	* gst-libs/gst/audio/Makefile.am:
	* gst-libs/gst/audio/gstaudiofiltertemplate.c:
	* gst-libs/gst/audio/make_filter:
	  Move audiofiltertemplate to gst-template.

2008-08-11  Stefan Kost  <ensonic@users.sf.net>

	* docs/libs/gst-plugins-base-libs-sections.txt:
	* gst-libs/gst/audio/gstaudiosrc.h:
	  More docs and shuffling. What can we do with the hundreds of #defines.

2008-08-11  Stefan Kost  <ensonic@users.sf.net>

	* gst-libs/gst/audio/audio.h:
	* gst-libs/gst/audio/gstaudiofilter.h:
	* gst-libs/gst/audio/gstringbuffer.h:
	* gst-libs/gst/interfaces/propertyprobe.h:
	* gst-libs/gst/tag/gsttagdemux.h:
	  Reducing number of dundocumented symbols.

2008-08-11  Stefan Kost  <ensonic@users.sf.net>

	* gst-libs/gst/audio/audio.c:
	  Fix doc comment syntax.

	* gst-libs/gst/interfaces/propertyprobe.c:
	  Add more doc-comments and a FIXME: for the signal.	

2008-08-07  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* ext/ogg/gstoggmux.c: (gst_ogg_mux_sink_event),
	(gst_ogg_mux_request_new_pad):
	* ext/ogg/gstoggmux.h:
	Don't pretend to support NEWSEGMENT events, instead override the
	GstCollectPads event function to return FALSE on NEWSEGMENT events
	and do the normal work for other events.

	This prevents elements like flacenc to seek to the start and rewrite
	some data which then results in a broken Ogg packet.

2008-08-07  Tim-Philipp Müller  <tim.muller at collabora co uk>

	Patch by: Frederic Crozat <fcrozat@mandriva.org>

	* ext/alsa/gstalsaplugin.c: (plugin_init):
	* ext/cdparanoia/gstcdparanoiasrc.c: (plugin_init):
	* ext/gnomevfs/gstgnomevfs.c: (plugin_init):
	* ext/ogg/gstoggdemux.c: (gst_ogg_demux_plugin_init):
	* gst-libs/gst/audio/gstbaseaudiosrc.c: (_do_init):
	* gst-libs/gst/pbutils/pbutils.c: (gst_pb_utils_init):
	* gst-libs/gst/tag/tags.c: (gst_tag_register_tags_internal):
	* gst/playback/gstdecodebin.c: (plugin_init):
	* gst/playback/gstdecodebin2.c: (gst_decode_bin_plugin_init):
	* gst/playback/gstplayback.c: (plugin_init):
	* gst/playback/gstqueue2.c: (plugin_init):
	* gst/playback/gsturidecodebin.c: (gst_uri_decode_bin_plugin_init):
	* sys/v4l/gstv4l.c: (plugin_init):
	Make sure gettext returns translations in UTF-8 encoding rather
	than in the current locale encoding (#546822).

2008-08-06  Stefan Kost  <ensonic@users.sf.net>

	* gst-libs/gst/pbutils/descriptions.c:
	  Add audio/x-qdm for qtdemux.

2008-08-05  Stefan Kost  <ensonic@users.sf.net>

	* ext/vorbis/vorbisdec.c:
	  Do not leak old taglist.

2008-08-04  Stefan Kost  <ensonic@users.sf.net>

	* tests/icles/test-scale.c:
	  Include <stdlib.h> for atoi().

2008-08-04  Andy Wingo  <wingo@pobox.com>

	* gst/audiotestsrc/gstaudiotestsrc.c: Very crucial and important
	documentation fix.

2008-08-01  Stefan Kost  <ensonic@users.sf.net>

	* gst/adder/gstadder.c:
	  Cleanup lots of empty lines that came from gst-indent going havoc
	  before I added the INDENT_ON/OFF marker some time agao.

2008-08-01  Stefan Kost  <ensonic@users.sf.net>

	* configure.ac:
	* gst-libs/gst/riff/riff-read.c:
	  Bump requirement to latest core and use new tag for riff formats.
	  Needed for #520694.

2008-08-01  Wim Taymans  <wim.taymans@collabora.co.uk>

	* tests/examples/dynamic/Makefile.am:
	* tests/examples/dynamic/codec-select.c: (make_encoder),
	(make_pipeline), (do_switch), (my_bus_callback), (main):
	Add example app that dynamically switches between 3 'encoders'.

2008-07-31  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstplaysink.c: (gst_play_sink_set_vis_plugin):
	Add some more comments.

2008-07-31  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/videotestsrc/gstvideotestsrc.c: (gst_video_test_src_getcaps),
	(gst_video_test_src_create):
	Discard buffers of the wrong size after renegotiation, this is perfectly
	possible with things like capsfilter that could suggest caps changes
	upstream without knowing the size of the buffer.

2008-07-31  Wim Taymans  <wim.taymans@collabora.co.uk>

	* tests/icles/.cvsignore:
	* tests/icles/Makefile.am:
	* tests/icles/test-scale.c: (make_pipeline), (main):
	Add dynamic rescaling tests for the new basetransform.

2008-07-30  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* gst/audioconvert/Makefile.am:
	  Dist recently-added gstfastrandom.h.

2008-07-30  Edward Hervey  <edward.hervey@collabora.co.uk>

	* sys/xvimage/xvimagesink.c: (gst_xvimagesink_get_xv_support):
	Fix a "may be used uninitialized in this function" which weirdly only
	appears on macosx (?).

2008-07-30  Stefan Kost  <ensonic@users.sf.net>

	* gst-libs/gst/riff/riff-ids.h:
	  Adding acid chunk for tempo and loop information.

2008-07-29  Stefan Kost  <ensonic@users.sf.net>

	* sys/xvimage/Makefile.am:
	  floor() needs linking to $(LIBM).

2008-07-29  Stefan Kost  <ensonic@users.sf.net>

	* ext/gnomevfs/gstgnomevfssrc.c:
	  Aggregate short reads and add some comments and debug logging.
	  Fixes #537380

2008-07-29  Stefan Kost  <ensonic@users.sf.net>

	* gst/playback/gstplaybasebin.c:
	  Fix property doc markup (its not a signal).

	* sys/xvimage/xvimagesink.c:
	  Add since tag for new proeprties (also add sice tags fro the last two
	  other additions).

2008-07-29  Stefan Kost  <ensonic@users.sf.net>

	* sys/xvimage/xvimagesink.c:
	* sys/xvimage/xvimagesink.h:
	  Add autofill/colorkey properties. Fixes #538656.

2008-07-28  David Schleef  <ds@schleef.org>

	* sys/xvimage/xvimagesink.c:
	  Fix rounding errors when converting colorbalance values
	  between hardware and object property ranges.  Partial
	  fix for #537889, however, there still seems to be a small
	  drift problem that could be totem's fault.

2008-07-28  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* ext/ogg/gstoggdemux.c: (gst_ogg_demux_chain_peer),
	(gst_ogg_demux_perform_seek), (gst_ogg_demux_handle_page):
	Don't use GST_CLOCK_TIME_NONE as start of NEWSEGMENT events.
	This fixes a critical warning.

2008-07-28  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* ext/ogg/gstoggmux.c:
	Allow muxing of CELT into Ogg streams.

2008-07-28  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* gst/typefind/gsttypefindfunctions.c: (celt_type_find),
	(plugin_init):
	Add simple typefinder for the CELT codec (www.celt-codec.org).

2008-07-27  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	Patch by: Jan Gerber <j at oil21 dot org>

	* ext/ogg/gstoggdemux.c: (gst_ogg_pad_parse_skeleton_fisbone):
	Fix calculation of the start time from skeleton streams.
	Fixes bug #530068.

2008-07-24  Stefan Kost  <ensonic@users.sf.net>

	* tests/examples/seek/seek.c:
	  Use 64 bit constant GST_CLOCK_TIME_NONE instead of plain -1.

2008-07-23  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* gst/audioconvert/audioconvert.h:
	* gst/audioconvert/gstaudioquantize.c:
	(gst_audio_quantize_setup_dither),
	(gst_audio_quantize_free_dither):
	* gst/audioconvert/gstfastrandom.h:
	Implement a linear congruential generator as pseudo random number
	generator for the dither noise. This is about 2 times faster than
	using GLib's mersenne twister. Also this uses only integer math for
	generating integers while GLib internally uses floating point math.

2008-07-23  Michael Smith <msmith@songbirdnest.com>

	* configure.ac:
	  Remove AC_ISC_POSIX; it breaks on some systems and is not needed.

2008-07-23  Tim-Philipp Müller  <tim.muller at collabora co uk>

	Patch by: Damien Lespiau  <damien.lespiau gmail com>

	* gst-libs/gst/sdp/gstsdpmessage.c: (print_media):
	  Use GST_STR_NULL to avoid crashes with libcs that don't
	  like NULL strings in printf args (such as the win32 one).
	  Fixes #544306.

2008-07-17  Jan Schmidt  <Jan.Schmidt@sun.com>

	* sys/xvimage/xvimagesink.c: (gst_xvimagesink_check_xshm_calls):
	Oops - set the size of the image used for probing back to 1x1, for
	consistency with ximagesink

2008-07-17  Jan Schmidt  <Jan.Schmidt@sun.com>

	* sys/ximage/ximagesink.c: (gst_ximagesink_check_xshm_calls),
	(gst_ximagesink_ximage_new):
	* sys/xvimage/xvimagesink.c: (gst_xvimagesink_check_xshm_calls),
	(gst_xvimagesink_xvimage_new):

	Apparently on Solaris and OS/X (at least), it's not legal to ask the
	X server to attach to a shared memory segment after we've deleted it,
	with the result that MIT-SHM is disabled. Instead, remove it only after 
	X succeeds in attaching too.

2008-07-16  David Schleef  <ds@schleef.org>

	* gst/audiotestsrc/gstaudiotestsrc.c:
	* gst/audiotestsrc/gstaudiotestsrc.h:
	  Add 'ticks', a 1/30 second sine wave pulse every second.

2008-07-15  David Schleef  <ds@schleef.org>

	* gst-libs/gst/video/video.c: Revert ABI change.

2008-07-15  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* gst-libs/gst/riff/riff-media.c: (gst_riff_create_video_caps):
	Make it impossible to have NULL caps at the point where we set
	framerate and other things. Also don't return immediately for "3ivd"
	video and let framerate, etc be set. Might fix bug #542508.

2008-07-14  Mark Nauwelaerts  <mark.nauwelaerts@collabora.co.uk>

	* gst-libs/gst/video/video.c: (gst_video_format_parse_caps):
	Video format can also be conveniently determined from (many)
	non-fixed caps.

2008-07-14  Jan Schmidt  <thaytan@noraisin.net>

	* gst/playback/gstplaybasebin.c:
	* gst/playback/gstplaybasebin.h:
	* gst/playback/gstplaybin.c:
	* gst/playback/gststreamselector.c:
	First stab at integrating DVD subpicture overlay into
	playbin. Successfully plugs and plays, but the queues need
	shrinking - 3 seconds of video is too much buffering.

2008-07-11  Stefan Kost  <ensonic@users.sf.net>

	* gst/audioconvert/gstaudioconvert.c:
	  Remove now obsolete note in the docs.

2008-07-11  Stefan Kost  <ensonic@users.sf.net>

	* docs/plugins/gst-plugins-base-plugins-docs.sgml:
	* docs/plugins/gst-plugins-base-plugins-overrides.txt:
	* docs/plugins/gst-plugins-base-plugins-sections.txt:
	* docs/plugins/gst-plugins-base-plugins.args:
	* docs/plugins/gst-plugins-base-plugins.hierarchy:
	* docs/plugins/gst-plugins-base-plugins.interfaces:
	* docs/plugins/gst-plugins-base-plugins.prerequisites:
	* docs/plugins/gst-plugins-base-plugins.signals:
	* docs/plugins/inspect/plugin-adder.xml:
	* docs/plugins/inspect/plugin-alsa.xml:
	* docs/plugins/inspect/plugin-audioconvert.xml:
	* docs/plugins/inspect/plugin-audiorate.xml:
	* docs/plugins/inspect/plugin-audioresample.xml:
	* docs/plugins/inspect/plugin-audiotestsrc.xml:
	* docs/plugins/inspect/plugin-cdparanoia.xml:
	* docs/plugins/inspect/plugin-decodebin.xml:
	* docs/plugins/inspect/plugin-ffmpegcolorspace.xml:
	* docs/plugins/inspect/plugin-gdp.xml:
	* docs/plugins/inspect/plugin-gnomevfs.xml:
	* docs/plugins/inspect/plugin-libvisual.xml:
	* docs/plugins/inspect/plugin-ogg.xml:
	* docs/plugins/inspect/plugin-pango.xml:
	* docs/plugins/inspect/plugin-playback.xml:
	* docs/plugins/inspect/plugin-queue2.xml:
	* docs/plugins/inspect/plugin-subparse.xml:
	* docs/plugins/inspect/plugin-tcp.xml:
	* docs/plugins/inspect/plugin-theora.xml:
	* docs/plugins/inspect/plugin-typefindfunctions.xml:
	* docs/plugins/inspect/plugin-uridecodebin.xml:
	* docs/plugins/inspect/plugin-video4linux.xml:
	* docs/plugins/inspect/plugin-videorate.xml:
	* docs/plugins/inspect/plugin-videoscale.xml:
	* docs/plugins/inspect/plugin-videotestsrc.xml:
	* docs/plugins/inspect/plugin-volume.xml:
	* docs/plugins/inspect/plugin-vorbis.xml:
	* docs/plugins/inspect/plugin-ximagesink.xml:
	* docs/plugins/inspect/plugin-xvimagesink.xml:
	* ext/alsa/gstalsamixer.c:
	* ext/alsa/gstalsasink.c:
	* ext/alsa/gstalsasrc.c:
	* ext/gio/gstgiosink.c:
	* ext/gio/gstgiosrc.c:
	* ext/gio/gstgiostreamsink.c:
	* ext/gio/gstgiostreamsrc.c:
	* ext/gnomevfs/gstgnomevfssink.c:
	* ext/gnomevfs/gstgnomevfssrc.c:
	* ext/ogg/gstoggdemux.c:
	* ext/ogg/gstoggmux.c:
	* ext/pango/gstclockoverlay.c:
	* ext/pango/gsttextoverlay.c:
	* ext/pango/gsttextrender.c:
	* ext/pango/gsttimeoverlay.c:
	* ext/theora/theoradec.c:
	* ext/theora/theoraenc.c:
	* ext/theora/theoraparse.c:
	* ext/vorbis/vorbisdec.c:
	* ext/vorbis/vorbisenc.c:
	* ext/vorbis/vorbisparse.c:
	* ext/vorbis/vorbistag.c:
	* gst/adder/gstadder.c:
	* gst/audioconvert/gstaudioconvert.c:
	* gst/audioresample/gstaudioresample.c:
	* gst/audiotestsrc/gstaudiotestsrc.c:
	* gst/ffmpegcolorspace/gstffmpegcolorspace.c:
	* gst/gdp/gstgdpdepay.c:
	* gst/gdp/gstgdppay.c:
	* gst/playback/gstdecodebin2.c:
	* gst/playback/gstplaybin.c:
	* gst/playback/gstplaybin2.c:
	* gst/playback/gstqueue2.c:
	* gst/playback/gsturidecodebin.c:
	* gst/tcp/gstmultifdsink.c:
	* gst/tcp/gsttcpserversink.c:
	* gst/videorate/gstvideorate.c:
	* gst/videoscale/gstvideoscale.c:
	* gst/videotestsrc/gstvideotestsrc.c:
	* gst/volume/gstvolume.c:
	* sys/ximage/ximagesink.c:
	* sys/xvimage/xvimagesink.c:
	  Cleanup Plugin docs. Link to signals and properties. Fix sub-section
	  titles. Drop mentining that all our example pipelines are "simple"
	  pipelines.

2008-07-07  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* tests/examples/seek/Makefile.am:
	Fix out of tree build by adding all required CFLAGS.

2008-07-07  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* gst/playback/gstdecodebin.c: (add_raw_queue):
	And ref the pad before returning it again when linking to the queue
	failed. Otherwise we will unref the pad twice later and things break.

2008-07-07  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* gst/playback/gstdecodebin.c: (add_raw_queue):
	If linking the raw pad with a queue fails, try it without a queue
	instead of failing completely. This should never happen.

2008-07-07  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	Patch by: Evgeniy Stepanov <eugeni dot stepanov at gmail dot com>

	* gst/playback/gstdecodebin.c: (add_raw_queue), (close_pad_link):
	Add a queue after a demuxer if the demuxer outputs raw data. This was
	done before only for non-raw data but is required in this case too.
	Fixes bug #540215.

	decodebin2 doesn't have this issue because all streams of a group
	go through multiqueue.

2008-07-03  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Damien Lespiau <damien dot lespiau at gmail dot com>

	* gst-libs/gst/sdp/gstsdpmessage.c:
	Makes libgstsdp compile with mingw32 by defining the right WINVER so
	that getaddrinfo() can be used. Fixes #541358.

2008-07-01  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/videotestsrc/gstvideotestsrc.c:
	(gst_video_test_src_class_init), (gst_video_test_src_init),
	(gst_video_test_src_set_property),
	(gst_video_test_src_get_property), (gst_video_test_src_create):
	* gst/videotestsrc/gstvideotestsrc.h:
	Cleanups, use default property values as defines.
	Add property to enable/disable peer buffer allocation.

2008-06-30  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* tests/check/elements/gdpdepay.c: (gdpdepay_suite):
	* tests/check/pipelines/streamheader.c: (streamheader_suite):
	Enable unit tests on PPC again as the bugs are now fixed.

2008-06-30  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* gst-libs/gst/riff/riff-ids.h:
	* gst-libs/gst/riff/riff-media.c: (gst_riff_create_audio_caps),
	(gst_riff_create_audio_template_caps):
	Add support for ADPCM IMA DK3 and DK4 variant in RIFF containers.
	Fixes bug #540351.

2008-06-30  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* gst/ffmpegcolorspace/gstffmpegcodecmap.c:
	(gst_ffmpeg_pixfmt_to_caps):
	* gst/ffmpegcolorspace/gstffmpegcolorspace.c:
	(gst_ffmpegcsp_get_unit_size):
	Only set/get on the PAL8 format, ffmpegcolorspace doesn't support
	it on other formats. Also adjust the unit size only for that format
	to not include the palette. Fixes bug #540497.

2008-06-29  Stefan Kost  <ensonic@users.sf.net>

	* gst/adder/gstadder.c:
	  Use GST_DEBUG_FUNCPTR and remove some extra vlnak lines.

2008-06-27  Stefan Kost  <ensonic@users.sf.net>

	* ChangeLog:
	  ChangeLog surgery.
  
	* tests/examples/seek/seek.c:
	  Move variable into ifdef too.
	

2008-06-27  Stefan Kost  <ensonic@users.sf.net>

	* tests/examples/seek/seek.c:
	  Include config.h and check if we have X. Remove XInitThread(), don't
	  think its needed. Fixes: #540334.

2008-06-26  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	Patch by: Sam Morris <sam at robots dot org to uk>

	* gst-libs/gst/interfaces/mixertrack.c:
	(gst_mixer_track_class_init), (gst_mixer_track_get_property),
	(gst_mixer_track_set_property):
	API: Add "index" property to GstMixerTrack to differantiate between
	multiple mixer tracks with the same label.

	* ext/alsa/gstalsamixeroptions.c: (gst_alsa_mixer_options_new):
	* ext/alsa/gstalsamixertrack.c: (gst_alsa_mixer_track_new):
	Set the "index" property of GstMixerTrack to the index given by ALSA.
	Fixes bug #528299.

2008-06-25  Stefan Kost  <ensonic@users.sf.net>

	* tests/examples/seek/Makefile.am:
	* tests/examples/seek/seek.c:
	  Remove libgstvideo usage. Use gtk_get_option_group instead of
	  gtk_init().

2008-06-24  Stefan Kost  <ensonic@users.sf.net>

	* tests/check/Makefile.am:
	  Name the test registry format neutral.

2008-06-24  Stefan Kost  <ensonic@users.sf.net>

	* gst/playback/gstqueue2.c:
	  Do not double notify. Remove the unsued return value.

2008-06-24  Stefan Kost  <ensonic@users.sf.net>

	* ext/alsa/gstalsamixer.c:
	  Also consider "speaker" as a name for master volume. If that doesn't
	  help look for the first non-mono volume control that also has a
	  playback switch.

2008-06-24  Stefan Kost  <ensonic@users.sf.net>

	* ChangeLog:
	  Forgot to save the ChangeLog :/

2008-06-24  Stefan Kost  <ensonic@users.sf.net>

	* tests/examples/seek/Makefile.am:
	* tests/examples/seek/seek.c:
	  Embedd the xwindow. Allow to play multiple files.

2008-06-24  Jan Schmidt  <jan.schmidt@sun.com>

	* sys/ximage/ximagesink.c (gst_ximagesink_ximage_put),
	(gst_ximagesink_setcaps):
	* sys/ximage/ximagesink.h:
	When the caps change, make sure to re-draw borders in
	force-aspect-ratio=true mode.
	* sys/xvimage/xvimagesink.c (gst_xvimagesink_xvimage_put):
	Don't clear the border_draw flag until we actually draw the border.
	* tests/check/Makefile.am:
	Ignore alsasink/src during the states test too, so it doesn't fail
	when running without access to the sound device.

2008-06-22  Stefan Kost  <ensonic@users.sf.net>

	* tests/examples/seek/seek.c:
	  Fix crasher when playing a parse-launch line the 2nd time.

2008-06-21  Thomas Vander Stichele  <thomas at apestaart dot org>

	* tests/check/pipelines/oggmux.c:
	  Properly ifdef tests to fix compilation.

2008-06-20  Michael Smith <msmith@songbirdnest.com>

	* gst/playback/gstplay-marshal.list:
	* gst/playback/gstplaybin2.c:
	  Add get-video-pad, get-audio-pad, get-text-pad action signals to
	  playbin2. This allows the user to get to the selector's sinkpads, and
	  thus inspect a range of things - caps, tags, etc. 

2008-06-20  Michael Smith <msmith@songbirdnest.com>

	* gst/playback/gstplaybin2.c:
	  Use a different constant for the convert-frame signal id.
	  Fixes #537009.

2008-06-20  Michael Smith <msmith@songbirdnest.com>

	* gst/playback/gstplaybin2.c:
	* gst/playback/gstplaysink.c:
	  Fix a whole bunch of typos in comments and log statements. 

2008-06-20  Michael Smith <msmith@songbirdnest.com>

	* sys/xvimage/xvimagesink.c:
	  Don't set colour balance values on the Xv port if the user hasn't
	  changed them (via properties or the interface). Avoids accumulating
	  rounding errors for the common case.
	  Partial fix for bug #537889.

2008-06-20  Michael Smith <msmith@songbirdnest.com>

	* gst/playback/gstdecodebin2.c:
	  Ensure decodebin2 emits 'drained' signal once, and only once, when all
	  pads are drained.

2008-06-20  Wim Taymans  <wim.taymans@collabora.co.uk>

	* ext/vorbis/vorbisenc.c: (gst_vorbis_enc_get_latency),
	(gst_vorbis_enc_src_query), (gst_vorbis_enc_chain):
	Report the encoder latency. Fixes #538232.

2008-06-20  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstplaybin2.c: (gst_play_bin_get_property),
	(notify_source), (activate_group):
	Implement the source property, emit notify when it changes in the
	underlying uridecodebin.

2008-06-20  Wim Taymans  <wim.taymans@collabora.co.uk>

	* tests/examples/seek/seek.c: (stop_cb):
	Free and clear the seek element list so that we don't use invalid
	references when seeking after recreating a gst-launch line.

2008-06-20  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/audio/gstbaseaudiosink.c:
	(gst_base_audio_sink_query), (gst_base_audio_sink_skew_slaving),
	(gst_base_audio_sink_render):
	Report latency even if we are not live instead of hiding it.
	Take ts-offset and render-delay of the basesink into account when
	scheduling samples.
	Rework the clipping code so that we can take the various offsets into
	account and still do correct clipping.

2008-06-20  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:
	Bump verion back to devel -> 0.10.20.1

2008-06-20  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst-libs/gst/tag/tags.c: (gst_tag_image_data_to_image_buffer):
	Don't increase the size of non-string image buffers by one as this
	might in theory confuse decoders. Still increase it by one for string
	image buffers to append '\0'.

2008-06-20  Sebastian Dröge  <slomo@circular-chaos.org>

	Patch by: Antoine Tremblay <hexa00 at gmail dot com>
	
	* gst/gdp/gstgdppay.c: (gst_gdp_pay_reset):
	Fix a buffer memleak and remove a confusing and wrong debug output.
	Fixes bug #538663.

=== release 0.10.20 ===

2008-06-18  Jan Schmidt <jan.schmidt@sun.com>

	* configure.ac:
	  releasing 0.10.20, "Here I Go Again"

2008-06-11  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:
	0.10.19.3 pre-release

2008-06-11  Jan Schmidt  <jan.schmidt@sun.com>

	* gst-libs/gst/rtsp/gstrtspconnection.c:
	Fix build on win32.
	Patch By: David Schleef <ds@schleef.org>
	Fixes: #536874

2008-06-11  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/gio/gstgiobasesrc.c: (gst_gio_base_src_finalize),
	(gst_gio_base_src_create):
	* ext/gio/gstgiobasesrc.h:
	Try to read the requested number of bytes, even if the first
	read returns less than requested, until nothing is read anymore
	or we have the requested amount of bytes. This fixes playback of
	files via Samba as Samba only allows to read 64k at once.

	Implement a caching algorithm that makes sure that we read at
	least 4k of data every time. Some elements will try to read a few
	bytes, then seek, read again a few bytes and so on and this is
	painfully slow as every operation has to go over DBus if GVfs is
	used as backend.

	Fixes bug #536849 and #536848.

	* ext/gio/gstgiosrc.c: (gst_gio_src_class_init),
	(gst_gio_src_check_get_range):
	Override check_get_range() to blacklist http/https URIs
	and whitelist file URIs. More to be added on demand.

2008-06-05  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:
	0.10.19.2 pre-release

2008-06-04  Jan Schmidt  <jan.schmidt@sun.com>

	* win32/common/libgstrtsp.def:
	* win32/common/libgsttag.def:
	Add new API functions to the dll exports

2008-06-04  Michael Smith <msmith@songbirdnest.com>

	* gst/playback/gstplaybasebin.c:
	  Disconnect signals from decodebins we created before we remove it
	  from playbin, to avoid crashes if the decodebin is eventually
	  disposed after the playbin itself (possible if the app takes a
	  reference on the decodebin).
	  Fixes #536521.

2008-06-04  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* gst/typefind/gsttypefindfunctions.c: (aac_type_find),
	  (mp3_type_find), (musepack_type_find), (MULTIPART_MAX_HEADER_SIZE),
	  (mpeg_sys_type_find), (mpeg_ts_type_find), (mpeg4_video_type_find),
	  (h264_video_type_find), (mpeg_video_stream_type_find),
	  (dv_type_find), (mmsh_type_find):
	  Bunch of small clean-ups: use gst_type_find_suggest_simple(); don't
	  copy caps for no good reason (this may be desirable to make it easier
	  to detect leaks, but then it should probably be done for all caps
	  in the typefinder somewhere).

2008-06-04  Peter Kjellerstedt  <pkj@axis.com>

	* tests/check/Makefile.am:
	Do not try to run the check tests for subparse unless it has been
	built.

2008-06-04  Peter Kjellerstedt  <pkj@axis.com>

	* tests/check/pipelines/streamheader.c: (buffer_probe_cb),
	(test_multifdsink_gdp_vorbisenc), (streamheader_suite):
	Do not try to run a test which requires vorbisenc unless we have
	actually built it.

2008-06-04  Peter Kjellerstedt  <pkj@axis.com>

	* gst-libs/gst/rtsp/gstrtspconnection.c:
	(gst_rtsp_connection_set_auth), (gst_rtsp_connection_set_auth_param),
	(gst_rtsp_connection_clear_auth_params),
	(gst_rtsp_connection_set_qos_dscp), (gst_rtsp_connection_get_ip):
	* gst-libs/gst/rtsp/gstrtspconnection.h:
	Add a couple of missing argument guards.
	Add a way of setting the DSCP for an RTSP connection.
	Add an accessor method for the ip member of GstRTSPConnection as all
	members are supposed to be private.

2008-06-04  Peter Kjellerstedt  <pkj@axis.com>

	* gst/tcp/gstmultifdsink.c: (setup_dscp_client):
	Fixed accidental use of IPv4 options for all IPv6 addresses.

2008-06-04  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* gst-libs/gst/interfaces/mixertrack.h:
	  Document mixer track flags.

2008-06-04  Sebastian Dröge  <slomo@circular-chaos.org>

	Patch by: Antoine Tremblay <hexa00 at gmail dot com>

	* gst/gdp/gstgdppay.c: (gst_gdp_pay_reset_streamheader):
	Don't set caps on the buffers that contain a copy of the buffer
	including the caps of them resulting in an always increasing refcount
	of the caps and insanely large caps. Instead include a buffer without
	caps in the new caps. Fixes bug #536475.

2008-06-04  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/videoscale/gstvideoscale.c: (gst_video_scale_transform_caps):
	Transform a given PAR to a range on the struct with the generic
	height/width instead of the struct with the possibly restricted
	height/width.

2008-06-04  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/videoscale/gstvideoscale.c: (gst_video_scale_transform_caps):
	Prefer the given format if it contains something stricter than [1,MAX]
	for height or width and only put a structure that requires rescaling
	as second. This makes it possible to use videoscale in pipelines where
	the source can actually produce the wanted height/width but usually
	selects a different one from the requested.

2008-06-03  Tim-Philipp Müller  <tim.muller at collabora co uk>

	Based on patch by: John Millikin <jmillikin gmail com>

	* gst-libs/gst/tag/gstvorbistag.c: (tag_matches), (gst_vorbis_tag_add),
	  (gst_vorbis_tag_add_coverart):
	  Retrieve COVERART tags from vorbis comments (#512333)

2008-06-03  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* gst-libs/gst/tag/tag.h:
	* gst-libs/gst/tag/tags.c: (register_tag_image_type_enum):
	  Don't forget to add new enum value here too (should probably use
	  glib-mkenums here...).

2008-06-03  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* gst-libs/gst/tag/gstid3tag.c: (gst_tag_list_add_id3_image):
	* gst-libs/gst/tag/tag.h: (GST_TAG_IMAGE_TYPE_NONE),
	* gst-libs/gst/tag/tags.c: (register_tag_image_type_enum),
	  (gst_tag_image_type_get_type), (gst_tag_image_type_is_valid),
	  (gst_tag_image_data_to_image_buffer):
	  Add two utility functions to avoid code duplication (#512333):
	  API: add gst_tag_image_data_to_image_buffer()
	  API: add gst_tag_list_add_id3_image()
	  API: add GST_TAG_IMAGE_TYPE_NONE enum value

2008-06-03  Sebastian Dröge  <slomo@circular-chaos.org>

	* win32/common/libgstaudio.def:
	Add gst_audio_check_channel_positions() to the exported symbols.

2008-06-03  Sebastian Dröge  <slomo@circular-chaos.org>

	* docs/libs/gst-plugins-base-libs-sections.txt:
	* gst-libs/gst/audio/multichannel.c:
	(gst_audio_check_channel_positions):
	* gst-libs/gst/audio/multichannel.h:
	API: Make gst_audio_check_channel_positions() public.

	* tests/check/libs/audio.c: (GST_START_TEST):
	Add some simple checks for gst_audio_check_channel_positions().

2008-06-02  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* sys/v4l/v4l_calls.c: (gst_v4l_get_chan_names):
	  minrange and maxrange are scaled according to the frequency
	  multiplier.

2008-06-02  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* ext/pango/Makefile.am:
	* ext/pango/gsttextoverlay.c: (gst_text_overlay_shade_y),
	  (gst_text_overlay_blit_yuv420), (gst_text_overlay_push_frame):
	  Use gstvideo functions to calculate strides and plane offsets. Fixes
	  rendering issue ('ghost' images of the text on the chroma planes)
	  with widths or heights that are not multiples of 8 (#506659 and
	  probably also #485729).

	* tests/icles/test-textoverlay.c: (show_text), (test_textoverlay),
	  (main):
	  Test with odd height/width too.

2008-06-02  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/adder/gstadder.c: (gst_adder_query_duration),
	(gst_adder_query_latency):
	When using gst_element_iterate_pads() one has to unref every pad
	after usage.

2008-05-31  Mark Nauwelaerts  <mnauw@users.sf.net>

	* gst-libs/gst/audio/gstbaseaudiosrc.c:
	(gst_base_audio_src_class_init):
	Add a gtk-doc chunk for the new properties to have a Since: indication.

2008-05-31  Mark Nauwelaerts  <mnauw@users.sf.net>

	* gst-libs/gst/audio/gstbaseaudiosrc.c:
	(gst_base_audio_src_class_init), (gst_base_audio_src_dispose),
	(gst_base_audio_src_get_property), (gst_base_audio_src_setcaps),
	(gst_base_audio_src_change_state):
	Provide readable actual-buffer-time and actual-latency-time properties
	that reflect the configured ringbuffer values. Fixes #524724.
	API: GstBaseAudioSrc:actual-buffer-time
	API: GstBaseAudioSrc:actual-latency-time

2008-05-30  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/rtp/gstbasertppayload.c: (gst_basertppayload_push),
	(gst_basertppayload_change_state):
	Simply converting the running time into an RTP timestamp by scaling it
	based on the clock-rate is good enough for making an RTP timestamp. This
	has the added benefit that we can later on expose a property with the
	RTP timestamp of running time 0, as is needed for RTSP servers to
	generate the response of the PLAY request.

2008-05-30  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/audioconvert/gstaudioconvert.c:
	(structure_has_fixed_channel_positions),
	(gst_audio_convert_transform_caps):
	Allow up to 11 positioned channels now that audioconvert can handle
	this but add no default positions for > 8 channels.
	
	* tests/check/elements/audioconvert.c: (GST_START_TEST):
	Add some unit tests for the above change: Test conversion of
	11 positioned channels to stereo and the other way around, test
	conversion of 15 unpositioned channels in different ways.

2008-05-29  Sebastian Dröge  <slomo@circular-chaos.org>

	* win32/common/libgstaudio.def:
	Add gst_audio_clock_reset to the list of exported symbols.

2008-05-29  Sebastian Dröge  <slomo@circular-chaos.org>

	* tests/check/elements/vorbisdec.c: (vorbisdec_suite):
	Remove wrong_channels_identification_header unit test as we now
	support 7 (and more channels).

2008-05-29  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/audioconvert/gstchannelmix.c:
	(gst_channel_mix_fill_one_other):
	If mixing left or right to center (or the other way around) only take
	the complete value if we don't already have the original position in
	the source.

2008-05-29  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst-libs/gst/audio/multichannel.c:
	(gst_audio_check_channel_positions),
	(gst_audio_set_structure_channel_positions_list),
	(gst_audio_fixate_channel_positions):
	Allow rear center together with rear left/right and other previously
	conflicting channel positions. The reason why they weren't allowed
	was the channel mixing implementation in audioconvert.
	Also take this into account when fixing channel layouts.

	Allow setting channel positions for 1/2 channels when using
	gst_audio_set_structure_channel_position().

	* gst/audioconvert/gstchannelmix.c:
	(gst_channel_mix_fill_compatible), (gst_channel_mix_detect_pos),
	(gst_channel_mix_fill_one_other), (gst_channel_mix_fill_others),
	(gst_channel_mix_fill_special), (gst_channel_mix_fill_matrix):
	Major rewrite of the channel mixing.

	We now allow previously	conflicting channel positions to appear
	together (rear center and rear left/right for example).
	Fixes bug #533817.

	Rework the way channels are mixed together to take more possible
	channel positions into account, properly mix from/to side channels
	and don't assume that either center, left&right or nothing of a
	specific position is available anymore.

	* tests/check/elements/audioconvert.c: (GST_START_TEST):
	Adjust unit tests with non-standard 1/2 channel layouts to the more
	correct new behaviour.

	Add a unit test for 5.1->Stereo downmixing.

2008-05-29  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/vorbis/vorbisdec.c: (vorbis_handle_identification_packet):
	* ext/vorbis/vorbisenc.c: (gst_vorbis_enc_generate_sink_caps):
	Add sane defaults for the 7 and 8 channel layouts as those are
	undefined in the Vorbis spec. Use NONE channel layouts when decoding
	more than 8 channels instead of erroring out. Fixes bug #535356.

2008-05-28  Wim Taymans  <wim.taymans@collabora.co.uk>

	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-base-plugins-docs.sgml:
	* docs/plugins/gst-plugins-base-plugins-sections.txt:
	* ext/theora/theoraparse.c:
	Add theoraparse to the docs and fix some docs.

2008-05-28  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/cdda/gstcddabasesrc.c:
	(gst_cdda_base_src_add_track), (gst_cdda_base_src_create):
	Fix EOS condition and track addition check, the track.end sector is
	included in the track. Fixes #533265.

2008-05-28  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Mark Nauwelaerts <manauw at skynet be>

	* gst/videorate/gstvideorate.c: (gst_video_rate_reset),
	(gst_video_rate_flush_prev), (gst_video_rate_event),
	(gst_video_rate_chain):
	* gst/videorate/gstvideorate.h:
	React (more) to NEWSEGMENT
	Small adjustment in timestamp calculation to prevent mismatches
	Fixes #435633.

2008-05-28  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* tests/examples/seek/seek.c: (make_parselaunch_pipeline):
	  Initialise error to NULL as we should.

2008-05-28  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/adder/gstadder.c: (gst_adder_query_duration),
	(gst_adder_query_latency), (gst_adder_query):
	Implement latency query.

2008-05-27  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/adder/gstadder.c: (gst_adder_query_duration):
	Correctly resync the iterator if gst_iterator_next() returns
	GST_ITERATOR_RESYNC.

2008-05-27  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* win32/vs6/libgstpbutils.dsp:
	  Add pbutils-enumtypes.c to sources (#518037).

2008-05-27  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/audio/gstaudioclock.c: (gst_audio_clock_init),
	(gst_audio_clock_reset), (gst_audio_clock_get_internal_time):
	* gst-libs/gst/audio/gstaudioclock.h:
	Add method to inform the clock that the time starts from 0 again. We use
	this info to calculate a clock offset so that the time we report in
	internal_time is monotonically increasing, as required by the clock base
	class. Fixes #521761.
	API: GstAudioClock::gst_audio_clock_reset()

	* gst-libs/gst/audio/gstbaseaudiosink.c:
	(gst_base_audio_sink_skew_slaving),
	(gst_base_audio_sink_change_state):
	* gst-libs/gst/audio/gstbaseaudiosrc.c:
	(gst_base_audio_src_create), (gst_base_audio_src_change_state):
	Reset reported time when we (re)create the ringbuffer.

2008-05-27  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* ext/alsa/gstalsamixertrack.c:
	  (gst_alsa_mixer_track_update_alsa_capabilities):
	  Make sure playback volumes aren't accidentally overwritten by
	  capture volumes if an alsa mixer track has both playback and
	  capture capabilities: we create two GstMixerTracks in that
	  case, so make sure we query only the alsa capabilities that
	  refer to the type of GstMixerTrack we created from the dual
	  capability alsa element. Should fix issues with Audigy2 sound
	  cards (#518082).

2008-05-27  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* tests/check/pipelines/oggmux.c: (test_pipeline):
	  Don't use deprecated function.

2008-05-27  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstdecodebin2.c:
	(gst_decode_group_control_source_pad), (gst_decode_group_expose):
	Check for NULL cases and log them, creating ghostpads can, for example,
	fail when the pad returns wrong caps.

	* gst/playback/gstplaybin2.c: (perform_eos):
	When pushing out the EOS event, collect the return value and warn when
	something failed.

2008-05-26  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/riff/riff-media.c: (gst_riff_create_video_caps),
	(gst_riff_create_video_template_caps):
	Add support for DVCPRO.

2008-05-26  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* gst/videoscale/gstvideoscale.c: (DEFAULT_PROP_METHOD):
	  Change default scaling method from nearest-neighbour to bilinear.

2008-05-26  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* tests/check/libs/video.c:
	  More checks.

2008-05-25  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* gst/subparse/gstsubparse.c: (parser_state_init),
	  (gst_sub_parse_format_autodetect), (handle_buffer):
	* gst/subparse/gstsubparse.h:
	* tests/check/elements/subparse.c: (test_tmplayer_style3b):
	  Limit duration to a maximum of five seconds for tmplayer format where
	  we can guess the duration only from the timestamp of the next line of
	  text. We don't want to show a text for eternities just because nothing
	  else is being said for a while.

2008-05-23  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/rtp/gstbasertpdepayload.c:
	(gst_base_rtp_depayload_chain),
	(gst_base_rtp_depayload_handle_sink_event),
	(gst_base_rtp_depayload_push_full),
	(gst_base_rtp_depayload_change_state):
	Check sequence numbers, mark input buffers with a discont flag for the
	subclass when we detected a gap, drop duplicate buffers. We do this
	because one can use the element without a jitterbuffer in front and we
	don't want to feed the subclasses invalid or reordered data.
	Do an error when the subclass did not provide a process function instead
	of crashing.
	Some other small cleanups.

2008-05-22  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* gst/videotestsrc/videotestsrc.c: (paint_hline_NV12_NV21):
	  May just as well use the precalculated uvstride here.

2008-05-22  Jan Schmidt  <jan.schmidt@sun.com>

	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-base-plugins-overrides.txt:
	* docs/plugins/gst-plugins-base-plugins-sections.txt:
	* docs/plugins/gst-plugins-base-plugins.args:
	* docs/plugins/gst-plugins-base-plugins.hierarchy:
	* docs/plugins/gst-plugins-base-plugins.interfaces:
	* docs/plugins/gst-plugins-base-plugins.prerequisites:
	* docs/plugins/inspect/plugin-adder.xml:
	* docs/plugins/inspect/plugin-alsa.xml:
	* docs/plugins/inspect/plugin-audioconvert.xml:
	* docs/plugins/inspect/plugin-audiorate.xml:
	* docs/plugins/inspect/plugin-audioresample.xml:
	* docs/plugins/inspect/plugin-audiotestsrc.xml:
	* docs/plugins/inspect/plugin-cdparanoia.xml:
	* docs/plugins/inspect/plugin-decodebin.xml:
	* docs/plugins/inspect/plugin-ffmpegcolorspace.xml:
	* docs/plugins/inspect/plugin-gdp.xml:
	* docs/plugins/inspect/plugin-gio.xml:
	* docs/plugins/inspect/plugin-gnomevfs.xml:
	* docs/plugins/inspect/plugin-libvisual.xml:
	* docs/plugins/inspect/plugin-ogg.xml:
	* docs/plugins/inspect/plugin-pango.xml:
	* docs/plugins/inspect/plugin-playback.xml:
	* docs/plugins/inspect/plugin-queue2.xml:
	* docs/plugins/inspect/plugin-subparse.xml:
	* docs/plugins/inspect/plugin-tcp.xml:
	* docs/plugins/inspect/plugin-theora.xml:
	* docs/plugins/inspect/plugin-typefindfunctions.xml:
	* docs/plugins/inspect/plugin-uridecodebin.xml:
	* docs/plugins/inspect/plugin-video4linux.xml:
	* docs/plugins/inspect/plugin-videorate.xml:
	* docs/plugins/inspect/plugin-videoscale.xml:
	* docs/plugins/inspect/plugin-videotestsrc.xml:
	* docs/plugins/inspect/plugin-volume.xml:
	* docs/plugins/inspect/plugin-vorbis.xml:
	* docs/plugins/inspect/plugin-ximagesink.xml:
	* docs/plugins/inspect/plugin-xvimagesink.xml:
	* ext/cdparanoia/gstcdparanoiasrc.c:
	* ext/ogg/gstoggdemux.c:
	* ext/ogg/gstoggdemux.h:
	* ext/ogg/gstoggmux.c:
	* ext/ogg/gstoggmux.h:
	* gst/audioconvert/audioconvert.c:
	* gst/audioconvert/audioconvert.h:
	* gst/audioconvert/gstaudioconvert.h:
	* gst/gdp/gstgdpdepay.h:
	* gst/gdp/gstgdppay.h:
	* gst/playback/gstdecodebin.c:
	* gst/playback/gstdecodebin2.c:
	* gst/playback/gstplaybin.c:
	* gst/playback/gstplaybin2.c:
	* gst/playback/gsturidecodebin.c:
	* gst/tcp/gstmultifdsink.c:
	* gst/tcp/gstmultifdsink.h:
	* gst/tcp/gsttcp.h:

	Add some documentation comments, and some new headers to be scanned.
	Rename some internal enum declarations (audioconvert's DitherType and
	NoiseShapingType, GstUnitType from the TCP elements) to match the
	documented GObject type names so that the docs pick them up.
	Name the playbin2 docs markups properly so they get picked up. They'll
	need renaming back when/if playbin2 becomes playbin.

	100% symbol coverage for the plugin docs, booya.

2008-05-22  Sebastian Dröge  <slomo@circular-chaos.org>

	Patch by: Thijs Vermeir <thijsvermeir@gmail.com>

	* gst/videotestsrc/videotestsrc.c: (paint_hline_NV12_NV21):
	Fix generation of NV12/NV21 frames. Fixes bug #532454.

2008-05-22  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Sjoerd Simons <sjoerd at luon dot net>

	* gst/playback/gstdecodebin.c: (remove_fakesink):
	Lock the fakesink before setting the state to NULL and removing it from
	the bin so that a concurrent state change cannot interfere. 
	Fixes #534331.

2008-05-21  Felipe Contreras  <felipe.contreras@gmail.com>

	* docs/Makefile.am:
	Fix installing plugin documentation when gtk-doc is disabled.

2008-05-21  Felipe Contreras  <felipe.contreras@gmail.com>

	* gst-libs/gst/rtsp/Makefile.am:
	Distribute, don't install md5.h

2008-05-21  Julien Moutte  <julien@fluendo.com>

	* gst/tcp/gstmultifdsink.c: (setup_dscp_client): Use IPPROTO_IP
	instead of SOL_IP, works on more platforms.
	* gst/typefind/gsttypefindfunctions.c: (aac_type_find): Fix printf
	arguments.

2008-05-21  Wim Taymans  <wim.taymans@collabora.co.uk>

	* ext/vorbis/vorbisdec.c:
	* gst/videoscale/gstvideoscale.c: (gst_video_scale_transform):
	* sys/xvimage/xvimagesink.c: (gst_xvimagesink_show_frame):
	Some debug and comment fixes.

	* tests/examples/dynamic/addstream.c: (main):
	Fix , to ;

2008-05-21  Wim Taymans  <wim.taymans@collabora.co.uk>

	* ext/ogg/gstoggdemux.c: (gst_ogg_pad_typefind):
	* gst/playback/decodetest.c: (new_decoded_pad_cb):
	* gst/playback/gstdecodebin.c: (gst_decode_bin_init),
	(try_to_link_1), (elem_is_dynamic), (close_link), (type_found),
	(cleanup_decodebin):
	* gst/playback/gstdecodebin2.c: (gst_decode_bin_init),
	(connect_element), (gst_decode_group_control_demuxer_pad):
	* gst/playback/gstplaybasebin.c: (queue_remove_probe),
	(queue_out_of_data), (gen_preroll_element), (preroll_unlinked),
	(mute_group_type):
	* gst/playback/gstplaybin.c: (gst_play_bin_vis_blocked),
	(gst_play_bin_set_property), (handoff), (gen_video_element),
	(gen_text_element), (gen_audio_element), (gen_vis_element),
	(remove_sinks), (add_sink), (setup_sinks):
	* gst/playback/gstplaybin2.c: (pad_added_cb), (no_more_pads_cb):
	* gst/playback/gstplaysink.c: (gst_play_sink_get_video_sink),
	(gst_play_sink_get_audio_sink), (gst_play_sink_vis_unblocked),
	(gst_play_sink_vis_blocked), (gst_play_sink_set_vis_plugin),
	(gst_play_sink_get_vis_plugin), (gst_play_sink_set_mute),
	(gen_video_chain), (gen_text_chain), (gen_audio_chain),
	(gen_vis_chain), (gst_play_sink_reconfigure),
	(gst_play_sink_set_font_desc), (gst_play_sink_get_font_desc),
	(gst_play_sink_request_pad):
	* gst/playback/gsturidecodebin.c: (type_found), (setup_source):
	* gst/playback/test.c: (gen_video_element), (gen_audio_element),
	(cb_newpad):
	* gst/playback/test6.c: (new_decoded_pad_cb):
	* tests/check/elements/audioconvert.c: (GST_START_TEST):
	* tests/check/elements/audiorate.c: (test_injector_chain),
	(do_perfect_stream_test):
	* tests/check/elements/ffmpegcolorspace.c: (GST_START_TEST):
	* tests/check/elements/gdpdepay.c: (GST_START_TEST):
	* tests/check/elements/gnomevfssink.c:
	* tests/check/elements/textoverlay.c:
	(notgst_check_setup_src_pad2), (notgst_check_teardown_src_pad2):
	* tests/check/elements/videotestsrc.c: (GST_START_TEST):
	* tests/check/libs/cddabasesrc.c: (GST_START_TEST):
	* tests/check/pipelines/oggmux.c: (test_pipeline):
	* tests/check/pipelines/streamheader.c: (GST_START_TEST):
	* tests/check/pipelines/theoraenc.c: (GST_START_TEST):
	* tests/check/pipelines/vorbisenc.c: (GST_START_TEST):
	* tests/examples/seek/scrubby.c: (make_wav_pipeline):
	* tests/examples/seek/seek.c: (make_mod_pipeline),
	(make_dv_pipeline), (make_wav_pipeline), (make_flac_pipeline),
	(make_sid_pipeline), (make_parse_pipeline), (make_vorbis_pipeline),
	(make_theora_pipeline), (make_vorbis_theora_pipeline),
	(make_avi_msmpeg4v3_mp3_pipeline), (make_mp3_pipeline),
	(make_avi_pipeline), (make_mpeg_pipeline), (make_mpegnt_pipeline),
	(update_fill), (msg_buffering):
	Don't use bad gst_element_get_pad().

2008-05-21  Stefan Kost  <ensonic@users.sf.net>

	* gst-libs/gst/riff/riff-media.c:
	  Fix wrong method name in docs. Fix calculation of strf fields for
	  broken mulaw/alaw.
  
	* gst-libs/gst/riff/riff-read.c:
	  Whitespace fix and removing double ';'.

2008-05-21  Wim Taymans  <wim.taymans@collabora.co.uk>

	* docs/design/part-playbin2.txt:
	Add some leftover doc.

2008-05-21  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/audioconvert/gstchannelmix.c: (gst_channel_mix_fill_others):
	Fix copy & paste error in last commit.

2008-05-21  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/audioconvert/gstchannelmix.c: (gst_channel_mix_fill_others):
	Add support for mixing GST_AUDIO_CHANNEL_POSITION_SIDE_* from/to
	other channel positions when source has SIDE channels and dest doesn't
	or the other way around.

2008-05-21  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Henrik Eriksson <henriken at axis dot com>

	* gst/tcp/gstmultifdsink.c: (gst_multi_fd_sink_class_init),
	(gst_multi_fd_sink_init), (setup_dscp_client), (setup_dscp),
	(gst_multi_fd_sink_add_full), (gst_multi_fd_sink_set_property),
	(gst_multi_fd_sink_get_property):
	* gst/tcp/gstmultifdsink.h:
	Add support for DSCP QOS. Fixes #469933.

2008-05-21  Sebastian Dröge  <slomo@circular-chaos.org>

	* tests/check/elements/audioconvert.c: (GST_START_TEST):
	Add another test that checks if conversion between standard 1 and 2
	channel layouts with and without positions set is working.

2008-05-21  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst-libs/gst/audio/multichannel.c:
	(gst_audio_check_channel_positions):
	Allow non-standard 2 channel layouts.
	
	* tests/check/elements/audioconvert.c: (GST_START_TEST):
	Add some tests for converting and remapping non-standard 1 and 2
	channel layouts.

2008-05-21  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/audioconvert/gstchannelmix.c:
	(gst_channel_mix_fill_normalize):
	Prevent division by zero if the channel mix matrix contains only
	zeroes.

2008-05-21  Sebastian Dröge  <slomo@circular-chaos.org>

	Patch by: Antoine Tremblay <hexa00 at gmail dot com>

	* gst/gdp/gstgdppay.c: (gst_gdp_pay_chain):
	Close a buffer memory leak. Fixes bug #534071.

2008-05-21  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst-libs/gst/rtsp/gstrtsptransport.h:
	Make the GstRTSPTransport struct members public as there are no
	setters/getters and it's supposed to be changed directly.
	Fixes bug #533087.

2008-05-21  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/adder/gstadder.c:
	Adder also doesn't support audio/x-raw-int with width!=depth so don't
	claim this on the pad template caps.

2008-05-20  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/audio/gstbaseaudiosink.c:
	(gst_base_audio_sink_sync_latency):
	We can only use our optimal calibration if we prerolled before the
	latency expired.

2008-05-20  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* configure.ac:
	  Require core CVS for GstBaseSrc buffer caps setting magic.

2008-05-20  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/audioconvert/gstaudioconvert.c:
	(gst_audio_convert_fixate_channels):
	Fix logic in last commit.

2008-05-20  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/audioconvert/gstaudioconvert.c:
	(gst_audio_convert_fixate_channels):
	Passthrough the channel positions if the number of output channels is
	the same as the number of input channels, the input had a channel
	layout and downstream requests no special one. We did this already for
	> 2 channels but now it's also done for 1 channel. Fixes bug #533617.

2008-05-20  Wim Taymans  <wim.taymans@collabora.co.uk>

	* ext/gnomevfs/gstgnomevfssrc.c: (gst_gnome_vfs_src_init),
	(gst_gnome_vfs_src_finalize),
	(gst_gnome_vfs_src_received_headers_callback),
	(gst_gnome_vfs_src_create), (gst_gnome_vfs_src_stop):
	* ext/gnomevfs/gstgnomevfssrc.h:
	Set the ICY caps on the srcpad from where they get picked up by the base
	class now and set on the outgoing buffers.

	* gst-libs/gst/audio/gstbaseaudiosrc.c:
	(gst_base_audio_src_create):
	* sys/v4l/v4lsrc_calls.c: (gst_v4lsrc_buffer_new):
	BaseSrc now sets the caps on outgoing buffers automatically.

2008-05-20  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/audio/gstbaseaudiosink.c:
	(gst_base_audio_sink_resample_slaving),
	(gst_base_audio_sink_skew_slaving),
	(gst_base_audio_sink_sync_latency), (gst_base_audio_sink_render),
	(gst_base_audio_sink_async_play),
	(gst_base_audio_sink_change_state):
	Change the way in which the ringbuffer is started when dealing with a
	slaved clock and latency. We now sync to the clock until we reach
	upstream latency before starting the ringbuffer. This has the effect
	that we can accurately align the master and slave clocks and let the
	rate correction code take care of the initial drift or rounding errors
	instead of leaving them uncorrected with the old approach.

2008-05-20  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/audioconvert/gstaudioconvert.c:
	(gst_audio_convert_fixate_channels):
	Correctly set the default channel positions when converting to 8
	channels.

2008-05-19  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* configure.ac:
	  Error out if we don't have the required version of core.

2008-05-19  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* gst/typefind/gsttypefindfunctions.c: (aac_type_find):
	  Use data scan helper in aac typefinder and stop scanning
	  for headers when we've found a type. Also fix potential invalid
	  memory access when calculating the frame length.

2008-05-19  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* gst/typefind/gsttypefindfunctions.c: (data_scan_ctx_ensure_data),
	  (mpeg_sys_is_valid_pack):
	  Don't modify scan context when we return FALSE in ensure_data, so
	  it's possible to continue scanning, and we don't end up with a NULL
	  data pointer and a positive size, which might bite us the next time
	  we're called. Small constification.

2008-05-16  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/adder/gstadder.c:
	Adder doesn't support 24 bit samples so don't claim it supports them
	in the pad template caps.

2008-05-14  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/rtp/gstbasertpdepayload.c:
	(gst_base_rtp_depayload_chain):
	Validate the RTP packet before further processing it. It's just too
	dangerous to accept random packets and people are not forced to use a
	jitterbuffer or session manager to filter out the bad packets.

	* gst-libs/gst/rtp/gstrtpbuffer.c:
	(gst_rtp_buffer_set_extension_data),
	(gst_rtp_buffer_get_payload_subbuffer):
	Small cleanups.
	When setting extension data in a buffer that is too small, we fail and
	we should not set the extension bit.
	Change GST_WARNINGS into g_warning because they really are
	programming errors.

	* tests/check/libs/rtp.c: (GST_START_TEST):
	Catch the g_warnings now in the unit tests and that fact that failing to
	set extension data left the extension bit untouched.

2008-05-14  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* gst/audioresample/gstaudioresample.c: (gst_audioresample_init):
	  Revert previous change which made basetransform handle buffer_alloc
	  and which breaks things badly in the non-passthrough case since it
	  returned buffers with a different (ie. sometimes smaller) size than
	  the size requested.

2008-05-14  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Bernard B <b-gnome at largestprime dot net>

	* gst-libs/gst/rtp/gstrtpbuffer.c: (gst_rtp_buffer_compare_seqnum):
	Fix seqnum compare function for bordercase values and fix the docs
	again. Fixes #533075.

	* tests/check/libs/rtp.c: (GST_START_TEST), (rtp_suite):
	Add a testcase for seqnum compare function.

2008-05-14  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/adder/gstadder.c: (gst_adder_setcaps),
	(gst_adder_class_init):
	Correctly declare the supported endianness on the pad templates
	and check for correct endianness in the set caps function. Adder
	only supports native endianness.
	Also use gst_element_class_set_details_simple().

2008-05-14  Stefan Kost  <ensonic@users.sf.net>

	* sys/xvimage/xvimagesink.c:
	  Better debug logging in port value handling. Merging separate port
	  value loops into one.

2008-05-13  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Hannes Bistry <hannesb at gmx dot de>

	* gst/tcp/gsttcpclientsrc.c: (gst_tcp_client_src_start):
	* gst/tcp/gsttcpserversink.c:
	(gst_tcp_server_sink_handle_server_read),
	(gst_tcp_server_sink_handle_wait), (gst_tcp_server_sink_init_send):
	Fix regression in clientsrc because we did not add the fd to the poll
	set anymore. Fixes #532364.
	Do some cleanups here and there.

2008-05-13  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/playback/gstdecodebin.c: (gst_decode_bin_class_init):
	* gst/playback/gstdecodebin2.c: (gst_decode_bin_class_init):
	* gst/playback/gstplay-marshal.list:
	* gst/playback/gsturidecodebin.c: (gst_uri_decode_bin_class_init):
	Use correct marshallers. GstCaps are a boxed type and no GObject
	subclass.

2008-05-13  Sebastian Dröge  <slomo@circular-chaos.org>

	* win32/common/libgstrtsp.def:
	Add gst_rtsp_connection_(set|clear)_auth_param() to the exported
	symbols.

2008-05-13  Sebastian Dröge  <slomo@circular-chaos.org>

	Patch by: Sjoerd Simons <sjoerd at luon dot net>

	* tests/check/elements/audioresample.c:
	(live_switch_alloc_only_48000), (live_switch_get_sink_caps),
	(live_switch_push), (GST_START_TEST):
	Add unit test for the latest basetransform negotiation changes.
	See bug #526768.

2008-05-13  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/ffmpegcolorspace/imgconvert.c: (nv12_to_nv21):
	Fix nv12<->nv21 conversion if stride is larger than width.

2008-05-13  Sebastian Dröge  <slomo@circular-chaos.org>

	Patch by: Jan Gerber <j at oil21 dot org>

	* ext/ogg/gstoggdemux.c: (gst_ogg_pad_parse_skeleton_fishead),
	(gst_ogg_pad_parse_skeleton_fisbone):
	* ext/ogg/gstoggdemux.h:
	Parse presentation time from skeleton streams and use it as offset
	for the timestamps. Fixes bug #530068.

2008-05-12  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/audio/gstbaseaudiosink.c:
	(gst_base_audio_sink_render), (gst_base_audio_sink_async_play):
	Revert previous patch that attempted to more accurately calculate the
	initial offset between master and slave clock. The best thing we can do
	in general is take the time of both clocks as the diff since we don't
	know when the actual preroll happened.

2008-05-11  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* gst-libs/gst/pbutils/install-plugins.c:
	  Fix docs: type and missing word.

2008-05-10  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* gst/typefind/gsttypefindfunctions.c: (h264_video_type_find):
	  Don't do lots of 4-byte peeks, but use the 'new' data scan helper
	  for this instead; don't check if we've found enough markers after
	  each and every step, it's enough to do that only if we've actually
	  found a new marker.
	  Embed a G_UNLIKELY into the IS_MPEG_HEADER macro.

2008-05-10  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* gst/typefind/gsttypefindfunctions.c:
	  (DATA_SCAN_CTX_CHUNK_SIZE), (DataScanCtx), (data_scan_ctx_advance),
	  (data_scan_ctx_ensure_data), (GST_MPEGVID_TYPEFIND_TRY_SYNC),
	  (mpeg_video_stream_type_find):
	  Move scan helper thingy to the beginning of the file so we can use
	  it in other typefind functions. Rename it to something more
	  generic. Also improve handling of things towards the end of the
	  typefind data: peek as much as we can if we know the size of the
	  data, rather than just min_size.

2008-05-09  Jan Schmidt  <jan.schmidt@sun.com>

	* docs/libs/gst-plugins-base-libs-sections.txt:
	* gst-libs/gst/interfaces/colorbalance.c:
	* gst-libs/gst/interfaces/colorbalance.h:
	* gst-libs/gst/interfaces/colorbalancechannel.c:
	* gst-libs/gst/interfaces/colorbalancechannel.h:
	* gst-libs/gst/interfaces/tuner.c:
	* gst-libs/gst/interfaces/tunerchannel.c:
	* gst-libs/gst/interfaces/tunerchannel.h:
	* gst-libs/gst/interfaces/tunernorm.c:
	* gst-libs/gst/interfaces/tunernorm.h:
	* gst-libs/gst/video/video.c:
	* gst-libs/gst/video/video.h:
	Document the GstTuner and GstColorBalance interfaces, and some
	other random API functions that needed it. 70% symbol coverage, woo.

2008-05-09  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/audio/gstaudiosink.c: (gst_audioringbuffer_acquire):
	Choose to allocate one less segment but require one additional segment
	as latency. 

	* gst-libs/gst/audio/gstaudiosrc.c: (gst_audioringbuffer_acquire):
	No need to increment the number of segments in the source.

	* gst-libs/gst/audio/gstbaseaudiosink.c:
	(gst_base_audio_sink_get_time), (clock_convert_external),
	(gst_base_audio_sink_resample_slaving),
	(gst_base_audio_sink_skew_slaving),
	(gst_base_audio_sink_none_slaving), (gst_base_audio_sink_render),
	(gst_base_audio_sink_async_play):
	Remove adding latency when returning the internal time while subtracting
	it again when we use the value a little later.
	When calculating the end timestamp, we are making a rounding error
	with the current algorithm. Ensure that we don't accumulate these
	rounding errors when aligning samples by not resampling at all if we
	don't need to. Fixes #419351.
	Make the initial calibration of the clock slaving a little more
	predictable and accurate. Also handle the case where we don't do
	clock slaving.

2008-05-09  Sebastian Dröge  <slomo@circular-chaos.org>

	Based on a patch by:
	  Björn Benderius <bjoern dot benderius at axis dot com>

	* gst/ffmpegcolorspace/avcodec.h:
	* gst/ffmpegcolorspace/gstffmpegcodecmap.c:
	(gst_ffmpeg_pixfmt_to_caps), (gst_ffmpeg_caps_to_pixfmt),
	(gst_ffmpegcsp_avpicture_fill):
	* gst/ffmpegcolorspace/imgconvert.c: (nv12_to_nv21):
	* gst/ffmpegcolorspace/imgconvert_template.h:
	Add conversions from/to NV12 and NV21 and conversions between those
	two formats. Fixes bug #532166.

2008-05-08  Edward Hervey  <edward.hervey@collabora.co.uk>

	* gst/typefind/gsttypefindfunctions.c: (h264_video_type_find):
	Abort the h264 typefinding as soon as _peek() doesn't return anything,
	which happens for example with files smaller than 128kb.

2008-05-08  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Wouter Cloetens <zombie at e2big dot org>

	* gst-libs/gst/rtsp/Makefile.am:
	* gst-libs/gst/rtsp/gstrtspconnection.c:
	(gst_rtsp_connection_create), (md5_digest_to_hex_string),
	(auth_digest_compute_hex_urp), (auth_digest_compute_response),
	(add_auth_header), (gst_rtsp_connection_free),
	(gst_rtsp_connection_set_auth), (str_case_hash), (str_case_equal),
	(gst_rtsp_connection_set_auth_param),
	(gst_rtsp_connection_clear_auth_params):
	* gst-libs/gst/rtsp/gstrtspconnection.h:
	Add Digest authorization support for RTSP connections. See #532065.

	* gst-libs/gst/rtsp/md5.c:
	* gst-libs/gst/rtsp/md5.h:
	Yeap, another md5 implementation until we can depend on a glib that has
	support for it.

2008-05-08  Sebastian Dröge  <slomo@circular-chaos.org>

	Patch by: Sjoerd Simons <sjoerd at luon dot net>

	* gst/audioresample/gstaudioresample.c: (gst_audioresample_init):
	Let audioresample use the buffer allocation of basetransform instead
	of it's own stuff.

	* tests/check/elements/audioresample.c: (alloc_only_48000),
	(GST_START_TEST), (audioresample_suite):
	Add unit test for the recent basetransform bugfix, where upstream
	changes caps to something that can't be passed through anymore.

2008-05-07  Ole André Vadla Ravnås  <ole.andre.ravnas at tandberg com>

	* win32/common/config.h.in:
	  Don't define GST_FUNCTION, if GLib supports MSVC we'd much rather
	  use the real thing than having "???" unconditionally.

2008-05-07  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/audio/gstbaseaudiosink.c:
	(gst_base_audio_sink_query):
	Report the latency with the new seglatency parameter.

	* gst-libs/gst/audio/gstringbuffer.c:
	(gst_ring_buffer_debug_spec_buff), (gst_ring_buffer_parse_caps),
	(gst_ring_buffer_acquire):
	* gst-libs/gst/audio/gstringbuffer.h:
	Add new field to the ringbufferspec to specify the expected latency
	between the underlying device read/write pointer, this is needed
	when writing sinks that sit a little closer to the hardware.
	Add some more docs for other fields.

2008-05-06  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/volume/gstvolume.c: (volume_transform_ip):
	Return NOT_NEGOTIATED if we didn't set a process function yet for some
	reason instead of crashing later. Might fix bug #509125.

2008-05-06  Sebastian Dröge  <slomo@circular-chaos.org>

	Based on a patch by: Tim-Philipp Müller  <tim.muller at collabora co uk>

	* gst/audioconvert/audioconvert.c: (audio_convert_prepare_context):
	* gst/audioconvert/audioconvert.h:
	* gst/audioconvert/gstaudioconvert.c:
	(gst_audio_convert_parse_caps),
	(structure_has_fixed_channel_positions),
	(gst_audio_convert_transform_caps):
	* gst/audioconvert/gstchannelmix.c: (gst_channel_mix_fill_matrix):
	Add support for more than 8 channels and NONE channel layouts. For
	more than 8 channels no channel conversion is supported yet, only
	format conversions are supported. Fixes bug #398033.

	* tests/check/elements/audioconvert.c: (verify_convert),
	(GST_START_TEST), (audioconvert_suite):
	Add some unit tests by Tim for checking the NONE channel layouts
	and more than 8 channels and add some more unit tests for channel
	conversions.

2008-05-06  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstdecodebin2.c: (connect_pad):
	When autoplugging fails, set the element back to NULL before
	unreffing it.

2008-05-06  Sebastian Dröge  <slomo@circular-chaos.org>

	* win32/common/libgstaudio.def:
	Add gst_base_audio_src_[sg]et_slave_method() to the exported
	symbols.

2008-05-05  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/subparse/samiparse.c: (handle_start_sync),
	(end_sami_element), (characters_sami):
	Remove trailing, leading and double whitespaces.
	Correctly timestamp buffers and output the last buffer too.

	* tests/check/elements/subparse.c: (GST_START_TEST),
	(subparse_suite):
	Add a simple unit test for SAMI parsing.

2008-05-05  Sebastian Dröge  <slomo@circular-chaos.org>

	Patch by: Young-Ho Cha <ganadist at chollian dot net>

	* gst/subparse/samiparse.c: (handle_start_sync),
	(start_sami_element), (end_sami_element), (characters_sami),
	(sami_context_reset):
	Only output characters inside the "sync" elements. There could be
	other elements like "style" that have some content but should
	not be printed. Fixes bug #467911.

2008-05-05  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/playback/gstplaybasebin.c: (set_audio_mute),
	(set_active_source):
	* gst/playback/gstplaybasebin.h:
	* gst/playback/gstplaybin.c: (gst_play_bin_class_init),
	(playbin_set_audio_mute):
	Allow setting -1 as current-audio to mute the current audio stream,
	similar to what is done for subtitles. Fixes bug #342294.

2008-05-05  Edward Hervey  <edward.hervey at collabora co uk>

	* gst-libs/gst/pbutils/descriptions.c: (formats): 
	It's SorensOn and not SorensEn.

2008-05-04  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* gst-libs/gst/pbutils/descriptions.c: (formats):
	  Fix description of video/x-flash-video.

2008-05-04  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst-libs/gst/audio/gstaudiosink.c: (audioringbuffer_thread_func):
	* gst-libs/gst/audio/gstaudiosrc.c: (audioringbuffer_thread_func):
	* gst/tcp/gsttcp.c: (gst_tcp_socket_write):
	* sys/v4l/v4lsrc_calls.c: (gst_v4lsrc_get_fps_list):
	Remove some unused code.

	* gst/audioconvert/gstaudioquantize.c:
	(gst_audio_quantize_free_noise_shaping):
	Don't return before freeing the noise shaping history.

2008-05-03  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* tests/check/elements/subparse.c: (do_test),
	  (test_tmplayer_style3b), (subparse_suite):
	  Add unit test for the tmplayer variant from bug #530962.

2008-05-03  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* gst/subparse/gstsubparse.c: (handle_buffer),
	  (gst_sub_parse_sink_event):
	* gst/subparse/tmplayerparse.c: (tmplayer_process_buffer),
	  (tmplayer_parse_line):
	  Fix parsing of tmplayer subtitle variant where every single line contains
	  text and there isn't an empty line after each line to determine the
	  duration (#530962). Improve EOS handling for tmplayer subtitles a bit by
	  making sure that we push out the last line of text without a duration if
	  there's still text left in the buffer at the end.

2008-05-03  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* gst/subparse/gstsubparse.c: (feed_textbuf):
	  Fix detection of discontinuities based on the buffer offset (doesn't work
	  so well if no buffer offset is set) and also check for the DISCONT buffer
	  flag. This keeps the parser state from being reset after each buffer in
	  the unit test.

2008-05-03  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* gst/typefind/gsttypefindfunctions.c: (mpeg_video_stream_type_find):
	  Further fine-tuning: don't absolutely require sequence or GOP headers
	  (as introduced in the previous commit), but adjust the typefind
	  probabilities returned accordingly if we don't see them. Also make sure
	  picture header and first slice are somewhat close to each other (which
	  is not perfect but still better than requiring a fixed offset or having
	  no limit at all).

2008-05-02  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/rtp/gstbasertppayload.c: (gst_basertppayload_init),
	(gst_basertppayload_sink_setcaps),
	(gst_basertppayload_sink_getcaps):
	Rename the setcaps/getcaps function internally to make it clear that
	they are called for the sink pad.

2008-05-02  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/rtp/gstbasertpdepayload.c:
	(gst_base_rtp_depayload_class_init),
	(gst_base_rtp_depayload_handle_sink_event), (create_segment_event),
	(gst_base_rtp_depayload_packet_lost),
	(gst_base_rtp_depayload_set_gst_timestamp):
	* gst-libs/gst/rtp/gstbasertpdepayload.h:
	Catch packet-lost events from the jitterbuffer and convert them into a
	vmethod call (lost-packet) so that depayloaders can do something smart.
	Also add a default packet-lost function that sends out a segment update
	to the decoders.

2008-05-02  Stefan Kost  <ensonic@users.sf.net>

	* gst/playback/test4.c:
	* gst/playback/test5.c:
	* gst/playback/test6.c:
	* gst/playback/test7.c:
	  Also include config.h when relying on defines from it. Fixes the
	  build. Its been a please to serve :)

2008-05-02  Thijs Vermeir <thijsvermeir@gmail.com>

	* gst/videotestsrc/videotestsrc.c (paint_setup_NV12),
	(paint_setup_NV21), (paint_hline_NV12_NV21):
	Add support for NV12 and NV21 in videotestsrc

2008-05-02  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/videoscale/gstvideoscale.c:
	* gst/videoscale/vs_4tap.c: (vs_image_scale_4tap_Y):
	* gst/videoscale/vs_image.c: (vs_image_scale_nearest_RGBA),
	(vs_image_scale_linear_RGBA), (vs_image_scale_nearest_RGB),
	(vs_image_scale_linear_RGB), (vs_image_scale_nearest_YUYV),
	(vs_image_scale_linear_YUYV), (vs_image_scale_nearest_UYVY),
	(vs_image_scale_linear_UYVY), (vs_image_scale_nearest_Y),
	(vs_image_scale_linear_Y), (vs_image_scale_nearest_RGB565),
	(vs_image_scale_linear_RGB565), (vs_image_scale_nearest_RGB555),
	(vs_image_scale_linear_RGB555):
	Support 1x1 images as input and output as for example the BBC HQ new
	streams have 1x1 GIFs in the playlists for some reason.

2008-05-01  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* gst/playback/gstdecodebin.c: (free_pad_probe_for_element),
	  (try_to_link_1):
	  If we can't activate one of the decoders we plugged in (such as,
	  say, musepackdec) for some reason (it might not support push mode,
	  for example), remove any pad probes that close_pad_link() might
	  have set up. This makes sure we later don't try to remove a probe
	  for a pad that doesn't exist any longer, and avoids nast warnings
	  and probably other things too.

2008-04-30  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* gst/typefind/gsttypefindfunctions.c:
	  (mpeg_video_stream_ctx_ensure_data), (mpeg_video_stream_type_find),
	  (plugin_init):
	  Rework mpeg video stream typefinding a bit more: make sure sequence,
	  GOP, picture and slice headers appear in the order they should and
	  that we've in fact at least had one of each; fix picture header
	  detection; decouple picture and slice header check - don't assume
	  they're at a fixed offset, there may be extra data in between. Also,
	  announce varying degrees of probability depending on what we found
	  exactly (multiple pictures, at least one picture, just sequence and
	  GOP headers). Finally, in _ensure_data(), take into account that we
	  might be typefinding smaller amounts of data, such as the first
	  buffer of a stream, so fall back to the minimum size needed as long
	  as that's available, instead of erroring out if there's less than
	  2kB of data. Fixes #526173. Conveniently also doesn't recognise the
	  fuzzed file from #399342 as valid.

2008-04-30  Michael Smith <msmith@songbirdnest.com>

	* ext/theora/theoradec.c:
	  Cool kids don't divide by zero.
	  Treat PAR of x:0 as 1:1.
	  Fixes #530719.

2008-04-30  Tim-Philipp Müller  <tim.muller at collabora co uk>

	* gst/typefind/gsttypefindfunctions.c: (MpegVideoStreamCtx),
	  (mpeg_video_stream_ctx_advance), (mpeg_video_stream_ctx_ensure_data),
	  (mpeg_video_stream_type_find):
	  Refactor a bit: use context structure to track parsing offset and
	  size of available data and make the code a bit clearer. Fixes bad
	  memory access in #356937.

2008-04-28  Michael Smith <msmith@songbirdnest.com>

	* gst/playback/test4.c:
	* gst/playback/test5.c:
	* gst/playback/test6.c:
	* gst/tcp/gstmultifdsink.c:
	  Include stdlib.h and unistd.h only if the appropriate HAVE_*_H macro
	  is defined.

2008-04-28  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/audio/gstbaseaudiosink.h:
	Clarify some docs.

	* gst-libs/gst/audio/gstbaseaudiosrc.c: (slave_method_get_type),
	(gst_base_audio_src_class_init), (gst_base_audio_src_init),
	(gst_base_audio_src_set_slave_method),
	(gst_base_audio_src_get_slave_method),
	(gst_base_audio_src_set_property),
	(gst_base_audio_src_get_property), (gst_base_audio_src_create):
	* gst-libs/gst/audio/gstbaseaudiosrc.h:
	Add property and methods for selecting the clock slave method in the
	source, like in the sink.
	We only implement "none" and "re-timestamp" for now.
	API: gst_base_audio_src_set_slave_method()
	API: gst_base_audio_src_get_slave_method()

2008-04-25  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/rtp/gstrtpbuffer.c:
	Fix the docs about the seqnum compare function, it returns a difference.

2008-04-24  Edward Hervey  <edward.hervey@collabora.co.uk>

	* ext/alsa/gstalsadeviceprobe.c:
	(gst_alsa_get_device_list): Don't return before freeing up
	the allocated structures.

2008-04-24  Stefan Kost  <ensonic@users.sf.net>

	* gst/playback/gstplaybin.c:
	  Remove obsolete streaminfo code and fix a leak. Fixes #529546

2008-04-23  Stefan Kost  <ensonic@users.sf.net>

	* ext/ogg/gstoggdemux.c:
	  Revert the event part, that should not go in.

2008-04-23  Stefan Kost  <ensonic@users.sf.net>

	* ext/ogg/gstoggdemux.c:
	  Don't leak GstPluginFeatures when filtering.

2008-04-23  Stefan Kost  <ensonic@users.sf.net>

	* sys/xvimage/xvimagesink.c:
	  Add some logging for cases when grabbing the xv failed.

2008-04-21  David Schleef  <ds@schleef.org>

	* ext/ogg/gstoggmux.c:
	  Update Ogg/Dirac muxing.  Removes the weird "KW-DIRAC" bos
	  packet.  Should conform to what we currently think is the
	  final Ogg/Dirac muxing spec.

2008-04-21  David Schleef  <ds@schleef.org>

	* sys/xvimage/xvimagesink.c:
	  Fix typo that causes the overlay keying color to bright green
	  on a 16-bit display.  Dark grey good.  Bright green bad.

2008-04-21  Stefan Kost  <ensonic@users.sf.net>

	* ext/gnomevfs/gstgnomevfsuri.c:
	  Add  FIXME comment about using uri-list for source and sink.

2008-04-20  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/ogg/gstogmparse.c: (gst_ogm_parse_stream_header):
	GST_TYPE_FRACTION contains gints so correctly cast gint64 arguments to
	vaargs functions to gint. Otherwise the fractions will get 0 set
	instead of the correct value on big endian systems. Fixes bug #529018.

2008-04-20  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/gnomevfs/gstgnomevfssink.c:
	(gst_gnome_vfs_sink_uri_get_protocols):
	* ext/gnomevfs/gstgnomevfssrc.c:
	(gst_gnome_vfs_src_uri_get_protocols):
	* ext/gnomevfs/gstgnomevfsuri.c: (_internal_get_supported_uris),
	(gst_gnomevfs_get_supported_uris):
	Get the list of supported URI schemes in a threadsafe way and use the
	same list for the source and sink.

2008-04-20  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/gio/gstgio.c: (_internal_get_supported_protocols),
	(gst_gio_get_supported_protocols):
	Don't generate a new supported protocols list on each call but cache
	it. It's supposed to be static anyway, this way we only leak it once
	per process.

	* ext/gio/gstgiosink.c: (gst_gio_sink_base_init),
	(gst_gio_sink_class_init), (gst_gio_sink_finalize),
	(gst_gio_sink_set_property), (gst_gio_sink_get_property),
	(gst_gio_sink_start):
	* ext/gio/gstgiosink.h:
	* ext/gio/gstgiosrc.c: (gst_gio_src_base_init),
	(gst_gio_src_class_init), (gst_gio_src_finalize),
	(gst_gio_src_set_property), (gst_gio_src_get_property),
	(gst_gio_src_start):
	* ext/gio/gstgiosrc.h:
	API: Add "file" properties where one can set a GFile as
	source/destination.

	Add locking to the properties and use
	gst_element_class_set_details_simple() instead of a static
	GstElementDetails struct.

2008-04-19  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/typefind/gsttypefindfunctions.c: (musepack_type_find),
	(plugin_init):
	Add "mpp" and "mp+" as possible extensions for MusePack files.

	Add typefinding for MusePack StreamVersion 8 files and include the
	stream version in the caps.

2008-04-19  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst-libs/gst/rtp/gstrtppayloads.c:
	(gst_rtp_payload_info_for_name):
	Use g_ascii_strcasecmp() instead of the deprecated g_strcasecmp().

2008-04-18  Tim-Philipp Müller  <tim at centricular dot net>

	* configure.ac:
	  Bump Gtk+ requirement to 2.12.0 for gtk_range_set_fill_level
	  (NB: this only affects compilation of some of the examples).
	  Remove some configure.ac cruft that's not needed any longer.

2008-04-18  Edward Hervey  <edward.hervey@collabora.co.uk>

	* gst/gdp/gstgdpdepay.c: (gst_gdp_depay_chain):
	Don't validate the payload if there isn't any.
	Fixes #525915

2008-04-17  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst-libs/gst/audio/gstringbuffer.c: (gst_ring_buffer_may_start):
	Use g_atomic_int_set() instead of gst_atomic_int_set().

2008-04-17  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/gio/gstgio.c: (gst_gio_get_supported_protocols):
	Return NULL instead of a gchar * array with one NULL element if we
	don't get any supported URI schemes from GIO.

2008-04-15  Stefan Kost  <ensonic@users.sf.net>

	* gst/audiotestsrc/gstaudiotestsrc.c:
	  Remove cpp style commented old code.

2008-04-15  Stefan Kost  <ensonic@users.sf.net>

	* gst/playback/gstdecodebin2.c:
	  Fix signal docs.

2008-04-14  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/pango/gsttextoverlay.c: (gst_text_overlay_class_init),
	  (gst_text_overlay_init):
	  Fix textoverlay unit test again by making the supposed default
	  value for the wait-text property the actual default value.
	  Also fix Since: tag for new property.

2008-04-11  Tim-Philipp Müller  <tim at centricular dot net>

	* gst-libs/gst/video/video.c: (gst_video_format_new_caps),
	  (gst_video_format_to_fourcc), (gst_video_format_get_row_stride),
	  (gst_video_format_get_pixel_stride),
	  (gst_video_format_get_component_width),
	  (gst_video_format_get_component_height),
	  (gst_video_format_get_component_offset), (gst_video_format_get_size),
	  (gst_video_format_convert):
	  Add guards to these functions to ensure sane input values.

	* tests/check/libs/video.c:
	  Fix unit test not to create caps with width=0 and height=0.

2008-04-11  Wim Taymans  <wim.taymans@collabora.co.uk>

	* docs/design/draft-keyframe-force.txt:
	Fix typo.

	* gst/playback/gstqueue2.c: (update_buffering),
	(gst_queue_handle_src_query):
	Set buffering mode in the messages.
	Set buffering percent in the query.

	* tests/examples/seek/seek.c: (update_fill), (msg_state_changed),
	(do_stream_buffering), (do_download_buffering), (msg_buffering):
	Do some more fancy things based on the buffering method in use.

2008-04-09  Wim Taymans  <wim.taymans@collabora.co.uk>

	* tests/examples/seek/seek.c: (update_fill), (set_update_fill),
	(play_cb), (pause_cb), (stop_cb), (msg_state_changed),
	(msg_buffering), (main):
	Add basic download reports to seek using the new buffering API.

2008-04-09  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstqueue2.c: (update_buffering),
	(gst_queue_close_temp_location_file), (gst_queue_handle_src_query),
	(gst_queue_src_checkgetrange_function):
	Include extra buffering stats in the buffering message.
	Implement BUFFERING query.

	* gst/playback/gsturidecodebin.c: (do_async_start),
	(do_async_done), (type_found), (setup_streaming), (setup_source),
	(gst_uri_decode_bin_change_state):
	Only add decodebin2 when the type is found in streaming mode.
	Make uridecodebin async to PAUSED even when we don't have decodebin2
	added yet.

2008-04-09  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/gio/gstgio.c: (gst_gio_get_supported_protocols):
	Filter cdda from the supported URI schemes. We can't support
	musicbrainz tags and everything else one expects from a cdda source
	with GIO. Fixes bug #526794.

2008-04-07  Jan Schmidt  <jan.schmidt@sun.com>

	* sys/xvimage/xvimagesink.c (gst_xvimagesink_xvimage_new),
	(gst_xvimagesink_buffer_alloc):
	Fix calculation of 'expected size' for YV12 buffers.
	Be a little more verbose in the debug output for buffer-alloc'ed
	buffers which turn out to have the wrong size.

2008-04-07  Tim-Philipp Müller  <tim at centricular dot net>

	* NEWS:
	* RELEASE:
	* gst-plugins-base.doap:
	  Merge other changes from 0.10.19 release branch.

2008-04-06  Tim-Philipp Müller  <tim at centricular dot net>

	* gst-libs/gst/audio/gstbaseaudiosink.c:
	  (gst_base_audio_sink_class_init):
	* gst-libs/gst/audio/gstbaseaudiosrc.c:
	  (gst_base_audio_src_class_init):
	* gst/playback/gstplayback.c: (plugin_init):
	* gst/volume/gstvolume.c: (plugin_init):
	  Work around missing bits of thread-safety on older GLibs some
	  more to avoid assertions when starting up multiple playbin
	  objects concurrently (see #512382).

2008-04-06  Tim-Philipp Müller  <tim at centricular dot net>

	* gst-libs/gst/pbutils/missing-plugins.c: (copy_and_clean_caps):
	  Remove some more fields.

2008-04-06  Sebastian Dröge  <slomo@circular-chaos.org>

	Patch by: Damien Lespiau <damien dot lespiau at gmail dot com>

	* configure.ac:
	Actually build dlls when cross-compiling with mingw32.
	Fixes bug #526247.

2008-04-03  Tim-Philipp Müller  <tim at centricular dot net>

	* configure.ac:
	  Bump version to 0.10.19.1 after the unplanned 0.10.19 release.

2008-04-03  Wim Taymans  <wim.taymans@collabora.co.uk>

	* tests/examples/seek/seek.c: (play_cb), (pause_cb), (stop_cb),
	(msg_buffering), (connect_bus_signals), (main):
	Add statusbar.
	Add buffering support with feedback in the statusbar.

2008-04-03  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/ogg/gstoggmux.c:
	  Fix sample pipeline description.

2008-04-03  Stefan Kost  <ensonic@users.sf.net>

	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-base-plugins-docs.sgml:
	* docs/plugins/gst-plugins-base-plugins-overrides.txt:
	* docs/plugins/gst-plugins-base-plugins-sections.txt:
	  Add playbin, playbin2, decodebin, decodebin2, uridecodebin and oggmux

	* docs/plugins/gst-plugins-base-plugins.args:
	* docs/plugins/gst-plugins-base-plugins.hierarchy:
	* docs/plugins/gst-plugins-base-plugins.interfaces:
	* docs/plugins/gst-plugins-base-plugins.prerequisites:
	* docs/plugins/inspect/plugin-adder.xml:
	* docs/plugins/inspect/plugin-alsa.xml:
	* docs/plugins/inspect/plugin-audioconvert.xml:
	* docs/plugins/inspect/plugin-audiorate.xml:
	* docs/plugins/inspect/plugin-audioresample.xml:
	* docs/plugins/inspect/plugin-audiotestsrc.xml:
	* docs/plugins/inspect/plugin-cdparanoia.xml:
	* docs/plugins/inspect/plugin-decodebin.xml:
	* docs/plugins/inspect/plugin-ffmpegcolorspace.xml:
	* docs/plugins/inspect/plugin-gdp.xml:
	* docs/plugins/inspect/plugin-gnomevfs.xml:
	* docs/plugins/inspect/plugin-libvisual.xml:
	* docs/plugins/inspect/plugin-ogg.xml:
	* docs/plugins/inspect/plugin-pango.xml:
	* docs/plugins/inspect/plugin-playback.xml:
	* docs/plugins/inspect/plugin-queue2.xml:
	* docs/plugins/inspect/plugin-subparse.xml:
	* docs/plugins/inspect/plugin-tcp.xml:
	* docs/plugins/inspect/plugin-theora.xml:
	* docs/plugins/inspect/plugin-typefindfunctions.xml:
	* docs/plugins/inspect/plugin-uridecodebin.xml:
	* docs/plugins/inspect/plugin-video4linux.xml:
	* docs/plugins/inspect/plugin-videorate.xml:
	* docs/plugins/inspect/plugin-videoscale.xml:
	* docs/plugins/inspect/plugin-videotestsrc.xml:
	* docs/plugins/inspect/plugin-volume.xml:
	* docs/plugins/inspect/plugin-vorbis.xml:
	* docs/plugins/inspect/plugin-ximagesink.xml:
	* docs/plugins/inspect/plugin-xvimagesink.xml:
	  Update introspection data.

	* ext/ogg/gstoggmux.c:
	  Document oggmux.

	* gst/playback/gstdecodebin2.c:
	  Don't use gtk-doc style comment start for private stuff, but make it
	  formatted like this for consistency.

2008-04-03  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstdecodebin2.c: (gst_decode_bin_class_init),
	(gst_decode_bin_init), (gst_decode_bin_dispose),
	(gst_decode_bin_set_sink_caps), (gst_decode_bin_get_sink_caps),
	(gst_decode_bin_set_property), (gst_decode_bin_get_property),
	(analyze_new_pad), (connect_pad), (expose_pad),
	(gst_decode_group_new), (gst_decode_group_control_demuxer_pad),
	(gst_decode_group_expose), (gst_decode_group_free),
	(do_async_start), (do_async_done), (gst_decode_bin_change_state):
	Remove fakesink hack, we can now implement this more elegantly.
	Added property to bypass typefinding.
	Removed underrun callback and demuxer pad probe, we now use the srcpad
	probe to expose groups.
	API::sink-caps property

	* gst/playback/gstplaybin2.c: (no_more_pads_cb):
	Guard against multiple emissions of the no_more_pads signal, which
	happens when we are dealing with chained oggs.

	* gst/playback/gsturidecodebin.c: (remove_decoders),
	(make_decoder), (type_found), (setup_streaming), (source_new_pad),
	(setup_source):
	For streams, use our own typefind element and plug our queue after it.
	We will need this to determine the type of buffering to use for the
	queue soon.

2008-04-03  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/audio/gstbaseaudiosink.c:
	(gst_base_audio_sink_skew_slaving), (gst_base_audio_sink_render):
	Guard against over and underflows because of clock slaving.
	When we are using our own clock, still compensate for any calibrations
	that we might have done to our clock.

2008-04-03  Wim Taymans  <wim.taymans@collabora.co.uk>

	* ext/theora/theoradec.c: (theora_handle_type_packet),
	(theora_dec_chain):
	Don't try to do anything fancy with the return code from pushing an
	event, it does not have enough information to turn it into a
	GST_FLOW_ERROR.

2008-04-03  Wim Taymans  <wim.taymans@collabora.co.uk>

	* ext/ogg/gstoggdemux.c: (gst_ogg_pad_reset),
	(gst_ogg_demux_chain_elem_pad):
	Add small debug line.
	Pass return code from the internal decoder instead of the too generic
	GST_FLOW_ERROR.

2008-04-03  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst-libs/gst/cdda/Makefile.am:
	* gst-libs/gst/cdda/base64.c:
	* gst-libs/gst/cdda/base64.h:
	* gst-libs/gst/cdda/gstcddabasesrc.c:
	(gst_cddabasesrc_calculate_musicbrainz_discid):
	Use GLib's base64 implementation instead of our own.

2008-04-02  Wim Taymans  <wim.taymans@collabora.co.uk>

	* ext/ogg/gstoggdemux.c: (gst_ogg_demux_activate_chain),
	(gst_ogg_demux_read_chain):
	Refix oggdemux, we only have a problem if we failed to find a chain and
	we are not EOF.

2008-04-02  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Victor STINNER <victor dot stinner at haypocalc dot com>

	* ext/ogg/gstoggdemux.c: (gst_ogg_demux_activate_chain),
	(gst_ogg_demux_read_chain):
	When we fail to find a BOS page and we and up with no chain, error out
	properly instead of segfaulting. Fixes #525665.

2008-04-02  Wim Taymans  <wim.taymans@collabora.co.uk>

	* ext/ogg/gstoggdemux.c: (gst_ogg_demux_activate_chain),
	(gst_ogg_demux_read_chain), (gst_ogg_demux_handle_page):
	The new-pad-group sequence is add-pads, no-more-pads, add-pads,
	no-more-pads...

2008-04-02  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstqueue2.c: (update_out_rates),
	(gst_queue_open_temp_location_file),
	(gst_queue_close_temp_location_file), (gst_queue_handle_src_event),
	(gst_queue_handle_src_query), (gst_queue_set_property):
	Update the estimated input data when we push out a buffer.
	Add some debug info about the temp file.
	Only forward src events when we are not using a temp file.
	Don't block the duration query, we need to find something better.
	Don't leak the temp filename.

2008-04-01  Sebastian Dröge  <slomo@circular-chaos.org>

	* configure.ac:
	Require GLib 2.12 and liboil 0.3.14.

	* gst/volume/gstvolume.c: (volume_process_double):
	Unconditionally use liboil 0.3.14 function.

2008-03-31  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/riff/riff-media.c: (gst_riff_create_audio_caps):
	ms-gsm can have arbitrarty sample rates. See #481354.

2008-03-28  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/riff/riff-media.c: (gst_riff_create_video_caps):
	MP4S is generic MPEG-4, not a microsoft variant.

2008-03-27  Michael Smith <msmith@fluendo.com>

	* gst/gdp/gstgdpdepay.c: (gst_gdp_depay_chain):
	  Check the body CRC (if set) when depayloading.
	  Fixes #522401.

2008-03-24  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/pango/gsttextoverlay.c: (gst_text_overlay_class_init):
	  Fix Since: version for new property.

2008-03-24  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/rtsp/gstrtspconnection.c:
	(gst_rtsp_connection_connect), (gst_rtsp_connection_write),
	(gst_rtsp_connection_read_internal), (gst_rtsp_connection_poll):
	Don't error when poll_wait returns EAGAIN.

2008-03-24  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstqueue2.c: (gst_queue_is_filled):
	The queue is never filled when there are no buffers in the queue at all.
	Fixes #523993.

2008-03-24  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstplaybin2.c: (gst_play_bin_class_init),
	(init_group), (free_group), (gst_play_bin_init),
	(gst_play_bin_finalize), (gst_play_bin_set_uri),
	(gst_play_bin_set_suburi), (gst_play_bin_get_video_tags),
	(gst_play_bin_get_audio_tags), (gst_play_bin_get_text_tags),
	(gst_play_bin_set_current_video_stream),
	(gst_play_bin_set_current_audio_stream),
	(gst_play_bin_set_current_text_stream),
	(gst_play_bin_set_encoding), (gst_play_bin_set_property),
	(gst_play_bin_get_property), (pad_added_cb), (pad_removed_cb),
	(no_more_pads_cb), (perform_eos), (autoplug_select_cb),
	(activate_group), (deactivate_group), (setup_next_source),
	(save_current_group), (gst_play_bin_change_state):
	Update some docs.
	Add new locks and conds to protect pipeline creation and group
	switching.
	Implement the sub-uri property.
	Keep track of pending uridecodebin creation and configure the output
	pipeline after all streams are configured.
	Propagate subtitle encoding to the uridecodebins.
	Implement getting the video/audio/visualisation elements.
	Use input-selector for stream switching.
	If we are asked to do visualisation, prefer to autoplug raw sinks
	instead of sinks that accept encoded data.

2008-03-24  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstplaysink.c: (gst_play_sink_class_init),
	(gst_play_sink_init), (gst_play_sink_dispose),
	(gst_play_sink_set_video_sink), (gst_play_sink_get_video_sink),
	(gst_play_sink_set_audio_sink), (gst_play_sink_get_audio_sink),
	(gst_play_sink_vis_unblocked), (gst_play_sink_vis_blocked),
	(gst_play_sink_set_vis_plugin), (gst_play_sink_get_vis_plugin),
	(gst_play_sink_set_volume), (gst_play_sink_get_volume),
	(gst_play_sink_set_mute), (gen_video_chain), (gen_text_chain),
	(gen_audio_chain), (gen_vis_chain), (gst_play_sink_reconfigure),
	(gst_play_sink_set_font_desc), (gst_play_sink_get_font_desc),
	(gst_play_sink_send_event_to_sink), (gst_play_sink_change_state):
	* gst/playback/gstplaysink.h:
	Add methods to get audio/video/vis elements.
	Add methods to set the font description for the overlay.
	Remove properties, we're using this element with its methods only.
	Add support for subtitles.
	Rearrange the locking a bit to not use the object lock for protecting
	the pipeline construction.
	Try to use the volume and mute property on the sink when its available.
	Implement the mute option with volume when the sink does not have a mute
	property.
	Only add volume element when the sink has no volume property.
	Only do visualisations with raw audio pads.

2008-03-24  Wim Taymans  <wim.taymans@collabora.co.uk>

	* ext/pango/gsttextoverlay.c: (gst_text_overlay_class_init),
	(gst_text_overlay_init), (gst_text_overlay_set_property),
	(gst_text_overlay_get_property), (gst_text_overlay_src_event),
	(gst_text_overlay_text_event), (gst_text_overlay_video_event),
	(gst_text_overlay_text_chain), (gst_text_overlay_video_chain),
	(gst_text_overlay_change_state):
	* ext/pango/gsttextoverlay.h:
	Add property to configure waiting for text on the textpad or not, with
	the default behaviour being the old one (always wait for text before
	rendering the video). This default behaviour is usually not the best one
	because the text stream can very sparse and could require queueing a lot
	of video.
	Fix the flushing and EOS handing so that we don't mix up their meaning.

2008-03-24  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gsturidecodebin.c:
	(gst_uri_decode_bin_autoplug_factories),
	(gst_uri_decode_bin_class_init), (gst_uri_decode_bin_init),
	(gst_uri_decode_bin_finalize), (gst_uri_decode_bin_set_encoding),
	(gst_uri_decode_bin_set_property),
	(gst_uri_decode_bin_get_property), (no_more_pads_full),
	(new_decoded_pad_cb), (gen_source_element), (remove_decoders),
	(proxy_autoplug_factories_signal), (make_decoder),
	(source_new_pad), (setup_source):
	Add a readonly source property and notify.
	Add new lock for protecting the construction of the pipeline.
	Keep track of the decodebins we plugged.
	Correctly proxy the autoplug signal so that it actually continues.
	Proxy subtitle-encoding to the decodebins.

2008-03-24  Wim Taymans  <wim.taymans@collabora.co.uk>

	* tests/examples/seek/seek.c: (audio_toggle_cb), (video_toggle_cb),
	(text_toggle_cb), (update_streams), (main):
	Rearrange some buttons in playbin2 and make some other boxes insensitive
	when needed.
	Add language codes to subtitle selection boxes when we gind the right
	tags for the streams.

2008-03-24  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstdecodebin2.c: (gst_decode_bin_dispose),
	(gst_decode_bin_set_caps), (gst_decode_bin_get_caps),
	(gst_decode_bin_set_subs_encoding),
	(gst_decode_bin_get_subs_encoding),
	(gst_decode_bin_autoplug_factories), (connect_pad), (are_raw_caps),
	(deactivate_free_recursive):
	Protect caps property with the object lock.
	Protect encoding property with the object lock.
	Keep list of elements we added that have the subtitle-encoding property.
	Distribute the subtitle-encoding to all of the elements when it
	changes.

2008-03-24  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/audio/gstaudiosink.c: (gst_audioringbuffer_release):
	Small debug improvement.

	* gst-libs/gst/audio/gstbaseaudiosink.c:
	(gst_base_audio_sink_render):
	Fix bug in determining the sample start/stop position, we want to base
	this decision on the fact that we are going forwards or backwards, not
	slower or faster. This fixes some ugly resync warnings when playing at
	very slow speeds.

2008-03-23  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/gio/gstgio.c: (gst_gio_get_supported_protocols):
	Correctly set the supported URI schemes and don't leave
	some schemes in the middle or at the start at NULL.

2008-03-23  Tim-Philipp Müller  <tim at centricular dot net>

	* tests/check/elements/gdpdepay.c:
	  Make test compile without unused function/variable warnings on PPC.
 
2008-03-22  Sebastian Dröge  <slomo@circular-chaos.org>

	* configure.ac:
	* ext/alsa/gstalsamixerelement.c:
	(gst_alsa_mixer_element_class_init):
	* ext/alsa/gstalsasink.c: (gst_alsasink_class_init):
	* ext/alsa/gstalsasrc.c: (gst_alsasrc_class_init):
	* ext/cdparanoia/gstcdparanoiasrc.c:
	(gst_cd_paranoia_src_class_init):
	* ext/gio/gstgiosink.c: (gst_gio_sink_class_init):
	* ext/gio/gstgiosrc.c: (gst_gio_src_class_init):
	* ext/gio/gstgiostreamsink.c: (gst_gio_stream_sink_class_init):
	* ext/gio/gstgiostreamsrc.c: (gst_gio_stream_src_class_init):
	* ext/gnomevfs/gstgnomevfssink.c: (gst_gnome_vfs_sink_class_init):
	* ext/gnomevfs/gstgnomevfssrc.c: (gst_gnome_vfs_src_class_init):
	* ext/ogg/gstoggmux.c: (gst_ogg_mux_class_init):
	* ext/pango/gsttextoverlay.c: (gst_text_overlay_class_init):
	* ext/pango/gsttextrender.c: (gst_text_render_class_init):
	* ext/theora/theoradec.c: (gst_theora_dec_class_init):
	* ext/theora/theoraenc.c: (gst_theora_enc_class_init):
	* ext/theora/theoraparse.c: (gst_theora_parse_class_init):
	* ext/vorbis/vorbisenc.c: (gst_vorbis_enc_class_init):
	* gst-libs/gst/audio/gstaudiofiltertemplate.c:
	(gst_audio_filter_template_class_init):
	* gst-libs/gst/audio/gstbaseaudiosink.c:
	(gst_base_audio_sink_class_init):
	* gst-libs/gst/audio/gstbaseaudiosrc.c:
	(gst_base_audio_src_class_init):
	* gst-libs/gst/cdda/gstcddabasesrc.c:
	(gst_cdda_base_src_class_init):
	* gst-libs/gst/interfaces/mixertrack.c:
	(gst_mixer_track_class_init):
	* gst-libs/gst/rtp/gstbasertpdepayload.c:
	(gst_base_rtp_depayload_class_init):
	* gst-libs/gst/rtp/gstbasertppayload.c:
	(gst_basertppayload_class_init):
	* gst/audioconvert/gstaudioconvert.c:
	(gst_audio_convert_class_init):
	* gst/audiorate/gstaudiorate.c: (gst_audio_rate_class_init):
	* gst/audioresample/gstaudioresample.c:
	(gst_audioresample_class_init):
	* gst/audiotestsrc/gstaudiotestsrc.c:
	(gst_audio_test_src_class_init):
	* gst/gdp/gstgdppay.c: (gst_gdp_pay_class_init):
	* gst/playback/gstdecodebin2.c: (gst_decode_bin_class_init):
	* gst/playback/gstplaybasebin.c: (gst_play_base_bin_class_init),
	(preroll_unlinked):
	* gst/playback/gstplaybin.c: (gst_play_bin_class_init):
	* gst/playback/gstplaybin2.c: (gst_play_bin_class_init):
	* gst/playback/gstplaysink.c: (gst_play_sink_class_init):
	* gst/playback/gstqueue2.c: (gst_queue_class_init):
	* gst/playback/gststreaminfo.c: (gst_stream_info_class_init):
	* gst/playback/gststreamselector.c: (gst_selector_pad_class_init),
	(gst_stream_selector_class_init):
	* gst/playback/gsturidecodebin.c: (gst_uri_decode_bin_class_init):
	* gst/subparse/gstsubparse.c: (gst_sub_parse_class_init):
	* gst/tcp/gstmultifdsink.c: (gst_multi_fd_sink_class_init):
	* gst/tcp/gsttcpclientsink.c: (gst_tcp_client_sink_class_init):
	* gst/tcp/gsttcpclientsrc.c: (gst_tcp_client_src_class_init):
	* gst/tcp/gsttcpserversink.c: (gst_tcp_server_sink_class_init):
	* gst/tcp/gsttcpserversrc.c: (gst_tcp_server_src_class_init):
	* gst/videorate/gstvideorate.c: (gst_video_rate_class_init):
	* gst/videoscale/gstvideoscale.c: (gst_video_scale_class_init):
	* gst/videotestsrc/gstvideotestsrc.c:
	(gst_video_test_src_class_init):
	* gst/volume/gstvolume.c: (gst_volume_class_init):
	* sys/v4l/gstv4lelement.c: (gst_v4lelement_class_init):
	* sys/v4l/gstv4lmjpegsink.c: (gst_v4lmjpegsink_class_init):
	* sys/v4l/gstv4lmjpegsrc.c: (gst_v4lmjpegsrc_class_init):
	* sys/v4l/gstv4lsrc.c: (gst_v4lsrc_class_init):
	* sys/ximage/ximagesink.c: (gst_ximagesink_class_init):
	* sys/xvimage/xvimagesink.c: (gst_xvimagesink_class_init):
	Use G_PARAM_STATIC_STRINGS everywhere for GParamSpecs that use
	static strings (i.e. all). This gives us less memory usage,
	fewer allocations and thus less memory defragmentation. Depend
	on core CVS for this. Fixes bug #523806.

2008-03-22  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/gio/gstgio.c: (gst_gio_get_supported_protocols):
	Filter http and https protocols. GIO/GVfs handles them but it's
	impossible to implement iradio/icecast with it. Better use
	souphttpsrc or something else for this.

	* ext/gio/gstgiobasesrc.c: (gst_gio_base_src_get_size):
	If getting the file informations by a query fails try it with the
	seek-to-end trick too.

2008-03-21  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/volume/gstvolume.c: (gst_volume_interface_supported),
	(gst_volume_base_init), (gst_volume_class_init),
	(volume_process_double), (volume_process_float),
	(volume_transform_ip), (plugin_init):
	memset buffers to zero if we get a GAP buffer. We usually see a
	buffer as one unit so let's handle it as one and don't care about
	volume changes while processing one buffer.
	Also clean up some stuff a bit.

2008-03-21  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/audioconvert/gstaudioconvert.c: (gst_audio_convert_init),
	(gst_audio_convert_create_silence_buffer),
	(gst_audio_convert_transform):
	Make audioconvert GAP-aware by outputting silence buffers when the
	input has the GAP flag set. This is up to 8x faster.
	Based on a patch by Stefan Kost. Fixes bug #517813.

2008-03-21  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/volume/gstvolume.c: (volume_process_double):
	Use oil_scalarmultiply_f64_ns() for double processing when it's
	available at compile time.

2008-03-21  Sebastian Dröge  <slomo@circular-chaos.org>

	* configure.ac:
	Fix lrint/lrintf checks to actually work. These functions are
	in libm on Linux at least so try to link to it.

2008-03-21  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:
	Back to development - 0.10.18.1

=== release 0.10.18 ===

2008-03-20  Jan Schmidt <jan.schmidt@sun.com>

	* configure.ac:
	  releasing 0.10.18, "I will follow"

2008-03-18  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:
	* win32/common/config.h:
	0.10.17.4 pre-release

2008-03-18  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/sdp/gstsdpmessage.c: (gst_sdp_message_dump):
	Use GST_STR_NULL when trying to print strings that could be NULL because
	this might crash on some platforms. See #520808.

2008-03-18  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Ole André Vadla Ravnås  <ole.andre.ravnas@tandberg.com>

	* gst-libs/gst/rtsp/gstrtspconnection.c:
	(gst_rtsp_connection_connect), (gst_rtsp_connection_write),
	(read_line), (gst_rtsp_connection_read_internal):
	Generic Windows fixes that makes libgstrtsp work on Windows when
	coupled with the new GstPoll API. See #520808.

2008-03-17  Sebastian Dröge  <slomo@circular-chaos.org>

	Patch by: Milosz Derezynski <internalerror at gmail dot com>

	* ext/gio/gstgiobasesrc.c: (gst_gio_base_src_create):
	  If seeking to a new position succeeds don't simply return from
	  create() without creating a buffer. Do this only in the case
	  seeking to the new position fails. Fixes bug #523054.

2008-03-17  Tim-Philipp Müller  <tim at centricular dot net>

	* gst-libs/gst/video/video.c: (gst_video_format_parse_caps),
	  (gst_video_format_from_rgba32_masks):
	  Fix gst_video_format_parse_caps() for RGB caps with alpha channel
	  (#522635).

	* tests/check/libs/video.c: (test_parse_caps_rgb), (video_suite):
	  Add unit test for the RGB caps parsing and creation, checking for
	  internal consistency of the new API and consistency of the API with
	  the old GST_VIDEO_CAPS_* defines.

2008-03-14  David Schleef  <ds@schleef.org>

	* gst/videotestsrc/videotestsrc.c:  Oops, revert last change
	  because -base is in freeze.

2008-03-14  David Schleef  <ds@schleef.org>

	Patch by: William M. Brack

	* gst/videotestsrc/videotestsrc.c: Fix Bayer pattern generation.

2008-03-14  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gststreamselector.c: (gst_selector_pad_event),
	(gst_selector_pad_chain):
	* gst/playback/gststreamselector.h:
	Revert change that caused regression until a real fix is found.
	Fixes #522203.

2008-03-12  Michael Smith <msmith@fluendo.com>

	* gst-libs/gst/audio/gstringbuffer.c: (gst_ring_buffer_parse_caps):
	* gst-libs/gst/audio/gstringbuffer.h:
	  Rename recently added buffer types to make more sense.
	* ext/alsa/gstalsasink.c: (alsasink_parse_spec),
	(gst_alsasink_write):
	  Adapt for above API changes.
	  Fixes bug #520523.

2008-03-11  Sebastian Dröge  <slomo@circular-chaos.org>

	* win32/common/libgstnetbuffer.def:
	Add new symbol gst_netaddress_equal. Fixes bug #521743.

2008-03-11  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:
	* win32/common/config.h:
	0.10.17.3 pre-release

2008-03-10  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/audio/gstbaseaudiosrc.c:
	(gst_base_audio_src_create):
	Fix duration when no clock was provided. Fixes #520300.

2008-03-07  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Olivier Crete  <tester at tester ca>

	* docs/libs/gst-plugins-base-libs-sections.txt:
	* gst-libs/gst/netbuffer/gstnetbuffer.c: (gst_netaddress_equal):
	* gst-libs/gst/netbuffer/gstnetbuffer.h:
	Add trivial function to compare GstNetAddress. See #520626.
	API: GstNetBuffer::gst_netaddress_equal

2008-03-07  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/tcp/gstmultifdsink.c: (gst_multi_fd_sink_class_init):
	Update mode property docs, it's deprecated now.

2008-03-07  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/rtsp/gstrtspconnection.c:
	(gst_rtsp_connection_create):
	* gst/tcp/gstmultifdsink.c: (gst_fdset_mode_get_type),
	(gst_multi_fd_sink_class_init), (gst_multi_fd_sink_start):
	* gst/tcp/gstmultifdsink.h:
	* gst/tcp/gsttcpclientsrc.c: (gst_tcp_client_src_start):
	* gst/tcp/gsttcpserversrc.c: (gst_tcp_server_src_start):
	Remove GstPollMode from gstpoll constructor.

2008-03-04  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:
	* win32/common/config.h:
	0.10.17.2 pre-release

2008-03-03  Jan Schmidt  <jan.schmidt@sun.com>

	* gst/Makefile.am:
	GST_PLUGINS_ALL correctly lists subparse and tcp now, don't distclean
	them twice

	* win32/common/libgstinterfaces.def:
	* win32/common/libgstrtp.def:
	Add new API to the defs

2008-03-03  Peter Kjellerstedt  <pkj@axis.com>

	Patch by: Mersad Jelacic  <mersad at axis dot com>

	* gst-libs/gst/rtp/gstbasertpaudiopayload.c:
	* gst-libs/gst/rtp/gstbasertpaudiopayload.h:
	API: add gst_base_rtp_audio_payload_set_samplebits_options() to make it
	possible to specify the sample size in bits. (#509637)

2008-03-03  Tim-Philipp Müller  <tim at centricular dot net>

	* tests/check/libs/mixer.c:
	  Add a few simple checks for the new message types.

2008-03-03  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/libs/gst-plugins-base-libs-sections.txt:
	* gst-libs/gst/interfaces/mixer.c: (gst_mixer_option_changed),
	  (gst_mixer_options_list_changed), (gst_mixer_mixer_changed),
	  (gst_mixer_message_get_type),
	  (gst_mixer_message_parse_option_changed),
	  (gst_mixer_message_parse_options_list_changed):
	* gst-libs/gst/interfaces/mixer.h: (GstMixerType),
	  (GST_MIXER_MESSAGE_OPTION_CHANGED),
	  (GST_MIXER_MESSAGE_OPTIONS_LIST_CHANGED),
	  (GST_MIXER_MESSAGE_MIXER_CHANGED):
	  API: add gst_mixer_options_list_changed(), gst_mixer_mixer_changed()
	  and gst_mixer_message_parse_options_list_changed(). Fixes #519916.

2008-03-03  Tim-Philipp Müller  <tim at centricular dot net>

	* gst-libs/gst/interfaces/mixeroptions.c: (gst_mixer_options_init),
	  (gst_mixer_options_get_values):
	* gst-libs/gst/interfaces/mixeroptions.h:
	  (GST_MIXER_OPTIONS_GET_CLASS), (GstMixerOptionsClass),
	  (_GstMixerOptions), (_GstMixerOptionsClass):
	  API: add GstMixerOptions::get_values vfunc (#519906)

2008-03-03  Peter Kjellerstedt  <pkj@axis.com>

	* configure.ac:
	Use AG_GST_CHECK_PLUGIN and AG_GST_DISABLE_PLUGIN to simplify which
	plug-ins are included/excluded. (#498222)

2008-03-03  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/typefind/gsttypefindfunctions.c: (plugin_init):
	Add typefinder for IMelody files, using audio/x-imelody.
	See bug #519516.

2008-03-03  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/alsa/gstalsamixertrack.c: (gst_alsa_mixer_track_get_type):
	* ext/alsa/gstalsasink.c: (set_hwparams):
	* ext/alsa/gstalsasrc.c: (set_hwparams):
	* ext/gio/gstgio.c: (gst_gio_uri_handler_get_uri):
	* ext/ogg/gstoggmux.h:
	* ext/ogg/gstogmparse.c:
	* gst-libs/gst/audio/audio.c:
	* gst-libs/gst/fft/kiss_fft_f64.c: (kiss_fft_f64_alloc):
	* gst-libs/gst/pbutils/missing-plugins.c:
	(gst_missing_uri_sink_message_new),
	(gst_missing_element_message_new),
	(gst_missing_decoder_message_new),
	(gst_missing_encoder_message_new):
	* gst-libs/gst/rtp/gstbasertppayload.c:
	* gst-libs/gst/rtp/gstrtcpbuffer.c:
	(gst_rtcp_packet_bye_get_reason):
	* gst/audioconvert/gstaudioconvert.c:
	* gst/audioresample/gstaudioresample.c:
	* gst/ffmpegcolorspace/imgconvert.c:
	* gst/playback/test.c: (gen_video_element), (gen_audio_element):
	* gst/typefind/gsttypefindfunctions.c:
	* gst/videoscale/vs_4tap.c:
	* gst/videoscale/vs_4tap.h:
	* sys/v4l/gstv4lelement.c:
	* sys/v4l/gstv4lsrc.c: (gst_v4lsrc_get_any_caps):
	* sys/v4l/v4l_calls.c:
	* sys/v4l/v4lsrc_calls.c: (gst_v4lsrc_capture_init),
	(gst_v4lsrc_try_capture):
	* sys/ximage/ximagesink.c: (gst_ximagesink_check_xshm_calls),
	(gst_ximagesink_ximage_new):
	* sys/xvimage/xvimagesink.c: (gst_xvimagesink_check_xshm_calls),
	(gst_xvimagesink_xvimage_new):
	* tests/check/elements/audioconvert.c:
	* tests/check/elements/audioresample.c:
	(fail_unless_perfect_stream):
	* tests/check/elements/audiotestsrc.c: (setup_audiotestsrc):
	* tests/check/elements/decodebin.c:
	* tests/check/elements/gdpdepay.c: (setup_gdpdepay),
	(setup_gdpdepay_streamheader):
	* tests/check/elements/gdppay.c: (setup_gdppay), (GST_START_TEST),
	(setup_gdppay_streamheader):
	* tests/check/elements/gnomevfssink.c: (setup_gnomevfssink):
	* tests/check/elements/multifdsink.c: (setup_multifdsink):
	* tests/check/elements/textoverlay.c:
	* tests/check/elements/videorate.c: (setup_videorate):
	* tests/check/elements/videotestsrc.c: (setup_videotestsrc):
	* tests/check/elements/volume.c: (setup_volume):
	* tests/check/elements/vorbisdec.c: (setup_vorbisdec):
	* tests/check/elements/vorbistag.c:
	* tests/check/generic/clock-selection.c:
	* tests/check/generic/states.c: (setup), (teardown):
	* tests/check/libs/cddabasesrc.c:
	* tests/check/libs/video.c:
	* tests/check/pipelines/gio.c:
	* tests/check/pipelines/oggmux.c:
	* tests/check/pipelines/simple-launch-lines.c:
	(simple_launch_lines_suite):
	* tests/check/pipelines/streamheader.c:
	* tests/check/pipelines/theoraenc.c:
	* tests/check/pipelines/vorbisdec.c:
	* tests/check/pipelines/vorbisenc.c:
	* tests/examples/seek/scrubby.c:
	* tests/examples/seek/seek.c: (query_positions_elems),
	(query_positions_pads):
	* tests/icles/stress-xoverlay.c: (myclock):
	Correct all relevant warnings found by the sparse semantic code
	analyzer. This include marking several symbols static, using
	NULL instead of 0 for pointers and using "foo (void)" instead
	of "foo ()" for declarations.

	* win32/common/libgstrtp.def:
	Add gst_rtp_buffer_set_extension_data to the symbol definition file.

2008-03-02  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: José Alburquerque <jaalburqu svn gnome org>

	* gst/playback/gstplaybin2.c:
	  Make the function signature of the _get_*_tags() functions match
	  the signature of the vfuncs they implement, ie. return a
	  GstTagList rather than a GstStructure, which is more correct,
	  even if one is typedef'ed to the other (#518940).

2008-03-02  Tim-Philipp Müller  <tim at centricular dot net>

	* gst-libs/gst/rtsp/gstrtspconnection.c:
	  Don't include unix headers unconditionally (fixes #518037).

2008-03-02  Tim-Philipp Müller  <tim at centricular dot net>

	* tests/check/libs/video.c: (paintinfo), (paintinfo_struct),
	  (fourcc_list_struct), (fourcc_list), (fourcc_get_size),
	  (paint_setup_I420), (paint_setup_YV12), (paint_setup_AYUV),
	  (paint_setup_YUY2), (paint_setup_UYVY), (paint_setup_YVYU),
	  (paint_setup_IYU2), (paint_setup_Y41B), (paint_setup_Y42B),
	  (paint_setup_Y800), (paint_setup_YVU9), (paint_setup_YUV9),
	  (gst_video_format_is_packed), (video_format_is_packed):
	  Add unit test that makes sure that the strides, offsets and
	  sizes returned for the various YUV formats by the new video API
	  match the old reference implementation in videotestsrc.

2008-03-02  Tim-Philipp Müller  <tim at centricular dot net>

	* gst-libs/gst/video/video.c: (gst_video_calculate_display_ratio),
	  (gst_video_format_from_fourcc), (gst_video_format_to_fourcc),
	  (gst_video_format_is_rgb), (gst_video_format_is_yuv),
	  (gst_video_format_has_alpha), (gst_video_format_get_row_stride),
	  (gst_video_format_get_pixel_stride),
	  (gst_video_format_get_component_width),
	  (gst_video_format_get_component_height),
	  (gst_video_format_get_component_offset), (gst_video_format_get_size):
	* gst-libs/gst/video/video.h: (GST_VIDEO_FORMAT_Y41B),
	  (GST_VIDEO_FORMAT_Y42B):
	  API: add GST_VIDEO_FORMAT_Y41B and GST_VIDEO_FORMAT_Y42B.

2008-03-02  Tim-Philipp Müller  <tim at centricular dot net>

	* gst-libs/gst/video/video.c: (gst_video_format_get_component_offset):
	  YV12 is I420 with swapped components 1 and 2, so the offset of
	  component 1 for I420 should be the offset for component 2 for YV12
	  and vice versa.

2008-02-29  Rene Stadler  <mail@renestadler.de>

	* sys/v4l/gstv4lelement.c:
	Add missing semicolon to fix indentation.

2008-02-29  Julien Moutte  <julien@fluendo.com>

        * ext/alsa/gstalsa.c: (gst_alsa_open_iec958_pcm),
        (gst_alsa_probe_supported_formats): Probe for IEC958 pcm to detect
        if we can do SPDIF output.
        * ext/alsa/gstalsa.h:
        * ext/alsa/gstalsasink.c: (set_hwparams), (alsasink_parse_spec),
        (gst_alsasink_prepare), (gst_alsasink_close), (gst_alsasink_write):
        * ext/alsa/gstalsasink.h: Initial support for SPDIF.
        * gst-libs/gst/audio/gstringbuffer.c: (gst_ring_buffer_parse_caps):
        * gst-libs/gst/audio/gstringbuffer.h: Add non linear buffer types
        to support AC3, EC3 and IEC958 buffers.

2008-02-29  Tim-Philipp Müller  <tim at centricular dot net>

	* gst-libs/gst/interfaces/mixer.c: (GST_MIXER_MESSAGE_HAS_TYPE),
	  (gst_mixer_message_parse_mute_toggled),
	  (gst_mixer_message_parse_record_toggled),
	  (gst_mixer_message_parse_volume_changed),
	  (gst_mixer_message_parse_option_changed):
	  De-cruft and fix message type assertions (NULL is not a really
	  valid mixer message type string).

2008-02-29  Wim Taymans  <wim.taymans@collabora.co.uk>

	* ext/libvisual/visual.c: (gst_vis_src_negotiate):
	When negotiating, actually start from a format that we can support
	instead of from the too generic template.

2008-02-29  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstplaybin2.c: (gst_play_bin_set_property):
	Enable vis setting.

	* gst/playback/gstplaysink.c: (gst_play_sink_init),
	(gst_play_sink_dispose), (gst_play_sink_vis_unblocked),
	(gst_play_sink_vis_blocked), (gst_play_sink_set_vis_plugin),
	(gen_vis_chain):
	Implement vis switching while playing.

2008-02-28  David Schleef  <ds@schleef.org>

	* gst-libs/gst/riff/riff-media.c: Add Dirac mapping

2008-02-28  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Peter Kjellerstedt  <pkj at axis com>

	* gst/tcp/Makefile.am:
	* gst/tcp/fdsetstress.c:
	* gst/tcp/gstfdset.c:
	* gst/tcp/gstfdset.h:
	Removed fdset and stress test, they are now known as GstPoll in
	core. 

	* gst/tcp/gstmultifdsink.c: (gst_multi_fd_sink_class_init),
	(gst_multi_fd_sink_add_full), (gst_multi_fd_sink_remove),
	(gst_multi_fd_sink_clear), (gst_multi_fd_sink_remove_client_link),
	(gst_multi_fd_sink_handle_client_write),
	(gst_multi_fd_sink_queue_buffer),
	(gst_multi_fd_sink_handle_clients), (gst_multi_fd_sink_start),
	(gst_multi_fd_sink_stop):
	* gst/tcp/gstmultifdsink.h:
	* gst/tcp/gsttcp.c: (gst_tcp_socket_read), (gst_tcp_socket_close),
	(gst_tcp_read_buffer), (gst_tcp_gdp_read_buffer),
	(gst_tcp_gdp_read_caps):
	* gst/tcp/gsttcp.h:
	* gst/tcp/gsttcpclientsink.c: (gst_tcp_client_sink_init),
	(gst_tcp_client_sink_setcaps), (gst_tcp_client_sink_render),
	(gst_tcp_client_sink_start), (gst_tcp_client_sink_stop):
	* gst/tcp/gsttcpclientsink.h:
	* gst/tcp/gsttcpclientsrc.c: (gst_tcp_client_src_init),
	(gst_tcp_client_src_create), (gst_tcp_client_src_start),
	(gst_tcp_client_src_stop), (gst_tcp_client_src_unlock):
	* gst/tcp/gsttcpclientsrc.h:
	* gst/tcp/gsttcpserversink.c: (gst_tcp_server_sink_handle_wait),
	(gst_tcp_server_sink_init_send), (gst_tcp_server_sink_close):
	* gst/tcp/gsttcpserversink.h:
	* gst/tcp/gsttcpserversrc.c: (gst_tcp_server_src_init),
	(gst_tcp_server_src_create), (gst_tcp_server_src_start),
	(gst_tcp_server_src_stop), (gst_tcp_server_src_unlock):
	* gst/tcp/gsttcpserversrc.h:
	Port to GstPoll. See #505417.

2008-02-28  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Peter Kjellerstedt  <pkj at axis com>

	* gst-libs/gst/rtsp/gstrtspconnection.c:
	(gst_rtsp_connection_create), (gst_rtsp_connection_connect),
	(gst_rtsp_connection_write), (gst_rtsp_connection_read_internal),
	(gst_rtsp_connection_receive), (gst_rtsp_connection_close),
	(gst_rtsp_connection_free), (gst_rtsp_connection_poll),
	(gst_rtsp_connection_flush):
	* gst-libs/gst/rtsp/gstrtspconnection.h:
	Use GstPoll for the rtsp connection. See #505417.

2008-02-27  Wim Taymans  <wim.taymans@collabora.co.uk>

	* tests/examples/seek/seek.c: (vis_toggle_cb), (filter_features),
	(init_visualization_features), (vis_combo_cb), (shot_cb), (main):
	Add combo box for visualisations, populate it with a factory list
	of all visualisation plugins, configure vis plugin instance in
	playbin2. 

2008-02-27  Wim Taymans  <wim.taymans@collabora.co.uk>

	* tests/check/libs/rtp.c: (GST_START_TEST):
	Add check for RTP buffer defaults, padding and marker bit API.

2008-02-27  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst-libs/gst/cdda/sha1.c: (sha_transform):
	Use memcpy() instead of upcasting a byte array to long *. This
	fixes an unaligned memory access, resulting in SIGBUS on IA64.
	This should be ported to GCheckSum once we can use GLib 2.16.
	Partially fixes bug #500833.

2008-02-27  Tim-Philipp Müller  <tim at centricular dot net>

	* gst-libs/gst/tag/gsttagdemux.c: (gst_tag_demux_chain):
	  Push tag event after the newsegment event. Log the pointer of
	  the buffer we're actually going to push rather than the buffer
	  we're feeding to _make_metadata_writable().

2008-02-25  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/typefind/gsttypefindfunctions.c: (plugin_init):
	Comment smoke typefinder for now. The smokedec plugin needs one
	frame per buffer but we have no parser yet, thus it simply crashes
	in most situations.

2008-02-25  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/typefind/gsttypefindfunctions.c: (plugin_init):
	Add typefinder for the smoke video codec. Copied from the jpeg plugin.

2008-02-25  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/typefind/gsttypefindfunctions.c: (mid_type_find),
	(plugin_init):
	Add midi typefinder, copied from the timidity plugin.

2008-02-23  Tim-Philipp Müller  <tim at centricular dot net>

	Based on patch by: Tomasz Sałaciński <tsalacinski gmail com>

	* gst/subparse/gstsubparse.c: (parse_mdvdsub):
	* tests/check/elements/subparse.c: (test_microdvd_with_italics),
	  (subparse_suite):
	  Forward slashes at the beginning and end of a line also signify
	  italics (Fixes: #518162).

2008-02-22  Sebastian Dröge  <slomo@circular-chaos.org>

	* tests/check/gst-plugins-base.supp:
	Add a suppression for a cached value in GIO that wasn't moved
	while moving gio from -bad to -base.

2008-02-22  Sebastian Dröge  <slomo@circular-chaos.org>

	Patch by: Brian Cameron <brian dot cameron at sun dot com>

	* configure.ac:
	Don't hardcode -Wall and -Werror for configure checks, this fails
	with non-GCC compilers. Fixes bug #517991.

2008-02-21  Stefan Kost  <ensonic@users.sf.net>

	* gst/audioconvert/gstaudioconvert.c:
	* gst/audioconvert/gstaudioquantize.c:
	* gst/audioconvert/gstaudioquantize.h:
	  Make audioconvert gap aware. If noiseshaping is used, wait for
	  noiseshaping to converge before marking as GAP. Fixes #517813.

2008-02-21  Stefan Kost  <ensonic@users.sf.net>

	* gst/audiotestsrc/gstaudiotestsrc.c:
	  Mark buffers as GAP,if volume is 0.0 and fix the previous logic.

2008-02-20  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/gnomevfs/gstgnomevfssink.c:
	(gst_gnome_vfs_sink_handle_event):
	Return FALSE when seeking for a new segment fails instead
	of silently ignoring the failure and appending every buffer
	that comes for the new segment.

2008-02-20  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstplaysink.c: (find_property),
	(gst_play_sink_find_property), (gen_video_chain),
	(gst_play_sink_reconfigure), (gst_play_sink_get_last_frame):
	Recursively search the sink element for a last-frame property so that we
	can also find the property in autovideosink and friends that don't
	always proxy the internal sink properties.

2008-02-19  Tim-Philipp Müller  <tim at centricular dot net>

	* gst-libs/gst/audio/multichannel.c:
	  (GST_AUDIO_CHANNEL_POSITIONS_FIELD_NAME),
	  (gst_audio_get_channel_positions), (gst_audio_set_channel_positions),
	  (gst_audio_set_structure_channel_positions_list),
	  (add_list_to_struct), (gst_audio_set_caps_channel_positions_list),
	  (gst_audio_fixate_channel_positions):
	  Fix confusing terminology in docs and code: structure fields are
	  'fields' and not 'properties'.

2008-02-19  Tim-Philipp Müller  <tim at centricular dot net>

	* gst-libs/gst/audio/multichannel.c:
	  (gst_audio_check_channel_positions), (add_list_to_struct):
	  Give more useful warning messages if one of the channel
	  layout enums passed to us is invalid and if the "channels"
	  field in the caps has a GType we don't expect.

2008-02-19  Tim-Philipp Müller  <tim at centricular dot net>

	* gst-libs/gst/audio/multichannel.c:
	  Fix typo in docs blurb.

2008-02-19  Julien Moutte  <julien@fluendo.com>

	Patch by: Josep Torra Valles <josep@fluendo.com>

	* gst/typefind/gsttypefindfunctions.c: Increase the MPEG PS
	typefind lookup to fix typefinding on HD clips.

2008-02-19  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/playback/gstscreenshot.c:
	* gst/playback/gstscreenshot.h:
	  Fix up copyright (I rewrote the GStreamer-0.10 code for
	  this from scratch back in the days).

2008-02-19  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/Makefile.am:
	* gst/playback/gstscreenshot.c: (feed_fakesrc), (save_result),
	(create_element), (gst_play_frame_conv_convert):
	* gst/playback/gstscreenshot.h:
	Add screenshot conversion code from totem.

	* gst/playback/gstplay-marshal.list:
	* gst/playback/gstplaybin2.c: (gst_play_marshal_BUFFER__BOXED),
	(gst_play_bin_class_init), (gst_play_bin_convert_frame),
	(gst_play_bin_get_property), (no_more_pads_cb), (activate_group):
	Implement frame property to get a color-unconverted snapshot.
	Implement convert-frame action signal to get a converted snapshot image.
	Configure connection speed in uridecodebin.
	Document some more properties.

	* gst/playback/gstplaysink.c: (gst_play_sink_class_init),
	(gen_video_chain), (gen_audio_chain), (gst_play_sink_reconfigure),
	(gst_play_sink_get_last_frame):
	* gst/playback/gstplaysink.h:
	Use last-buffer property of the video sink to get a video snapshot.

	* tests/examples/seek/seek.c: (shot_cb), (main):
	Add snapshot button for playbin2 and use the frame property to save the
	frame as a png in the current directory.

2008-02-19  Sebastian Dröge  <slomo@circular-chaos.org>

	Patch by: Josep Torra Valles <josep at fluendo dot com>

	* gst/typefind/gsttypefindfunctions.c: (h264_video_type_find),
	(plugin_init):
	Add typefinding support for h264 elementary streams.
	Fixes bug #517420.

2008-02-18  Stefan Kost  <ensonic@users.sf.net>

	* configure.ac:
	  Require CVS of core for new API in collectpads.

	* gst/adder/gstadder.c:
	  Use new API to make adder sparse stream aware.

2008-02-18  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstplaybin2.c: (pad_added_cb), (pad_removed_cb),
	(no_more_pads_cb):
	Get the object data correct so that we can remove our channels
	correctly.

	* gst/playback/gstplaysink.c: (gen_video_chain), (gen_audio_chain),
	(gen_vis_chain), (gst_play_sink_reconfigure),
	(gst_play_sink_request_pad):
	Add option to disable async behaviour in the sinks when possible. This
	makes it possible to avoid an audio queue when dealing with
	visualisations.
	Add option to add a queue for the audio path.

	* tests/examples/seek/seek.c: (clear_streams), (update_streams),
	(main):
	Disable the vis checkbox to match the defaults of playbin2.
	Only get the stream info when we need to.

2008-02-17  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/gio/gstgiobasesink.c: (gst_gio_base_sink_stop),
	(gst_gio_base_sink_set_stream):
	* ext/gio/gstgiobasesrc.c: (gst_gio_base_src_stop),
	(gst_gio_base_src_set_stream):
	* ext/gio/gstgiosink.c: (gst_gio_sink_start):
	* ext/gio/gstgiosrc.c: (gst_gio_src_start):
	Don't use async operations as they require a running main loop.
	This makes us block again when closing streams and unable
	to mount the enclosing volume of an URI if it isn't yet.

2008-02-15  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstplaysink.c: (gst_play_sink_set_mute),
	(gst_play_sink_get_mute), (gen_video_chain), (gen_audio_chain),
	(gen_vis_chain), (gst_play_sink_reconfigure),
	(gst_play_sink_request_pad):
	Move tee in front of the audio and vis pipelines.
	Add queue for audio for now.
	Add visualisation support.

	* tests/examples/seek/seek.c: (main):
	Visualisation is by default disabled.

2008-02-15  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/gio/gstgiobasesink.c: (close_stream_cb):
	* ext/gio/gstgiobasesrc.c: (close_stream_cb):
	Improve debugging a bit.

	* ext/gio/gstgiosink.c: (mount_cb), (gst_gio_sink_start):
	* ext/gio/gstgiosink.h:
	* ext/gio/gstgiosrc.c: (mount_cb), (gst_gio_src_start):
	* ext/gio/gstgiosrc.h:
	Try to mount the enclosing volume of a GFile if it isn't mounted
	yet. This requires us to wait for an async operation to finish, done
	with an nested GMainLoop. Authentication is not supported yet, will
	come later.

2008-02-14  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstplaybin2.c: (gst_play_bin_class_init),
	(gst_play_bin_set_property), (gst_play_bin_get_property),
	(pad_added_cb), (pad_removed_cb), (no_more_pads_cb):
	* gst/playback/gstplaysink.c: (gst_play_sink_set_mute),
	(gst_play_sink_get_mute), (gen_audio_chain):
	* gst/playback/gstplaysink.h:
	Add mute property.

	* gst/playback/gststreamselector.c: (gst_selector_pad_event),
	(gst_selector_pad_chain):
	* gst/playback/gststreamselector.h:
	Make sure we forward the event only once.

	* tests/examples/seek/seek.c: (stop_cb), (mute_toggle_cb), (main):
	Add and implement the mute button for playbin2.

2008-02-13  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Tommi Myöhänen <ext-tommi dot myohanen at nokia dot com>

	* ext/alsa/gstalsasink.c: (set_hwparams), (gst_alsasink_delay):
	Add some more debug info.
	Make sure we never return a negative delay. Fixes #516246.

2008-02-12  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/alsa/gstalsasink.c: (gst_alsasink_delay):
	  Revert patch that makes the sink hold the object lock when
	  calling snd_pcm_delay(), since it breaks playback for me.

2008-02-12  Julien Moutte  <julien@fluendo.com>

	* tests/examples/seek/seek.c: (rate_spinbutton_changed_cb): Add
	some seek flags when changing rate.

2008-02-12  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/rtp/gstbasertpaudiopayload.c:
	(gst_base_rtp_audio_payload_handle_frame_based_buffer),
	(gst_base_rtp_audio_payload_handle_sample_based_buffer):
	Fix potential leaks.

	* gst-libs/gst/rtp/gstbasertppayload.c: (gst_basertppayload_chain):
	Fix leak when there is no function configured.

2008-02-12  Sebastian Dröge  <slomo@circular-chaos.org>

	* sys/v4l/v4lsrc_calls.c: (gst_v4lsrc_buffer_class_init),
	(gst_v4lsrc_buffer_finalize):
	Correctly chain up the finalize method.

2008-02-12  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/gio/gstgiostreamsink.c:
	* ext/gio/gstgiostreamsrc.c:
	Add documentation and example code for giostreamsink/giostreamsrc.

	* tests/check/pipelines/gio.c: (GST_START_TEST):
	Ask the GMemoryOutputStream for the data instead of assuming that
	the pointer to the data stayed the same. It could've been realloc'ed.

2008-02-12  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/gio/gstgiosink.c:
	* ext/gio/gstgiosrc.c:
	Make the documentation of giosink/giosrc complete, large parts
	are based on the gnomevfssink/gnomevfssrc docs.

2008-02-12  Sebastian Dröge  <slomo@circular-chaos.org>

	* docs/plugins/gst-plugins-base-plugins-docs.sgml:
	* docs/plugins/gst-plugins-base-plugins-sections.txt:
	* docs/plugins/gst-plugins-base-plugins.args:
	* docs/plugins/gst-plugins-base-plugins.hierarchy:
	* docs/plugins/gst-plugins-base-plugins.interfaces:
	* docs/plugins/gst-plugins-base-plugins.prerequisites:
	* docs/plugins/gst-plugins-base-plugins.signals:
	* docs/plugins/inspect/plugin-adder.xml:
	* docs/plugins/inspect/plugin-audioconvert.xml:
	* docs/plugins/inspect/plugin-audiorate.xml:
	* docs/plugins/inspect/plugin-audioresample.xml:
	* docs/plugins/inspect/plugin-decodebin.xml:
	* docs/plugins/inspect/plugin-ffmpegcolorspace.xml:
	* docs/plugins/inspect/plugin-gdp.xml:
	* docs/plugins/inspect/plugin-gio.xml:
	* docs/plugins/inspect/plugin-gnomevfs.xml:
	* docs/plugins/inspect/plugin-libvisual.xml:
	* docs/plugins/inspect/plugin-ogg.xml:
	* docs/plugins/inspect/plugin-pango.xml:
	* docs/plugins/inspect/plugin-playback.xml:
	* docs/plugins/inspect/plugin-queue2.xml:
	* docs/plugins/inspect/plugin-subparse.xml:
	* docs/plugins/inspect/plugin-theora.xml:
	* docs/plugins/inspect/plugin-uridecodebin.xml:
	* docs/plugins/inspect/plugin-videorate.xml:
	* docs/plugins/inspect/plugin-videoscale.xml:
	* docs/plugins/inspect/plugin-volume.xml:
	* docs/plugins/inspect/plugin-vorbis.xml:
	Add the GIO documentation again and while at that run make update.

2008-02-11  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/alsa/gstalsa.h: (GST_CHECK_ALSA_VERSION):
	* ext/alsa/gstalsasink.c: (set_swparams):
	* ext/alsa/gstalsasrc.c: (set_swparams), (gst_alsasrc_open):
	  Don't use snd_pcm_sw_params_set_xfer_align() if we're compiling
	  against libasound >= 1.0.16, since it's been deprecated in
	  0.10.16, and alignment is always 1 then, apparently. (#512899)

2008-02-11  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/playback/gstplaybin.c: (gen_audio_element):
	* gst/playback/gstplaysink.c: (gen_audio_chain):
	  Handle case where we can't create the volume element a bit
	  better (#514307).

2008-02-11  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/gnomevfs/gstgnomevfssrc.c: (gst_gnome_vfs_src_check_get_range):
	* ext/gnomevfs/gstgnomevfsuri.c: (gst_gnomevfs_get_supported_uris):
	  Add support for https protocol. Fixes #510229.

2008-02-11  Julien Moutte  <julien@fluendo.com>
	
	Patch by: Alan Peevers <peeves@pacbell.net>

	* ext/alsa/gstalsasink.c: (gst_alsasink_delay): Take appropriate
	lock when calling alsa methods.

2008-02-11  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/typefind/gsttypefindfunctions.c:
	  Bump rank of jpeg and png typefinders, which will return maximum
	  probability in the most common cases (thus short-circuiting more
	  expensive typefinders like the mp3 one for these two quite common
	  image types).

2008-02-11  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/theora/theoraparse.c:
	Fix long description of the theora parser to be more verbose than just
	the type name.

2008-02-11  Sebastian Dröge  <slomo@circular-chaos.org>

	Patch by: Branko Čibej <brane at xbc dot nu>

	* sys/xvimage/xvimagesink.c:
	Fix build of xvimagesink if we don't have XShm, e.g. on Mac OS X.
	Fixes bug #515654.

2008-02-09  Zaheer Abbas Merali  <zaheerabbas at merali dot org>

	* gst/playback/gstplaybasebin.c:
	Set is_dynamic as True if there are elements with both request
	and sometimes src pad templates instead of breaking out when it
	finds the first pad template that is a src.

2008-02-08  Wim Taymans  <wim.taymans@collabora.co.uk>

	* tests/examples/seek/seek.c: (stop_cb), (clear_streams),
	(update_streams), (video_combo_cb), (audio_combo_cb),
	(text_combo_cb), (volume_spinbutton_changed_cb), (main):
	Add some stream switching and volume gui for playbin2.

2008-02-08  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstplay-marshal.list:
	Added marshal for streamselector Tags.

	* gst/playback/gstplaybasebin.c: (set_active_source):
	Streamselector now selects pads based on the pad object instead of its
	name.

	* gst/playback/gstplaybin2.c: (gst_play_bin_class_init),
	(init_group), (gst_play_bin_init), (get_group), (get_tags),
	(gst_play_bin_get_video_tags), (gst_play_bin_get_audio_tags),
	(gst_play_bin_get_text_tags),
	(gst_play_bin_set_current_video_stream),
	(gst_play_bin_set_current_audio_stream),
	(gst_play_bin_set_current_text_stream),
	(gst_play_bin_set_property), (gst_play_bin_get_property),
	(pad_added_cb), (pad_removed_cb), (autoplug_select_cb):
	Remove option to mute streams with the current-a/v/t property, we have
	this functionality in the flags.
	Add signals to notify when the number of A/V/T channels changed.
	Add action signals to get tags for the A/V/T streams.
	Implement setting the current A/V/T stream.
	Rearrange some things to simplify stream selection.
	Implement volume.

	* gst/playback/gstplaysink.c: (gst_play_sink_set_volume),
	(gst_play_sink_get_volume), (gst_play_sink_set_property),
	(gst_play_sink_get_property), (gen_video_chain), (gen_audio_chain),
	(activate_vis), (gst_play_sink_reconfigure):
	* gst/playback/gstplaysink.h:
	Add and implement volume setting methods.

	* gst/playback/gststreamselector.c: (gst_selector_pad_class_init),
	(gst_selector_pad_finalize), (gst_selector_pad_get_property),
	(gst_selector_pad_event), (gst_stream_selector_class_init),
	(gst_stream_selector_init), (gst_stream_selector_finalize),
	(gst_stream_selector_set_property),
	(gst_stream_selector_get_property),
	(gst_stream_selector_get_linked_pad),
	(gst_stream_selector_request_new_pad):
	* gst/playback/gststreamselector.h:
	Add pad properties for tags and status of pads.
	Keep tags on pads.
	Make active pad selection based on pad object instead of name.

2008-02-08  Stefan Kost  <ensonic@users.sf.net>

	* configure.ac:
	  Revert last change as we now check in gtk-doc.m4 for sed.

2008-02-08  Jan Schmidt  <Jan.Schmidt@sun.com>

	* configure.ac:
	Find and subst SED when building the docs.

2008-02-08  Julien Moutte  <julien@fluendo.com>

	* tests/examples/seek/seek.c: (stop_cb), (connect_bus_signals),
	(main): Make sure bus signals are reconnected when pressing STOP
	and then PLAY again for a parse launch pipeline. Fix a ref leak
	on the bus.
	* win32/common/config.h: Updated.

2008-02-08  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:
	Make DISABLE_DEPRECATED defined *only* during CVS, not during
	pre-releases or releases.

2008-02-08  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:
	* ext/gio/Makefile.am:
	Subst GIO_LDFLAGS to avoid undefined Makefile var error Zaheer is
	reporting

2008-02-07  Jan Schmidt  <jan.schmidt@sun.com>

	* docs/plugins/Makefile.am:
	Add the headers which need scanning for the GIO plugin. The rest of
	the docs still need migrating.

2008-02-07  Jan Schmidt  <jan.schmidt@sun.com>

	* ext/Makefile.am:
	* tests/check/Makefile.am:
	* tests/check/pipelines/.cvsignore:
	Add gio in a few more places.

2008-02-07  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:
	* ext/Makefile.am:
	* tests/check/Makefile.am:
	Move gio plugin from -bad and mark as experimental.

2008-02-07  Jan Schmidt  <jan.schmidt@sun.com>

	* gst-libs/gst/interfaces/mixeroptions.c:
	* gst-libs/gst/interfaces/mixertrack.c:
	Comment out a couple of other things which break the build when
	GST_DISABLE_DEPRECATED isn't on but -Werror is.

2008-02-07  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/libs/gst-plugins-base-libs-sections.txt:
	  Fix pbutils header.

2008-02-07  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/rtsp/gstrtspmessage.c: (gst_rtsp_message_unset):
	Fix compiler warning.

2008-02-07  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Peter Kjellerstedt  <pkj at axis com>

	* gst-libs/gst/sdp/gstsdpmessage.c: (is_multicast_address):
	Clear the addrinfo struct using memset. Fixes #514937.

2008-02-06  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/tcp/gstfdset.h:
	Remove unused field to same some memory.

	* gst/tcp/gstmultifdsink.c: (gst_multi_fd_sink_class_init):
	Mark action signals as such.

2008-02-06  Michael Smith <msmith@fluendo.com>

	* ext/theora/theoradec.c: (_theora_granule_frame),
	(_inc_granulepos):
	  Increment granulepos for new-bitstream versions appropriately.
	  Fixes #514623.

2008-02-04  Wim Taymans  <wim.taymans@collabora.co.uk>

	* tests/examples/seek/seek.c: (do_seek),
	(rate_spinbutton_changed_cb), (update_streams), (main):
	Remove obsolete stream_time reset after flushing seek, core does that
	automatically now.
	Improve accuracy of speed spinbutton.
	Only do playbin2 stuff when we actually use it.

2008-02-02  Tim-Philipp Müller  <tim at centricular dot net>

	* tests/check/Makefile.am:
	  Revert previous change of the test environment's GST_PLUGIN_PATH.
	  The problem is not with the plugins, but with element factories
	  and only occurs if elements are split out from existing plugins
	  or if plugins change name (see #512740).

2008-02-02  Tim-Philipp Müller  <tim at centricular dot net>

	* tests/check/Makefile.am:
	  Fix the tests environment's GST_PLUGIN_PATH: we want the directory
	  with the core's plugins first and our local build directories last,
	  since we might be building against an installed core, and that
	  core's plugin directory may contain older or other versions of
	  our own -base plugins, but we really do want to test our local
	  ones (if there are multiple plugins or element factories with the
	  same name, those inspected last will trump those read in earlier).
	  Fixes #512740 for the most part.

2008-02-02  Sebastian Dröge  <slomo@circular-chaos.org>

	* configure.ac:
	* gst-libs/gst/rtsp/gstrtspconnection.c: (add_date_header):
	Use gmtime_r if available as gmtime is not MT-safe.
	Fixes bug #511810.

2008-02-02  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst-libs/gst/rtsp/gstrtspconnection.c: (add_date_header):
	Cast glong to time_t as time_t might have a different type on
	other platforms, like FreeBSD, and we get a compiler warning
	otherwise. Fixes bug #511825.

2008-02-01  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstplaybin2.c: (gst_play_bin_class_init),
	(get_group), (get_n_pads), (gst_play_bin_get_property),
	(pad_added_cb), (no_more_pads_cb), (perform_eos),
	(autoplug_select_cb), (deactivate_group):
	Remove stream-info, we going for something easier.
	Refactor getting the current group.
	Implement getting the number of audio/video/text streams.

	* gst/playback/gststreamselector.c:
	(gst_stream_selector_class_init), (gst_stream_selector_init),
	(gst_stream_selector_get_property),
	(gst_stream_selector_request_new_pad),
	(gst_stream_selector_release_pad):
	* gst/playback/gststreamselector.h:
	Add property for number of pads.

	* tests/examples/seek/seek.c: (set_scale), (update_flag),
	(vis_toggle_cb), (audio_toggle_cb), (video_toggle_cb),
	(text_toggle_cb), (update_streams), (msg_async_done),
	(msg_state_changed), (main):
	Block slider callback when updating the slider position.
	Add gui elements for controlling playbin2.
	Add callback for async_done that updates position/duration.

2008-02-01  Stefan Kost  <ensonic@users.sf.net>

	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-base-plugins-docs.sgml:
	* docs/plugins/gst-plugins-base-plugins-sections.txt:
	* docs/plugins/gst-plugins-base-plugins.hierarchy:
	* docs/plugins/gst-plugins-base-plugins.interfaces:
	* docs/plugins/gst-plugins-base-plugins.prerequisites:
	  First round of plugin docs cleansups.

	* docs/plugins/inspect/plugin-adder.xml:
	* docs/plugins/inspect/plugin-alsa.xml:
	* docs/plugins/inspect/plugin-audioconvert.xml:
	* docs/plugins/inspect/plugin-audiorate.xml:
	* docs/plugins/inspect/plugin-audioresample.xml:
	* docs/plugins/inspect/plugin-audiotestsrc.xml:
	* docs/plugins/inspect/plugin-cdparanoia.xml:
	* docs/plugins/inspect/plugin-decodebin.xml:
	* docs/plugins/inspect/plugin-ffmpegcolorspace.xml:
	* docs/plugins/inspect/plugin-gdp.xml:
	* docs/plugins/inspect/plugin-gnomevfs.xml:
	* docs/plugins/inspect/plugin-libvisual.xml:
	* docs/plugins/inspect/plugin-ogg.xml:
	* docs/plugins/inspect/plugin-pango.xml:
	* docs/plugins/inspect/plugin-subparse.xml:
	* docs/plugins/inspect/plugin-tcp.xml:
	* docs/plugins/inspect/plugin-theora.xml:
	* docs/plugins/inspect/plugin-typefindfunctions.xml:
	* docs/plugins/inspect/plugin-video4linux.xml:
	* docs/plugins/inspect/plugin-videorate.xml:
	* docs/plugins/inspect/plugin-videoscale.xml:
	* docs/plugins/inspect/plugin-videotestsrc.xml:
	* docs/plugins/inspect/plugin-volume.xml:
	* docs/plugins/inspect/plugin-vorbis.xml:
	* docs/plugins/inspect/plugin-ximagesink.xml:
	* docs/plugins/inspect/plugin-xvimagesink.xml:
	  Regenerate.

	* ext/ogg/Makefile.am:
	* ext/ogg/gstoggmux.c:
	* ext/ogg/gstoggmux.h:
	  Add header for oggmux. the c-file needs a doc blob still.

2008-02-01  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Thijs Vermeir <thijsvermeir at gmail dot com>

	* gst-libs/gst/rtp/gstrtpbuffer.c:
	(gst_rtp_buffer_set_extension_data):
	* gst-libs/gst/rtp/gstrtpbuffer.h:
	* tests/check/libs/rtp.c: (GST_START_TEST), (rtp_suite):
	Add gst_rtp_buffer_set_extension_data() 
	Add a unit test for this addition. Fixes #511478.
	API: GstRTPBuffer:gst_rtp_buffer_set_extension_data()

2008-01-30  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:
	Back to CVS

=== release 0.10.17 ===

2008-01-30  Jan Schmidt <jan.schmidt@sun.com>

	* configure.ac:
	  releasing 0.10.17, "Peanut Butter and Jelly"

2008-01-30  Jan Schmidt  <jan.schmidt@sun.com>

	* gst-libs/gst/interfaces/mixeroptions.c:
	* gst-libs/gst/interfaces/mixertrack.c:
	Also remove the conditional registration of the signals
	that disappeared with the ABI change in 0.10.14

2008-01-30  Jan Schmidt  <jan.schmidt@sun.com>

	* gst-libs/gst/rtsp/gstrtspconnection.c:
	Revert patch to gstrtspconnection.c for brown paper bag
	release of -base. Re-opens: #511825

2008-01-30  Jan Schmidt  <jan.schmidt@sun.com>

	* gst-libs/gst/interfaces/mixeroptions.h:
	* gst-libs/gst/interfaces/mixertrack.h:
	Change the way these deprecated function pointers are removed
	so that the compiled ABI is unconditionally smaller. This 
	sets in stone an ABI break that actually occurred when the
	things were deprecated in 0.10.14, which seems to be the best
	fix as the only known users are oss-mixer and sunaudio-mixer in 
	gst-plugins-good.
	Fixes: #513018

2008-01-30  Tim-Philipp Müller  <tim at centricular dot net>

	* win32/common/libgstpbutils.def:
	  Export the two new _get_type() functions which are needed
	  by the python bindings.

2008-01-29  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst-libs/gst/rtsp/gstrtspconnection.c: (add_date_header):
	Cast glong to time_t as time_t might have a different type on
	other platforms, like FreeBSD, and we get a compiler warning
	otherwise. Fixes bug #511825.

2008-01-29  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst-libs/gst/audio/gstaudiofilter.c:
	(gst_audio_filter_class_init):
	Initialize the GstRingerBuffer class to get it's debug category
	initialized. gst_ring_buffer_parse_caps() uses the ringbuffer debug
	category and otherwise we get some g_critical(). Fixes bug #512334.

2008-01-28  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:
	Back to CVS

=== release 0.10.16 ===

2008-01-28  Jan Schmidt <jan.schmidt@sun.com>

	* configure.ac:
	  releasing 0.10.16, "Scheduled Interruption"

2008-01-22  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Thijs Vermeir <thijsvermeir at gmail dot com>

	* gst-libs/gst/rtp/gstrtpbuffer.c:
	(gst_rtp_buffer_get_extension_data):
	Fix typos and wrong extension check. Fixes #511274.

2008-01-18  Jan Schmidt  <jan.schmidt@sun.com>

	* po/sk.po:
	Oops - add new sk.po mentioned in the LINGUAS I just committed

2008-01-17  Jan Schmidt  <jan.schmidt@sun.com>

	* po/LINGUAS:
	Add ca translation to the disted list.

	* win32/vs6/libgstsdp.dsp:
	Convert line endings to CRLF

2008-01-17  Sebastien Moutte <sebastien@moutte.net>

	* win32/MANIFEST:
	Add win32/vs6/libgstrtsp.dsp to MANIFEST

2008-01-14  Jan Schmidt  <jan.schmidt@sun.com>

	* win32/common/libgstsdp.def:
	* win32/common/libgstvideo.def:
	Add new API declarations

2008-01-14  Jan Schmidt  <jan.schmidt@sun.com>

	* ext/theora/gsttheoradec.h:
	* ext/theora/gsttheoraparse.h:
	* ext/theora/theoradec.c:
	* ext/theora/theoraparse.c:
	Take a 2nd stab at handling libtheora granulepos changes in the decoder
	and parser by inspecting the bitstream version of the incoming data.

2008-01-14  Sebastian Dröge  <slomo@circular-chaos.org>

	* configure.ac:
	* pkgconfig/Makefile.am:
	* pkgconfig/gstreamer-audio-uninstalled.pc.in:
	* pkgconfig/gstreamer-audio.pc.in:
	* pkgconfig/gstreamer-cdda-uninstalled.pc.in:
	* pkgconfig/gstreamer-cdda.pc.in:
	* pkgconfig/gstreamer-fft-uninstalled.pc.in:
	* pkgconfig/gstreamer-fft.pc.in:
	* pkgconfig/gstreamer-floatcast-uninstalled.pc.in:
	* pkgconfig/gstreamer-floatcast.pc.in:
	* pkgconfig/gstreamer-interfaces-uninstalled.pc.in:
	* pkgconfig/gstreamer-interfaces.pc.in:
	* pkgconfig/gstreamer-netbuffer-uninstalled.pc.in:
	* pkgconfig/gstreamer-netbuffer.pc.in:
	* pkgconfig/gstreamer-pbutils-uninstalled.pc.in:
	* pkgconfig/gstreamer-pbutils.pc.in:
	* pkgconfig/gstreamer-riff-uninstalled.pc.in:
	* pkgconfig/gstreamer-riff.pc.in:
	* pkgconfig/gstreamer-rtp-uninstalled.pc.in:
	* pkgconfig/gstreamer-rtp.pc.in:
	* pkgconfig/gstreamer-rtsp-uninstalled.pc.in:
	* pkgconfig/gstreamer-rtsp.pc.in:
	* pkgconfig/gstreamer-sdp-uninstalled.pc.in:
	* pkgconfig/gstreamer-sdp.pc.in:
	* pkgconfig/gstreamer-tag-uninstalled.pc.in:
	* pkgconfig/gstreamer-tag.pc.in:
	* pkgconfig/gstreamer-video-uninstalled.pc.in:
	* pkgconfig/gstreamer-video.pc.in:
	Provide one pkg-config file for every gst-plugins-base library.
	This makes linking to those libraries much more intuitive and
	provides standard pkg-config behaviour for them. Fixes bug #499697.

2008-01-13  David Schleef  <ds@schleef.org>

	* gst/videoscale/vs_4tap.c:
	  Fix valgrind error on 4tap scaling method.

2008-01-13  Sebastien Moutte  <sebastien@moutte.net>

	* gst-libs/gst/sdp/gstsdpmessage.c: (is_multicast_address):
	Include Winsock2.h for VS6 and use a different way initialize
	hints structure so it can build with VS6.
	* win32/MANIFEST:
	* win32/vs6/libgstsdp.dsp:
	* win32/common/libgstsdp.def:
	Add new files for libgstsdp.
	* win32/vs6/grammar.dsp:
	Copy pbutils-enumtypes* from win32/common to pbutils sources folder.
	* win32/vs6/gst_plugins_base.dsw:
	* win32/vs6/libgstdecodebin.dsp:
	* win32/vs6/libgstdecodebin2.dsp:
	* win32/vs6/libgstplaybin.dsp:
	* win32/vs6/libgstvolume.dsp:
	Add new dependencies to the link list.

2008-01-13  Julien Moutte  <julien@fluendo.com>

	* win32/common/config.h:
	* win32/common/gstrtsp-enumtypes.c: (gst_rtsp_result_get_type),
	(gst_rtsp_event_get_type), (gst_rtsp_family_get_type),
	(gst_rtsp_state_get_type), (gst_rtsp_version_get_type),
	(gst_rtsp_method_get_type), (gst_rtsp_auth_method_get_type),
	(gst_rtsp_header_field_get_type), (gst_rtsp_status_code_get_type):
	* win32/common/interfaces-enumtypes.c:
	(gst_color_balance_type_get_type), (gst_mixer_type_get_type),
	(gst_mixer_message_type_get_type), (gst_mixer_flags_get_type),
	(gst_mixer_track_flags_get_type),
	(gst_tuner_channel_flags_get_type):
	* win32/common/multichannel-enumtypes.c:
	(gst_audio_channel_position_get_type):
	* win32/common/pbutils-enumtypes.c:
	(gst_install_plugins_return_get_type):
	* win32/common/pbutils-enumtypes.h: Update/Add generated files
	in the win32 build directory.

2008-01-12  Jan Schmidt  <Jan.Schmidt@sun.com>

	* tests/check/Makefile.am:
	Fix CFLAGS to also pull in the gstcheck cflags from AM_CFLAGS.

	* tests/check/elements/audiorate.c: (do_perfect_stream_test):
	* tests/check/elements/playbin.c:
	* tests/check/libs/mixer.c: (test_element_interface_supported),
	(gst_implements_interface_init):
	* tests/check/libs/rtp.c: (GST_START_TEST):
	Fix various assignment type mismatches.

2008-01-12  Jan Schmidt  <Jan.Schmidt@sun.com>

	* configure.ac:
	* gst-libs/gst/rtsp/Makefile.am:
	Add test to see if hstrerror is available or if we need libresolv
	(Solaris) for it, then use it in libgstrtsp.

2008-01-12  Jan Schmidt  <Jan.Schmidt@sun.com>

	* gst-libs/gst/tag/Makefile.am:
	Fix include path order

2008-01-11  Edward Hervey  <edward.hervey@collabora.co.uk>

	* gst-libs/gst/pbutils/install-plugins.c:
	(gst_install_plugins_context_copy),
	(gst_install_plugins_context_get_type):
	* gst-libs/gst/pbutils/install-plugins.h:
	Add GBoxed GType for GstInstallPluginsContext, this eases the wrapping
	for bindings.

2008-01-11  Michael Smith <msmith@fluendo.com>

	* ext/theora/theoradec.c: (gst_theora_dec_class_init),
	(_theora_granule_frame), (_theora_granule_start_time),
	(theora_dec_sink_convert), (theora_dec_decode_buffer):
	  Adapt for post-alpha meaning of granulepos, when we
	  have a newer version of libtheora.
	* ext/theora/theoraenc.c: (gst_theora_enc_class_init),
	(theora_enc_get_ogg_packet_end_time), (theora_enc_sink_event),
	(theora_enc_is_discontinuous), (theora_enc_chain):
	  Likewise.
	* tests/check/Makefile.am:
	  Link libtheora into theoraenc test so we can check which version of
	  libtheora we're testing against.
	* tests/check/pipelines/theoraenc.c: (check_libtheora),
	(check_buffer_granulepos),
	(check_buffer_granulepos_from_starttime), (GST_START_TEST),
	(theoraenc_suite):
	  Adapt tests to check the values that are now defined for theora; make
	  the tests backwards-adapt the passed values if we're running against an
	  old libtheora.
	  Fixes #497964

2008-01-10  Tim-Philipp Müller  <tim at centricular dot net>

	* gst-libs/gst/audio/gstbaseaudiosink.c:
	  (gst_base_audio_sink_class_init):
	* gst-libs/gst/audio/gstbaseaudiosrc.c:
	  (gst_base_audio_src_class_init):
	  Ref audio clock class from a thread-safe context to make sure
	  we're not bit by GObjects lack of thread-safety here (#349410),
	   however unlikely that may be in practice.

2008-01-10  Sebastian Dröge  <slomo@circular-chaos.org>

	* autogen.sh:
	  Add -Wno-portability to the automake parameters to stop warnings
	  about GNU make extensions being used. We require GNU make in almost
	  every Makefile anyway.
	  
	* configure.ac:
	  Use AM_PROG_CC_C_O as a compiler that accepts both -c and -o
	  at the same time is required for per target flags.

2008-01-08  Tim-Philipp Müller  <tim at centricular dot net>

	* gst-libs/gst/tag/gsttagdemux.c: (gst_tag_demux_pull_start_tag):
	  Post an error message if we can't pull as many bytes as we need
	  for the tag. This makes sure the user gets to see a proper error
	  message if a file with a partial ID3 tag is fed to decodebin, and
	  not a 'no ID3 tag demuxer' error, which would be confusing
	  (see #508138).

2008-01-08  Tim-Philipp Müller  <tim at centricular dot net>

	* gst-libs/gst/pbutils/descriptions.c: (formats):
	  Add description strings for ID3, APE, and ICY tags.

2008-01-08  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/playback/gstdecodebin.c: (try_to_link_1):
	  Make sure we error out correctly if we can't activate one of
	  the elements we've added.  Fixes #508138.
	  
2008-01-07  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: Bastien Nocera <hadess at hadess net>

	* ext/alsa/gstalsamixer.c: (gst_alsa_mixer_get_volume),
	  (check_if_volumes_are_the_same), (gst_alsa_mixer_set_volume):
	  Use snd_mixer_selem_set_{playback|capture}_volume_all() if
	  the volume is the same for all channels. This works around
	  some problem in alsa that leaves us with inconsistent state
	  for some reason (#486840).

2008-01-07  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: Jerone Young <jerone at gmail com>

	* ext/alsa/gstalsamixer.c: (gst_alsa_mixer_find_master_mixer):
	  If there's no mixer track by the name of 'Master' or 'Front',
	  check if there's one called 'PCM' before trying the generic
	  fallback logic (fixes #506928, where we pick 'Mic' as master
	  track for the AD1984 card in a Thinkpad T61/X61 laptop).

2008-01-07  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstplay-enum.c:
	(register_gst_autoplug_select_result),
	(gst_autoplug_select_result_get_type), (register_gst_play_flags),
	(gst_play_flags_get_type):
	* gst/playback/gstplay-enum.h:
	Add enums for configuration flags.

	* gst/playback/gstplaybin2.c: (gst_play_bin_class_init),
	(init_group), (gst_play_bin_init), (gst_play_bin_set_property),
	(gst_play_bin_get_property), (no_more_pads_cb),
	(autoplug_select_cb), (gst_play_bin_change_state):
	Merge mode with flags.
	Add more property getters/setters, defaults and docs.
	Add properties to get number of audio/video/text streams.
	Create sink object in _init so that we can always rely on it being
	there.

	* gst/playback/gstplaysink.c: (gst_play_sink_init),
	(gen_video_chain), (gen_audio_chain), (gen_vis_chain),
	(activate_vis), (gst_play_sink_reconfigure),
	(gst_play_sink_set_flags), (gst_play_sink_get_flags),
	(gst_play_sink_change_state):
	* gst/playback/gstplaysink.h:
	Use flags to configure the sink pipelines.
	Add tee before audio pipeline so that we can use it for visualisations.
	Start working on integrating visualisations.
	Remove mode, we can do everything with the flags now.
	Add method to configue the sink pipeline.

2008-01-06  Tim-Philipp Müller  <tim at centricular dot net>

	* tests/check/pipelines/theoraenc.c: (check_buffer_is_header),
	  (check_buffer_timestamp), (check_buffer_duration):
	  Turn these functions into macros so we can see right away
	  where the failure occured.

2008-01-05  Julien Moutte  <julien@fluendo.com>

	* sys/xvimage/xvimagesink.c: (gst_xvimagesink_xvimage_new): Add
	debugging information to understand how X calculates the stride
	for XvImages.

2008-01-03  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/volume/Makefile.am:
	* gst/volume/gstvolume.c: (volume_choose_func),
	(gst_volume_base_init), (gst_volume_class_init), (gst_volume_init),
	(volume_setup):
	* gst/volume/gstvolume.h:
	Use GstAudioFilter as base class for the volume element instead of
	plain GstBaseTransform.

2008-01-03  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst-libs/gst/audio/gstaudiofilter.c: (gst_audio_filter_get_type):
	Don't set element details for the abstract GstAudioFilter class.

2008-01-02  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst-libs/gst/audio/gstaudiofilter.c:
	(gst_audio_filter_class_init), (gst_audio_filter_get_unit_size):
	Implement get_unit_size() vmethod of GstBaseTransform.

2008-01-01  Edward Hervey  <edward.hervey@collabora.co.uk>

	* gst-libs/gst/pbutils/Makefile.am:
	* gst-libs/gst/pbutils/pbutils.h:
	Use glib-enum generator to have a proper enum GType for
	GST_TYPE_INSTALL_PLUGINS_RETURN so we can easily wrap it in bindings.

2007-12-31  David Schleef  <ds@schleef.org>

	* tests/check/Makefile.am:
	* tests/check/pipelines/theoraenc.c:
	  Reenable theoraenc test, which fails on the buildbot but
	  not locally.

2007-12-31  David Schleef  <ds@schleef.org>

	* docs/libs/.cvsignore:
	* docs/plugins/.cvsignore:
	  Add *-undeclared.txt to fix buildbot.

2007-12-31  David Schleef  <ds@schleef.org>

	* tests/check/Makefile.am:
	  Second attempt at disabling theoraenc test long enough to
	  get buildbot to compile -base.

2007-12-31  David Schleef  <ds@schleef.org>

	* tests/check/pipelines/theoraenc.c:
	  Disable theoraenc test long enough to get the buildbot to
	  compile a recent -base.

2007-12-31  Wim Taymans  <wim.taymans@collabora.co.uk>

	* tests/examples/seek/seek.c: (stop_cb):
	Make sure we reset the slider value to 0.0 without racing against a
	possible g_idle that sets it to something else.

2007-12-31  Thijs Vermeir  <thijsvermeir@gmail.com>

	* sys/ximage/ximagesink.c:
	fix typo

2007-12-30  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/rtsp/gstrtspdefs.c: (rtsp_init_status):
	* gst-libs/gst/rtsp/gstrtspdefs.h:
	Add Location header so that we can start implementing redirects.
	See #506025.

2007-12-29  Thijs Vermeir  <thijsvermeir@gmail.com>

	* gst/subparse/gstssaparse.c:
	combine if's

2007-12-29  Thijs Vermeir  <thijsvermeir@gmail.com>

	* gst/subparse/gstssaparse.c:
	remove duplicate log message

2007-12-29  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/libvisual/visual.c: (gst_visual_chain):
	Fix 'xyz may be used uninitialized' compiler warnings caused
	by broken g_assert_not_reached() macro in GLib-2.15.x and don't
	abort() in any case but properly report the error.

2007-12-28  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstplaybin2.c: (gst_play_bin_class_init),
	(gst_play_bin_finalize), (gst_play_bin_set_uri),
	(gst_play_bin_set_suburi), (gst_play_bin_set_property),
	(gst_play_bin_get_property), (pad_removed_cb), (drained_cb),
	(autoplug_select_cb), (activate_group), (deactivate_group),
	(setup_next_source), (save_current_group),
	(gst_play_bin_change_state):
	Code cleanups.
	Remove next-uri, we can use the uri property just fine.
	Fix some crasher.
	Unref uridecodebin when switching.
	Fix going to READY.

	* gst/playback/gstplaysink.c: (gst_play_sink_class_init),
	(gst_play_sink_init), (gst_play_sink_dispose),
	(gst_play_sink_finalize), (gst_play_sink_vis_unblocked),
	(gst_play_sink_vis_blocked), (gst_play_sink_set_video_sink),
	(gst_play_sink_set_audio_sink), (gst_play_sink_set_vis_plugin),
	(gst_play_sink_set_property), (gst_play_sink_get_property),
	(gen_video_chain), (gen_text_element), (gen_audio_chain),
	(gen_vis_element), (gst_play_sink_get_mode),
	(gst_play_sink_set_mode), (gst_play_sink_set_flags),
	(gst_play_sink_get_flags), (gst_play_sink_request_pad),
	(gst_play_sink_release_pad), (gst_play_sink_send_event_to_sink),
	(gst_play_sink_change_state):
	* gst/playback/gstplaysink.h:
	Add some locking to make things threadsafe.

	* gst/playback/test7.c: (about_to_finish_cb):
	Fix test.

2007-12-22  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/videoscale/gstvideoscale.c: (gst_video_scale_set_property),
	  (gst_video_scale_get_property), (gst_video_scale_transform_caps),
	  (gst_video_scale_transform):
	  Don't claim to be able to handle/transform caps that can't really
	  be handled by the currently selected scaling method (here: RGB or
	  packed YUV with 4-tap method). Also add locking to method property.

	* tests/check/pipelines/simple-launch-lines.c: (setup_pipeline),
	  (test_basetransform_based):
	  Some test pipelines for the above (not entirely valgrind clean yet
	  apparently).

2007-12-21  David Schleef  <ds@schleef.org>

	* gst-libs/gst/video/video.c:
	* gst-libs/gst/video/video.h:
	  Add additional RGBA and RGB-24 video formats.

2007-12-21  Tim-Philipp Müller  <tim at centricular dot net>

	* tests/check/elements/playbin.c: (test_sink_usage_video_only_stream),
	  (test_suburi_error_unknowntype), (test_suburi_error_invalidfile),
	  (test_suburi_error_wrongproto), (test_missing_primary_decoder):
	* tests/check/libs/cddabasesrc.c: (GST_START_TEST), (GST_START_TEST),
	  (cddabasesrc_suite):
	  Don't use GST_PLUGIN_DEFINE_STATIC, it's not portable and will be
	  deprecated in the future (see #498924).

2007-12-21  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/playback/gststreamselector.c: (gst_selector_pad_event):
	  Don't leak event.

2007-12-20  Thijs Vermeir <thijsvermeir@gmail.com>

	* gst-libs/gst/riff/riff-read.c:
	Use GST_ROUND_UP_2 macro

2007-12-20  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/playback/.cvsignore:
	  Ignore more.

2007-12-20  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/pango/gsttextoverlay.c: (gst_text_overlay_class_init):
	* gst/playback/gstplaybasebin.c: (set_subtitles_visible),
	  (set_active_source):
	* gst/playback/gstplaybasebin.h:
	* gst/playback/gstplaybin.c: (gst_play_bin_class_init),
	  (setup_sinks), (playbin_set_subtitles_visible):
	  Make switching off of subtitles work. To avoid all kind of
	  problems with unlinking of the subtitle input, we just keep
	  the subtitle inputs linked as they are and tell textoverlay
	  not to render them. Fixes #373011.
	  Other subtitle switching issues (esp. when there are both
	  external and in-stream subtitles) remain. They'll be solved
	  in playbin2.

2007-12-18  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gststreamselector.c: (gst_selector_pad_init):
	Init the pad segment too.

2007-12-18  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/audio/gstaudiosink.c: (audioringbuffer_thread_func),
	(gst_audioringbuffer_open_device),
	(gst_audioringbuffer_close_device), (gst_audioringbuffer_acquire),
	(gst_audioringbuffer_release), (gst_audioringbuffer_start),
	(gst_audioringbuffer_pause), (gst_audioringbuffer_stop),
	(gst_audio_sink_create_ringbuffer):
	Improve debug output.

	* gst-libs/gst/audio/gstringbuffer.c: (gst_ring_buffer_start),
	(gst_ring_buffer_pause), (gst_ring_buffer_delay):
	Prevent some functions from doing things and failing when the
	ringbuffer is not yet acquired.

2007-12-18  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst-libs/gst/interfaces/interfaces.h:
	  Also remove interfaces.h from CVS as it is not needed anymore.

2007-12-18  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst-libs/gst/interfaces/Makefile.am:
	  interfaces.h is not used anymore so remove it from the build
	  process.

2007-12-17  David Schleef  <ds@schleef.org>

	* gst/videotestsrc/gstvideotestsrc.c:
	* gst/videotestsrc/gstvideotestsrc.h:
	  Add a "blink" pattern.  Turn on the pain.  Apologies.  It's useful
	  for testing vertical refresh synchronization.

2007-12-17  David Schleef  <ds@schleef.org>

	* docs/libs/gst-plugins-base-libs-sections.txt:
	* gst-libs/gst/video/video.c:
	* gst-libs/gst/video/video.h:
	  Add new GstVideFormat enum and write a bunch of helper functions
	  based around it.

2007-12-17  Tim-Philipp Müller  <tim at centricular dot net>

	* Makefile.am:
	  Use new common/win32.mak.

2007-12-17  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst-libs/gst/audio/gstbaseaudiosrc.c:
	(gst_base_audio_src_create), (gst_base_audio_src_change_state):
	Add debug info.
	When going from PLAYING to PAUSED, pause the ringbuffer before calling
	the parent state change function, just like the audiosink, because the
	parent waits for the element to finish its processing before completing
	the state change. This makes going to PAUSED a lot snappier.
	When going from READY to PAUSED, don't allow the ringbuffer to start
	yet.

2007-12-17  Edward Hervey  <edward.hervey@collabora.co.uk>

	* gst-libs/gst/riff/riff-media.c: (gst_riff_create_audio_caps):
	Yet another fix for broken software that produce files with an empty
	blockalign field. Instead of completely failing, make a second attempt
	at guessing the width/depth by looking at strf->size.

2007-12-16  Tim-Philipp Müller  <tim at centricular dot net>

	* gst-libs/gst/cdda/gstcddabasesrc.c: (gst_cdda_base_src_do_seek),
	  (gst_cdda_base_src_handle_track_seek), (gst_cdda_base_src_create):
	* gst-libs/gst/pbutils/install-plugins.c:
	  (gst_install_plugins_spawn_child), (gst_install_plugins_supported):
	* gst-libs/gst/pbutils/missing-plugins.c:
	  (gst_missing_plugin_message_get_installer_detail),
	  (gst_missing_encoder_installer_detail_new):
	* gst-libs/gst/rtsp/gstrtspconnection.c: (gst_rtsp_connection_send):
	* gst-libs/gst/rtsp/gstrtspmessage.c: (gst_rtsp_message_unset):
	  Turn a few g_assert_not_reached() into g_return_val_if_reached() to
	  avoid compiler warnings (#503930).

2007-12-17  Edward Hervey  <edward.hervey@collabora.co.uk>

	* gst-libs/gst/riff/riff-media.c: (gst_riff_create_video_caps):
	Be apologetic of software that use the 'jpeg' instead of 'JPEG' FOURCC
	for jpeg video streams.
	Add the 'avc1'/'AVC1' fourcc mapping for h264, same software-comment as
	for the above modification.

2007-12-15  Tim-Philipp Müller  <tim at centricular dot net>

	* gst-libs/gst/interfaces/xoverlay.c: (gst_x_overlay_expose),
	  (gst_x_overlay_handle_events):
	  More guards (we don't want klass to end up being NULL).

2007-12-14  Sebastian Dröge  <slomo@circular-chaos.org>

	* configure.ac:
	* gst/volume/gstvolume.c: (gst_volume_init):
	  Use new gst_base_transform_set_gap_aware() function as volume
	  correctly handles GST_BUFFER_FLAG_GAP. Require core 0.10.15.1 
	  for this.

2007-12-14  Wim Taymans  <wim.taymans@collabora.co.uk>

	* tests/examples/seek/seek.c: (msg_segment_done), (main):
	Don't go to READY on EOS as this avoids testing of seeking and
	restarting after EOS, use the stop button when you want to READY.
	Don't try to do a flushing seek in segment-done, it does not make
	sense to use this for gapless playback and is not needed.

2007-12-14  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstqueue2.c: (gst_queue_init), (gst_queue_finalize),
	(reset_rate_timer), (update_in_rates), (update_out_rates),
	(gst_queue_locked_enqueue), (gst_queue_locked_dequeue),
	(gst_queue_chain), (gst_queue_loop):
	Use separate timers for input and output rates.
	Pause measuring the output rate when we block for more data.
	See #503262.

2007-12-14  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstqueue2.c: (gst_queue_chain):
	Pause the timer to measure the input rate when we block because the
	queue is filled. See #503262.

2007-12-13  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Peter Kjellerstedt  <pkj at axis com>

	* gst-libs/gst/rtsp/gstrtspconnection.c:
	(gst_rtsp_connection_free):
	Close control sockets. Fixes #503440.

2007-12-13  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/playback/gstdecodebin2.c: (analyze_new_pad), (connect_pad):
	Expose the right pad in the right place with the right element.

2007-12-13  Tim-Philipp Müller  <tim at centricular dot net>

	* gst-libs/gst/pbutils/descriptions.c: (formats):
	  Add description for 'private' dts caps (who come up with that name?).

2007-12-13  Tim-Philipp Müller  <tim at centricular dot net>

	* Makefile.am:
	  Add check-exports target and run it with 'make check'.

	* configure.ac:
	  Be stricter about what we export in our libraries: change regexp so that
	  we only export _gst_foo(), but not __gst_foo().

	* gst-libs/gst/cdda/base64.h: (rfc822_binary):
	* gst-libs/gst/cdda/sha1.h: (sha_init), (sha_update), (sha_final):
	  Change internal functions to __gst_foo so they dont' get exported.

	* win32/common/libgstaudio.def:
	  Add missing symbols.

2007-12-11  David Schleef  <ds@schleef.org>

	* ChangeLog: remove conflict markers

2007-12-11  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/gnomevfs/Makefile.am:
	* ext/gnomevfs/gstgnomevfssrc.c: (gst_gnome_vfs_src_unicodify):
	  Use gst_tag_freeform_string_to_utf8() here, which also takes
	  into account any character sets specified by the user via
	  environment variables.

2007-12-10  Wim Taymans  <wim.taymans@gmail.com>

	* gst/audioconvert/Makefile.am:
	Also link to libm.

2007-12-10  Wim Taymans  <wim.taymans@gmail.com>

	* gst-libs/gst/riff/riff-media.c: (gst_riff_create_audio_caps):
	No need for floating point operations here. avoids having to link
	against the math library too.

2007-12-10  Tim-Philipp Müller  <tim at centricular dot net>

	* gst-libs/gst/pbutils/descriptions.c: (formats),
	  (format_info_get_desc):
	* tests/check/libs/pbutils.c: (GST_START_TEST), (caps_strings),
	  (GST_START_TEST):
	  Add one or two missing formats.  Generate ADPCM description
	  dynamically depending on layout/format.

2007-12-09  Sebastian Dröge  <slomo@circular-chaos.org>

	* configure.ac:
	  Don't define GST_DISABLE_DEPRECATED for releases. Fixes #498181.

2007-12-08  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: Robin Stocker <robin dot stocker at gmx dot ch>

	* gst/subparse/gstsubparse.c: (gst_sub_parse_data_format_autodetect):
	  Some .srt files start with chunk number 0 and not chunk number 1,
	  recognise and accept those as well (fixes #502497).

	* tests/check/elements/subparse.c: (srt_input), (srt_input0),
	  (test_src):
	  Add unit test for the above.

2007-12-06  Wim Taymans  <wim.taymans@gmail.com>

	* gst/playback/gstplay-enum.c:
	(register_gst_autoplug_select_result),
	(gst_autoplug_select_result_get_type):
	* gst/playback/gstplay-enum.h:
	Add missing files.

2007-12-05  Wim Taymans  <wim.taymans@gmail.com>

	* gst/playback/Makefile.am:
	Group decodebin2 and uridecodebin into the same plugin so that they
	can share the GEnumType.

	* gst/playback/gstdecodebin2.c: (_gst_array_accumulator),
	(_gst_select_accumulator), (gst_decode_bin_class_init),
	(gst_decode_bin_init), (gst_decode_bin_autoplug_sort),
	(gst_decode_bin_autoplug_select), (gst_decode_bin_autoplug_add),
	(analyze_new_pad), (connect_pad), (gst_decode_bin_plugin_init):
	Add signal to sort factories instead of the more awkward autoplug-select
	signal.
	Modify autoplug_select so that we can try, skip or expose the
	autopluggin of an element on a pad.

	* gst/playback/gstfactorylists.c: (compare_ranks),
	(decoders_filter), (sinks_filter), (gst_factory_list_is_type),
	(element_filter), (gst_factory_list_get_elements),
	(gst_factory_list_debug), (gst_factory_list_filter):
	* gst/playback/gstfactorylists.h:
	Simplify the API, allow getting elements based on mask.

	* gst/playback/gstplay-marshal.list:
	Add some more marshallers.

	* gst/playback/gstplaybin2.c: (init_group), (gst_play_bin_init),
	(gst_play_bin_finalize), (pad_removed_cb), (autoplug_factories_cb),
	(autoplug_select_cb), (activate_group):
	Add support for managing non-raw sinks by providing a custom element and
	sink list to decodebin2.
	Try to plug non-raw sinks when decodebin2 using autoplug-select of
	decodebin2.

	* gst/playback/gstplaysink.c: (gen_video_chain), (gen_audio_chain),
	(gst_play_sink_set_mode), (gst_play_sink_request_pad):
	* gst/playback/gstplaysink.h:
	Add support for raw and non-raw sinks. 
	Add support to force sinks selected by playbin2.
	Don't plug raw converters for non-raw sinks.

	* gst/playback/gsturidecodebin.c: (_gst_array_accumulator),
	(_gst_select_accumulator), (gst_uri_decode_bin_class_init),
	(proxy_autoplug_select_signal), (gst_uri_decode_bin_plugin_init),
	(plugin_init):
	Use right accumulators.
	Proxy new signal.

2007-12-03  Wim Taymans  <wim.taymans@gmail.com>

	* gst-libs/gst/rtp/gstbasertppayload.c: (gst_basertppayload_push):
	Use runnning time as the base time instead of the timestamp.
	Spotted by Saur on IRC.

2007-12-03  Edward Hervey  <bilboed@bilboed.com>

	* gst-libs/gst/riff/riff-media.c: (gst_riff_create_video_caps):
	Add 'WVC1' codec mapping for Windows Media VC-1 video codec.

2007-12-03  Wim Taymans  <wim.taymans@gmail.com>

	* ext/ogg/gstoggdemux.c: (gst_ogg_demux_bisect_forward_serialno),
	(gst_ogg_demux_read_chain):
	If we find a new serial number but it does not contain a BOS page, make
	sure we initialize the chain to NULL because else we will try to scan it
	and crash. Fixes #500763

2007-11-30  Wim Taymans  <wim.taymans@gmail.com>

	* gst/playback/Makefile.am:
	* gst/playback/gstfactorylists.c: (compare_ranks), (print_feature),
	(get_feature_array), (decoders_filter), (sinks_filter),
	(gst_factory_list_get_decoders), (gst_factory_list_get_sinks),
	(gst_factory_list_filter):
	* gst/playback/gstfactorylists.h:
	Refactor some common code to filter factories and check caps compat.

	* gst/playback/gstdecodebin.c:
	* gst/playback/gstdecodebin2.c: (gst_decode_bin_class_init),
	(gst_decode_bin_init), (gst_decode_bin_dispose),
	(gst_decode_bin_autoplug_continue),
	(gst_decode_bin_autoplug_factories),
	(gst_decode_bin_autoplug_select), (analyze_new_pad),
	(find_compatibles):
	* gst/playback/gstplaybin.c:
	* gst/playback/gstplaybin2.c: (gst_play_bin_class_init),
	(gst_play_bin_init), (gst_play_bin_finalize),
	(autoplug_factories_cb), (activate_group):
	* gst/playback/gstqueue2.c:
	* gst/playback/gsturidecodebin.c: (proxy_unknown_type_signal),
	(proxy_autoplug_continue_signal),
	(proxy_autoplug_factories_signal), (proxy_autoplug_select_signal),
	(proxy_drained_signal):
	Add some more debug info and use factor filtering code.

2007-11-26  Stefan Kost  <ensonic@users.sf.net>

	* gst/audiotestsrc/gstaudiotestsrc.c:
	* gst/volume/gstvolume.c:
	* gst/volume/gstvolume.h:
	  Add GAP-flag support.

2007-11-24  Julien MOUTTE  <julien@moutte.net>

	* tests/examples/seek/seek.c: (main): Increase the range of the
	rate selector as I would like to test QOS behavior at higher
	forward and reverse playback speed like say 64x.

2007-11-23  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/audioresample/gstaudioresample.c: (gst_audioresample_init),
	(audioresample_query), (audioresample_query_type),
	(gst_audioresample_set_property):
	Implement latency query.

2007-11-21  Wim Taymans  <wim.taymans@gmail.com>

	* gst-libs/gst/audio/gstbaseaudiosink.c:
	(gst_base_audio_sink_drain):
	Our EOS time contains the base_time, _wait_eos() expects a running_time
	so we have to subtract the base_time again before calling the function.
	This fixes an EOS regression where the base_time was added twice and EOS
	took longer and longer in certain situations.
	Fixes #498767.

